10 REM LABYRINTH, H. BUNGAY 1987, Steril layouts 1992
20 KEY OFF
30 SCREEN 1,1
35 WIDTH 80
40 YMAX=180:XMAX=320
50 CLS
60 PRINT"Large amounts of air are needed for many industrial
70 PRINT"fermentations.  This air must not contaminate the bioprocess.
80 PRINT"Early air filters were packed with carbon or slag wool
90 PRINT"and were roughly 1/4th the diameter of the fermenter and
100 PRINT"almost as high.
110 GOSUB 890
120 YS=40:YE=YMAX-40:DIAM=60
130 GOSUB 930
140 GOSUB 890
150 YS=70:YE=YMAX-60:DIAM=40
160 PRINT"The next advance was fibrous filters that resemble
170 PRINT"furnace filters.  They are much more compact."
180 GOSUB 930
190 GOSUB 890
200 PRINT"Modern factories sterilize air by passage through
210 PRINT"membranes with fine pores.  They are small in size.
220 YS=YMAX-70:YE=YMAX-55:DIAM=20
230 GOSUB 930
240 GOSUB 890
250 PRINT"Side view of membrane unit.
260 PRINT"The membranes are replaceable cartridges.
270 LINE(60,30)-(XMAX-60,YMAX-50),,B
280 LINE(50,YMAX-49)-(XMAX-50,YMAX-40),,B
290 LINE(60,YMAX-39)-(XMAX-60,YMAX-20),,B
300 CIRCLE(XMAX/2,106),200,,1.05,2.1
310 FOR N=0 TO 16 STEP 2
320 LINE(70+10*N,35)-(85+10*N,YMAX-51),,BF
330 NEXT
340 GOSUB 890
350 PRINT"Top View of Membrane Unit"
360 CIRCLE(XMAX/2,YMAX/2),140
370 SP=22
380 FOR N=0 TO 11 STEP 2
390 CIRCLE(55+SP*N,YMAX/2),15
400 NEXT
410 FOR N=0 TO 9 STEP 2
420 CIRCLE(70+SP*N,YMAX/2-20),15
430 CIRCLE(70+SP*N,YMAX/2+20),15
440 NEXT
450 FOR N=0 TO 7 STEP 2
460 CIRCLE(85+SP*N,YMAX/2-40),15
470 CIRCLE(85+SP*N,YMAX/2+40),15
480 NEXT
490 GOSUB 890
500 PRINT"The air in the upper chamber is
510 PRINT"forced through the fine pores of
520 PRINT"the cartridge, and microorganisms
530 PRINT"are captured.  Sterile air in the
540 PRINT"bottom section goes to the process.
550 PRINT"Any water is drained off from the
560 PRINT"top section.
570 LOCATE 12,1
580 PRINT"A maze of plates coated with enzymes
590 PRINT"will kill organisms.  Ribonuclease
600 PRINT"or deoxyribonuclease enzymes are very
610 PRINT"good for killing viruses because of their
620 PRINT"high content of nucleic acids.
630 PRINT
640 PRINT"Let's lay out a labyrinth of plates:
650 GOSUB 890
660 INPUT"NUMBER OF PLATES ";P
670 IF P=0 THEN 650
680 IF P<0 THEN STOP
690 INPUT"PLATE SPACING ";SP
700 SP1=P*SP
710 IF SP1>33 THEN SP1=33
720 LOCATE 22,1
730 PRINT"IN"
740 LOCATE 5,SP1
750 PRINT"OUT"
760 XL=40+SP*8
770 XX=60+P*SP*4
780 LINE(25,160)-(XL,160)
790 LINE(XL,30)-(XX,30)
800 FOR N=1 TO P/2
810 TOPX=40+N*SP*8
820 LOWX=TOPX+4*SP
830 LINE(LOWX,40)-(LOWX,170)
840 LINE(TOPX,30)-(TOPX,160)
850 NEXT N
860 LINE(25,170)-(LOWX,170)
870 LINE(LOWX,40)-(XX,40)
880 GOTO 650
890 LOCATE 23,1
900 INPUT"Hit ENTER to move on ";A$
910 CLS
920 RETURN
930 REM routine to draw filters
940 LINE(XMAX/10,YS)-(XMAX/10+DIAM,YE),,B
950 LINE(XMAX/10+DIAM/2,YMAX-10)-(XMAX/10+DIAM/2,YE)
960 LINE(XMAX/10+DIAM/2,YS)-(XMAX/10+DIAM/2,20)
970 LINE -(XMAX*.5,20)
980 LINE -(XMAX*.5,YMAX-30)
990 LINE -(XMAX*.55,YMAX-30)
1000 LINE(XMAX*.4,30)-(XMAX*.8,YMAX-15),,B
1010 LINE(XMAX*.7,30)-(XMAX*.7,20)
1020 LINE -(XMAX-10,20)
1030 RETURN
