10 CLS
20 KEY OFF
30 SCREEN 1,1
40 WIDTH 80
50 REM Bare-bones BASIC tutor, H. Bungay 1991
60 PRINT"This tutorial will give you the rudiments of BASIC
70 PRINT"to assist you with the exercises in
80 PRINT"     BASIC Biochemical Engineering
90 PRINT"     by Henry R. Bungay
100 PRINT"     BiLine Associates
110 PRINT"     2 Fairlawn Lane,  TROY, NY 12180
120 GOSUB 3790
130 PRINT"There are END commands to stop the program for you."
140 PRINT"You will get past them by using the RUN command with a
150 PRINT"a number of a command past the END command,
160 PRINT"for example, RUN 230
170 PRINT
180 PRINT"First we will learn how to list."
190 PRINT"To reenter, type RUN 230
200 PRINT"The program will stop now for you to type:
210 PRINT"LIST -200
220 END
230 PRINT"Four ways to use the LIST command are:"
240 PRINT "LIST      - This lists the entire program."
250 PRINT"LIST 40-70 - to list commands from 40 through 70."
260 PRINT"LIST -150  - to list from the start to 150'
270 PRINT'LIST 20-   - to list from 20 to the end of the program."
280 PRINT"There is an END command now.  Play with LIST and reenter at 300"
290 END
300 PRINT"You can observe many PRINT commands in the program
310 PRINT"First we will use Command 320 to make X=2
320 X=2
330 PRINT"Reenter at 360 after trying the following:
340 PRINT"PRINT x
350 END
360 PRINT"Reenter at 400 after listing Command 380 and trying variations."
370 X=2
380 PRINT"X squared = ";X*X
390 END
400 CLS
410 PRINT"Observe the difference between a comma and semicolon
420 PRINT"in Command 440.  Experiment and reenter at 470.
430 X=3
440 PRINT"Semicolon for close space";X;"Comma for tab",3*X,X
460 END
470 PRINT"Observe Commands 480 and 490 and experiment."
480 INPUT"Reenter at 510 after typing any number now ";X
490 PRINT"The reciprocal of the number you typed = ";1/X
500 END
510 CLS
520 PRINT"Now for a routine that draws circles."
530 PRINT"X and Y are the coordinates, R is the radius."
540 INPUT"Type X ";X
550 IF X<0 THEN 630
560 INPUT"Type Y ";Y
570 INPUT"Type R ";R
580 PRINT"When tired of this enter a minus number for X."
590 CIRCLE(X,Y),R
600 GOSUB 3790
620 GOTO 510
630 PRINT"If your computer has color, type a comma and a digit:
640 PRINT"Reenter at 660 after typing  CIRCLE(80,80),10,2
650 END
660 PRINT"Use Command 670 as an example, experiment, and reenter at 730
670 LINE(100,100)-(150,80),1
680 END
690 CLS
700 PRINT"Use Command 750 as an example and reenter at 770
710 LINE(20,30)-(60,80),2,B
720 END
730 CLS
740 PRINT"Use Command 750 as your example and reenter at 770
750 LINE(30,30)-(80,80),1,BF
760 END
770 CLS
780 PRINT"The IF command is very important"
790 PRINT
800 PRINT"Its format is:
810 PRINT"IF {some logic statement} THEN {some action}"
820 PRINT"LIST 800-900 to see some examples."
830 PRINT"Reenter at 910."
840 INPUT "Experiment by typing x ";X
850 IF X<>2 THEN X=SQR(X): PRINT"The square root is ";X
860 IF X=2 THEN PRINT"X = 2"
870 IF X>5 THEN PRINT"I hate x, try again":GOTO 850
880 INPUT"Type y as well ";Y
890 IF X>2 AND Y<6 THEN PRINT"Lovely values"
900 END
910 CLS
920 PRINT"If you know what a DO-loop is, you will
930 PRINT"have no trouble with FOR - NEXT."
940 PRINT"The format is:
950 PRINT"FOR n=1 to 50"
960 PRINT"{various commands}
970 PRINT"NEXT"
980 PRINT"Use Command 990 as an example. Reenter at 1000"
990 FOR N=1 TO 5
992 PRINT N,"n squared = ",N*N
994 NEXT
996 END
1000 CLS
1010 PRINT"This exercise is unfinished."
3770 PRINT"This is enough for now.
3780 END
3790 LOCATE 23,1
3800 INPUT"Hit ENTER to move on ";A$
3810 CLS
3820 RETURN
