1 REM Batch Culture with Inhibitory Substrate, H. Bungay 92
5 DIM I(20),O(20),T0(20),T6(20)
6 KEY OFF
7 SCREEN 1,1
8 CLS
9 NN=2
10 GOTO 3000
11 CLS
13 LINE (20,20)-(20,160)
14 LINE -(280,160)
15 LOCATE 22,3:PRINT"0        T I M E";
17 NAM$="CONCENTRATION"
18 CF=0
20 FOR I=1 TO LEN(NAM$)
21 LOCATE 4+I,2:PRINT MID$(NAM$,I,1)
22 NEXT I
30 LOCATE 1,1
31 INPUT"Initial conc. of toxic substrate (0 to 120) ";O(2)
33 INPUT"Feed rate of toxic substrate (0 to 10) ";FEED
34 IF FEED=0 OR FEED>0 THEN 48
35 LOCATE 2,1:PRINT"                                          "
36 LOCATE 2,1
37 INPUT"You have selected controlled feed.  Type set point ";sp
48 Y=.45
56 T1=.1
58 T2=25
60 T3=1
61 TX=260/T2 :REM SCALE FACTOR FOR ABSCISSA
62 TY2=.25:REM SCALE FAC FOR O(2)
63 TY1=.25 :REM SCALE FAC FOR O(1)
80 N=3
86 O(1)=4
88 O(3)=0
96 REM DO NOT TOUCH LINES 98-620!!! THIS IS WHAT MAKES IT WORK!!!
98 T=INT(T2/T1+.5):T1=T2/T:T=INT(T3/T1+.5):T3=T*T1:T=0:T4=0
99 T8=1:GOTO 1000
100 IF(T-T4+T1/10)<0 THEN 125
105 REM PUT A ' BEFORE THE GOSUB IN LINE 110 TO SUPPRESS PRINTING NUMBERS."
110 T4=T4+T3:T5=INT(T/T1+.5):T=T5*T1:' GOSUB 2000
115 IF(T-T2+T1/10)<0 THEN 125
120 LINE(AX,160)-(AX,164)
121 LOCATE 18,12:PRINT"Total substrate consumed = ";O(3)
122 INPUT a$:GOTO 3480
125 ON T8 GOTO 300,400,500,600
145 PRINT"** ERROR **":STOP
300 FOR T5=1 TO N
305 T0(T5)=T1*I(T5):T6(T5)=O(T5):O(T5)=O(T5)+T0(T5)/2
320 NEXT T5
330 T=T+T1/2:T8=2:GOTO 1000
400 FOR T5=1 TO N
410 T7=T1*I(T5):T0(T5)=T0(T5)+2*T7:O(T5)=T6(T5)+T7/2
420 NEXT T5
430 T8=3:GOTO 1000
500 FOR T5=1 TO N
510 T7=T1*I(T5):T0(T5)=T0(T5)+2*T7:O(T5)=T6(T5)+T7
520 NEXT T5
530 T8=4:T=T+T1/2:GOTO 1000
600 FOR T5=1 TO N
605 O(T5)=T6(T5)+(T0(T5)+T1*I(T5))/6
610 NEXT T5
620 T8=1:GOTO 1000
990 REM DIFFERENTIAL EQUATIONS IN SIMBAS NOTATION
1000 I(1)= Mu*O(1)-Kd*O(1)
1002 CF=0
1005 IF O(2)<0 THEN O(2)=.0001
1007 IF FEED<0 AND O(2)<sp THEN FEED=-.000000001# :CF=10
1010 I(2)=-Mu*O(1)/Y +FEED +CF
1015 Mu=MM*O(2)/(KS+O(2)+Ki*O(2)*O(2)) -Kd*O(2)
1016 IF Mu<0 THEN Mu=.001
1025 AX=20+T*TX
1027 PL=160-O(2)
1030 PSET (AX,PL)
1035 PL=160-O(1)
1040 PSET (AX,PL),2
1050 I(3)=Mu*O(1)
1060 LINE(100+O(2),85)-(100+O(2),81),2
1080 LINE(100+O(2),85)-(100+O(2),81),0
1999 GOTO 100
2000 REM **DATA POINTS: SUPPRESSED AT LINE 110.  SEND TO PRINTER WITH LPRINT
2005 REM **COMMAND ON 2020.
2010 LOCATE NN,40
2020 PRINT T;O(1);O(2);Mu
2030 NN=NN+1
2040 IF NN>22 THEN NN=2
2045 RETURN
3000 REM MUMODEL.BAS just tacked on
3001 LOCATE 1,1
3002 PRINT"We must first select coefficents for the inhibition equation: "
3004 PRINT"  mu = mumax * S /(Ks + S + Ki*S*S)  - Kd*X"
3008 INPUT "Hit ENTER (RETURN)";a$
3010 REM GRAPHS MU VERSUS S, H. BUNGAY, 12-26-86
3020 CLS :REM SCREEN 1,1:KEY OFF
3030 LINE (20,20)-(20,160)
3040 LINE -(300,160)
3050 LOCATE 22,3:PRINT"0      Substrate Conc.     60"
3060 NAM$="Sp. Growth Coeff."
3090 FOR I=1 TO LEN(NAM$)
3100 LOCATE 3+I,2:PRINT MID$(NAM$,I,1)
3110 NEXT I
3160 REM PUT COEFF IN THIS REGION
3170 CO=0
3180 S=0
3190 LOCATE 1,1
3200 PRINT"                      "
3210 PRINT"                      "
3220 PRINT"                      "
3230 LOCATE 1,1
3250 INPUT"MUMAX ";MM
3260 IF MM<0 THEN 3400
3270 IF MM=0 THEN 10
3275 LOCATE 1,14
3280 INPUT"Ks   ";KS
3290 INPUT"Ki  ";Ki
3293 LOCATE 2,14
3295 INPUT"Kd ";Kd
3300 Mu=MM*S/(KS+S+Ki*S*S)-Kd*S
3310 S=S+.1
3315 IF Mu<0 THEN 3335
3320 PSET(20+3.6*S,160-70*Mu)
3330 IF S< 90 THEN 3300
3335 INPUT"Hit RETURN";a$
3400 CLS
3410 PRINT"The coefficients are:
3420 PRINT"Mumax  =";MM
3430 PRINT"Ks     =";KS
3440 PRINT"Ki     =";Ki
3450 PRINT"Kd     =";Kd
3460 INPUT"Type 1 to accept, any other number to start over ";a
3470 IF a<>1 THEN 3020
3480 CLS
3490 S=0
3491 LINE(100,30)-(100,80)
3494 LINE -(200,80)
3500  Mu=MM*S/(KS+S+Ki*S*S)-Kd*S
3510 S=S+.1
3520 PSET(100+S,80-100*Mu)
3525 IF Mu<0 THEN 13
3530 IF S< 90 THEN 3500
3540 GOTO 13

