10 REM PROGRAM BY DAVE HARTMANN, Dec. 92
20 CLS
30 LOCATE 5,1
40 PRINT" THIS PROGRAM IS A TUTORIAL ON HOW BEER IS MADE."
50 PRINT
60 PRINT" Brewing beer is an interesting process at least in that the end
70 PRINT" product is not some bizarre chemical, but beer."
80 PRINT" Beer has been around since at least ancient Egypt. That makes it
90 PRINT" by far the world's oldest biochemical process.":PRINT
100 PRINT" All of the biochemistry involved in this program is covered
110 PRINT" in textbooks. It is all quite simple and should
120 PRINT" give you an appreciation of where everybody's favorite beverage
130 PRINT"comes from, and how you might make your own.
140 GOSUB 940
150 LOCATE 5,1
160 PRINT "THE FOUR NECESSARY INGREDIENTS OF BEER ARE:"
170 PRINT "     1- WATER"
180 PRINT "     2- MALTED BARLEY"
190 PRINT "     3- HOPS"
200 PRINT "     4- YEAST"
210 PRINT:PRINT" FROM THESE FOUR ALONE MANY OF THE BEST BEERS ARE MADE"
220 PRINT:PRINT:PRINT"Other ingredients can be added for flavor or to save money."
230 PRINT"Budweiser uses rice for example. 
240 PRINT"It is far cheaper than malted barley."
250 PRINT"It also has the effect of watering it down 
260 PRINT"because the rice imparts no flavor."
270 GOSUB 940
280 LOCATE 4,1
290 PRINT"     Malted barley is the eventual source of the fermentable sugar"
300 PRINT" It is made by soaking the barley seeds in water until they sprout,
310 PRINT"and then drying them out.":PRINT
320 PRINT" This process mobilizes enzymes in the barley capable of degrading
330 PRINT"the barley's starch reserves to sugar."
340 PRINT" It also produces chemical changes in these starches making them
350 PRINT"more vulnerable to attack by these enzymes."
360 GOSUB 940
370 LOCATE 3,1
380 PRINT"The next step on the road to beer is to break down the starches
390 PRINT"in the malted barley to sugars the yeast use to make alcohol."
400 PRINT:PRINT" The malted barley is crushed in big mills and then put in water."
410 PRINT" The water frees the enzymes so they can work on the starch."
420 PRINT:PRINT" There are two major enzymes which break down the starch,
430 PRINT"called alpha and beta amylases. As it turns out they work best
440 PRINT"at about 65 degrees C."
450 PRINT
460 PRINT" As a result of this step, called mashing, the brewer has a complex
470 PRINT"solution of sugars, some fermentable and some that will remain unchanged and
480 PRINT"give the beer its body. Dry beers by the way have no unfermented sugar, and
490 PRINT"no body."
500 GOSUB 940
510 LOCATE 4,1
520 PRINT"The next step is to strain off the cellulose husks from the grains and boil
530 PRINT"the sugar solution, at this point called wort."
540 PRINT" Hops are added at this point to give the beer its bitterness. This
550 PRINT"balances the sweetness of the alcohol and residual sugar."
560 PRINT:PRINT" Hops also have a natural preservative in them, and this is
570 PRINT"how they originally found their use."
580 PRINT"Hops are the female flower from a vine that is grown in many parts
590 PRINT"of the world."
600 GOSUB 940
610 LOCATE 2,1
620 PRINT"Once the wort is cooled, yeast is pitched."
630 PRINT" It is important to pitch the right amount of yeast or there will
640 PRINT"be a large lag time. There are two species of yeast commonly used;
650 PRINT"Saccharomyces uvarum, used to make lager beers, and Saccharomyces cerevisiae,
660 PRINT"used to make ales."
670 PRINT:PRINT" The yeast convert sugar to alcohol and carbon dioxide that
680 PRINT"is usually collected and used to carbonate the beer."
690 PRINT:PRINT" After fermentation, the beer is usually filtered or
700 PRINT"pasteurized and packaged."
710 GOSUB 940
720 PRINT:PRINT:PRINT:PRINT:PRINT"If brewing beer interests you, or even if
730 PRINT"you would just like to make better beer than Budweiser for cheaper, it is
740 PRINT"easy to make your own."
750 PRINT"There are beer making kits you can buy which have all the malt
760 PRINT"sugars in a syrup form with hop flavor added. You just add water and yeast."
770 PRINT:PRINT" HENNESSEY HOMEBREW in Rensselaer(15 minute ride from RPI) has
780 PRINT"everything you need.
790 PRINT" I suggest you buy a beginner's book before you start, but
800 PRINT"here is a list of what you need and how to do it if you want to use it."
810 GOSUB 940
820 PRINT:PRINT:PRINT:PRINT:PRINT:PRINT"EQUIPMENT::
830 PRINT:PRINT" 1 - A 15 LITER POT FOR BOILING"
840 PRINT" 2 - A 20 LITER OR BIGGER FOOD GRADE PLASTIC BUCKET TO BE A FERMENTER"
850 PRINT" 3 - A FERMENTATION LOCK(JUST ASK AT THE HOMEBREW PLACE)"
860 PRINT" 4 - TWO OR THREE CASES OF EMPTY LONG NECK BOTTLES."
870 PRINT" 5 - AS MANY NEW UNUSED BOTTLE CAPS AND A CAPPER(AT THE HOMEBREW PLACE)"
880 PRINT" 6 - A FUNNEL AND SOME CLEAR PLASTIC HOSE"
890 PRINT" 7 - ANY ONE OF A NUMBER OF KITS CONTAINING HOPPED MALT EXTRACT AND YEAST"
900 PRINT:PRINT:PRINT" IF YOU FOLLOW THE DIRECTIONS ON THE KIT YOU WILL END UP WITH BEER."
910 PRINT" IT'S THAT SIMPLE, BUT LIKE I SAID I SUGGEST YOU GET A BEGINNER'S
920 PRINT"BOOK. IT WILL  BE VERY HELPFUL"
930 END
940 LOCATE 23,1
950 INPUT"Hit RETURN (ENTER) "  ;A$
960 CLS
970 RETURN
