10 REM BUBBLE, H.BUNGAY APR. 87
20 REM  IMPROVEMENTS, A.P. RAINFORD, CRAIG NAJJAR DEC. 90
30 DIM Q(6000)
40 KEY OFF
45 INPUT "Type digit for how many times your compter is faster than old XT "; del
50 SCREEN 1, 1
60 CLS
70 PRINT "This tutorial will address briefly:": PRINT
80 PRINT "1. Bubble motion"
90 PRINT "2. What happens when bubbles touch and sometimes merge.": PRINT
100 GOSUB 1990
110 PRINT "Even a single bubble"
120 PRINT "is interesting": PRINT
130 PRINT "Its motion is random,"
140 PRINT "and it enlarges as the"
150 PRINT "hydrostatic pressure decreases"
160 C = 0
170 X = 200
180 Y = 0
190 REM GRAPHICS AND COLOR SET-UP
200 CIRCLE (X, 160 - Y), R, 0: Y = Y + 2
210 CIRCLE (X, 160 - Y1), R1, 0: Y1 = Y1 + 2
220 IF Y > 160 THEN 170
230 IF Y = 80 THEN Y1 = 0
240 X = X + 2 - 4 * RND(R): R = 6 + Y / 80
250 CIRCLE (X, 160 - Y), R
260 R1 = 6 + Y1 / 80
270 IF Y1 > 160 THEN Y1 = 0
275 FOR d = 1 TO 10 * del: NEXT

280 C = C + 1: IF C < 250 THEN 200
290 GOSUB 1990
300 PRINT "The rate of aeration"
310 PRINT "not only effects the"
320 PRINT "motion of the bubbles"
330 PRINT "but also their size."
340 PRINT "The slower the aeration"
350 PRINT "the more consistent will be the"
360 PRINT "size of the bubbles."
370 GOSUB 1990
380 PRINT "SLOW AERATION"
390 CIRCLE (30, 30), 20, 3
400 CIRCLE (120, 50), 20, 3
410 CIRCLE (210, 40), 20, 3
420 CIRCLE (300, 20), 20, 3
430 CIRCLE (60, 120), 20, 3
440 CIRCLE (150, 140), 20, 3
450 CIRCLE (240, 150), 20, 3
460 CIRCLE (330, 130), 20, 3
470 CIRCLE (275, 100), 20, 3
480 CIRCLE (150, 85), 20, 3
490 CIRCLE (20, 185), 20, 3
500 GOSUB 1990
510 PRINT "The faster the aeration"
520 PRINT "the more irregular"
530 PRINT "the size of the"
540 PRINT "bubbles will be."
550 GOSUB 1990
560 PRINT "FAST AERATION"
570 CIRCLE (30, 30), 5, 3
580 CIRCLE (120, 50), 45, 3
590 CIRCLE (210, 40), 20, 3
600 CIRCLE (300, 20), 15, 3
610 CIRCLE (45, 120), 30, 3
620 CIRCLE (105, 140), 10, 3
630 CIRCLE (160, 150), 35, 3
640 CIRCLE (250, 160), 25, 3
650 CIRCLE (210, 95), 28, 3
660 GOSUB 1990
670 PRINT "An increased aeration rate"
680 PRINT "will also increase the"
690 PRINT "chances of bubbles"
700 PRINT "hitting each other and"
710 PRINT "becoming one"
720 GOSUB 1990
730 X1 = 60
740 X2 = 240
750 Y2 = 180
760 CIRCLE (X1, Y2), 10, 2
770 CIRCLE (X2, Y2), 10, 1
775 FOR d = 1 TO 10 * del: NEXT
780 CIRCLE (X1, Y2), 10, 0
790 CIRCLE (X2, Y2), 10, 0
800 X1 = X1 + 1
810 X2 = X2 - 1
820 Y2 = Y2 - 1
830 X3 = X2 - X1
840 IF X3 <> 20 THEN 760
850 X4 = 150
860 XI = 0
870 Y2 = Y2 - 1
880 XI = XI + (8 * RND) - 4
890 X4 = 150 + XI
900 CIRCLE (X4, Y2), 14.14, 3
905 FOR d = 1 TO 50 * del: NEXT
910 CIRCLE (X4, Y2), 14.14, 0
915 FOR d = 1 TO 10 * del: NEXT
920 IF Y2 <> 0 THEN 870
930 GOSUB 1990
940 PRINT "BUBBLE MOTION:": PRINT
950 PRINT "In general bubble motion is unsteady"
960 PRINT "They can be deformed in shape during flow": PRINT
970 PRINT "Once the bubble surface is 'closed', its volume is preserved"
980 PRINT "except for small changes due to the hydrostatic pressure"
990 PRINT "variations. (Nadkarni 1985, p 13)": PRINT
1000 PRINT "WHEN BUBBLES COMBINE"
1010 PRINT "THE NEW BUBBLE'S VOLUME"
1020 PRINT "IS EQUAL TO THE SUM FOR"
1030 PRINT "THE PREVIOUS BUBBLES."
1040 GOSUB 1990
1050 CIRCLE (250, 100), 30
1060 PRINT "A SMALL O STANDS FOR AN OXYGEN MOLECULE"
1070 PRINT "EVEN THOUGH WE KNOW IT IS O2."
1080 PRINT "LET'S FOLLOW ONE MOLECULE."
1090 LOCATE 8, 1: PRINT "BUBBLE"
1100 CIRCLE (-50, 100), 120
1110 X = 0
1120 Y1 = 0
1130 Y = 100
1140 X = X + 4
1150 Y1 = Y1 + 8 * RND(X) - 4
1160 Y = 100 + Y1 - .3 * (100 - Y1)
1170 CIRCLE (X, Y), 3
1180 FOR N = 1 TO 500: NEXT N
1190 IF X < 250 THEN 1140
1200 CIRCLE (-50, 100), 118, 1
1210 CIRCLE (-50, 100), 122, 2
1220 CIRCLE (250, 100), 32, 2
1230 CIRCLE (250, 100), 28, 1
1240 GET (1, 30)-(290, 190), Q
1250 CLS
1260 PUT (1, 30), Q
1270 PRINT "The molecule should NOT move evenly.    There are film resistances at the bubble  and cell surface"
1280 PRINT "Blue is gas film, Red is liquid film and white is the bubble or cell structure.": PRINT
1290 LOCATE 22, 1: INPUT "CONSULT THE BOOK."; A$
1300 CLS
1310 PRINT "Environmental engineers often aerate and mix simply"
1320 PRINT "by bubbling air through a process."
1330 PRINT "This doesn't work so well for biochemical engineers"
1340 PRINT "because more concentrated media have severe demands"
1350 PRINT "for oxygen."
1360 PRINT "Some other methods that work well for dilute media"
1370 PRINT "will now be sketched."
1380 GOSUB 2000
1390 PRINT "               Surface Aeration"
1400 LINE (10, 90)-(320, 90)
1410 PRINT
1420 PRINT "Usually the mixer is on floats to match the water level."
1430 LOCATE 8, 5: PRINT "Motor"
1440 LOCATE 11, 4: PRINT "Paddle"
1450 LINE (140, 60)-(180, 80), , BF
1460 LINE (100, 87)-(220, 93), , BF
1470 LINE (158, 80)-(162, 87), , BF
1480 LOCATE 18, 1
1490 PRINT "The turning paddle mixes the water and splashes it"
1500 PRINT "into the air.  The falling drops also bring air"
1510 PRINT "into the water and do a little mixing."
1520 FOR N = 1 TO 5
1530 CIRCLE (230 + 5 * N, 90), 10 * N, , 0, 3.14
1540 CIRCLE (90 - 5 * N, 90), 10 * N, , 0, 3.14
1550 NEXT
1560 GOSUB 2000
1570 PRINT "          Draft Tube Aeration"
1580 LOCATE 3, 8: PRINT "Motor"
1590 LOCATE 12, 6: PRINT "Draft tube"
1600 LOCATE 20, 7: PRINT "Impeller"
1610 LINE (10, 60)-(320, 60)
1620 LINE (140, 20)-(180, 40), , BF
1630 LINE (125, 150)-(195, 155), , BF
1640 LINE (158, 40)-(162, 150), , BF
1650 LINE (125, 70)-(125, 148)
1660 LINE (195, 70)-(195, 148)
1670 IF X = 99 THEN 1730
1680 PRINT "The swirling water becomes a vortex."
1690 GOSUB 2000
1700 IF X = 99 THEN 1910
1710 X = 99
1720 GOTO 1620
1730 LINE (10, 60)-(100, 60)
1740 LINE (230, 60)-(320, 60)
1750 CIRCLE (102, 80), 43, , 0, 3.14 / 2
1760 CIRCLE (225, 80), 43, , 3.14 / 2, 3.14
1770 FOR N = 70 TO 148
1780 C = C + 1: IF C = 4 THEN C = 0
1790 IF C = 1 THEN C1 = 1: C2 = 0: C3 = 0
1800 IF C = 2 THEN C1 = 0: C2 = 1: C3 = 0
1810 IF C = 3 THEN C1 = 0: C2 = 0: C3 = 1
1820 LINE (126, N)-(194, N)
1830 LINE (126, N - 1)-(194, N - 1), 0
1840 FOR Q = 1 TO 200: NEXT Q
1850 LINE (158, 40)-(162, 150), , BF
1860 LINE (125, 150)-(195, 155), C1, BF
1870 LINE (130, 150)-(190, 155), C2, BF
1880 LINE (132, 150)-(188, 155), C3, BF
1885 FOR d = 1 TO 10 * del: NEXT
1890 NEXT
1900 GOSUB 2000
1910 PRINT "This tutorial is now over"
1920 PRINT "IF YOU WISH TO SEE REFERENCES"
1930 INPUT "HIT RETURN TO CONTINUE OR 'Q' TO QUIT"; A$
1940 IF A$ = "Q" OR A$ = "q" THEN END
1950 CLS
1960 PRINT "Bungay H.R. BASIC BIOCHEMICAL ENGINEERING, 1989, BiLine Associates": PRINT
1970 PRINT "Nadkarni A.R. 1985, SINGLE BUBBLE MOTION IN A GAS-FLUIDIZED BED: EFFECT AND     PREDICTION OF EFFECTIVE PARTICLE PHASE  VISCOSITY"
1980 END
1990 REM ADVANCES FRAME WITH CLEAR AND PRINT
2000 LOCATE 23, 1
2010 INPUT "HIT ANY KEY TO CONTINUE", A$
2020 CLS
2030 RETURN

