1 REM CHEMOSTAT WITH DELAY, S. BUSSELL, 1987
2 REM ORIG. BY D. STANZIONE, H. BUNGAY
3 REM MORE COMMENTS BY J. SAHLIN, Text by Dan Vinocour, 1990
5 DIM I(20),O(20),T0(20),T6(20),MU(302)
6 GOTO 3000
8 CLS
9 NN=1
10 KEY OFF:SCREEN 1,1
11 REM THIS SECTION MAKES THE AXIS
12 XMAX=320:YMAX=180
13 LINE (20,20)-(20,YMAX-20)
14 LINE -(XMAX-10,YMAX-20)
15 LOCATE 22,3:PRINT"0            T I M E";
17 NAM$="Concentration"
20 FOR I=1 TO LEN(NAM$)
21 LOCATE 4+I,2:PRINT MID$(NAM$,I,1)
22 NEXT I
27 REM PUT COEFF IN THIS REGION
40 MUMAX=2.5
41 M=.001
42 S0=100
43 DNEW=2.1
44 KS=8
46 D=1.5
48 Y=.55
55 REM T1 IS INTEGRATION STEP
56 T1=.2
57 REM T2 IS TOTAL TIME
58 T2=10
59 LOCATE 22,35:PRINT T2:REM T3 IS PRINT INTERVAL
60 T3=1
61 TX=(XMAX-30)/T2 :REM SCALE FAC FOR ABSCISSA
62 TF1=2
63 TF2=2
79 REM N IS THE NUMBER OF EQUATIONS. O(N) ARE INITIAL CONDITIONS
80 N=2
81 LOCATE 1,1
86 O(1)=48.4
88 O(2)=12
89 INPUT "delay size (0 to 10)";DELAY
90 IF DELAY<0 THEN 8
91 FOR J=1 TO 300
92 MU(J)=MUMAX*O(2)/(O(2)+KS)
93 NEXT J
94 J=0
96 REM DO NOT TOUCH LINES 98-620!!! THIS IS WHAT MAKES IT WORK!!!
98 T=INT(T2/T1+.5):T1=T2/T:T=INT(T3/T1+.5):T3=T*T1:T=0:T4=0
99 T8=1:GOTO 1000
100 IF(T-T4+T1/10)<0 THEN 125
105 REM THE LINE 110 HAS A ' BEFORE THE GOSUB.  THE ' SUPPRESSES THIS COMMAND.
107 REM IF NUMERICAL VALUES FOR THE DATA POINTS ARE DESIRED, REMOVE '.
110 T4=T4+T3:T5=INT(T/T1+.5):T=T5*T1:'GOSUB 2000
115 IF(T-T2+T1/10)<0 THEN 125
120 LINE(AX,YMAX-20)-(AX,YMAX-24)
121 GOTO 40
125 ON T8 GOTO 300,400,500,600
145 PRINT"** ERROR **":STOP
300 FOR T5=1 TO N
305 T0(T5)=T1*I(T5):T6(T5)=O(T5):O(T5)=O(T5)+T0(T5)/2
320 NEXT T5
330 T=T+T1/2:T8=2:GOTO 1000
400 FOR T5=1 TO N
410 T7=T1*I(T5):T0(T5)=T0(T5)+2*T7:O(T5)=T6(T5)+T7/2
420 NEXT T5
430 T8=3:GOTO 1000
500 FOR T5=1 TO N
510 T7=T1*I(T5):T0(T5)=T0(T5)+2*T7:O(T5)=T6(T5)+T7
520 NEXT T5
530 T8=4:T=T+T1/2:GOTO 1000
600 FOR T5=1 TO N
605 O(T5)=T6(T5)+(T0(T5)+T1*I(T5))/6
610 NEXT T5
620 T8=1:GOTO 1000
990 REM DIFFERENTIAL EQUATIONS IN SIMBAS NOTATION
1000 IF T>2 THEN D=DNEW
1002 J=J+.25
1003 IF J>(DELAY+1) THEN J=.25
1004 S=4*J+1
1005 MU(4*J)=MUMAX*O(2)/(O(2)+KS)
1006 IF J=(DELAY+1) THEN S=1
1010 MU=MUMAX*O(2)/(O(2)+KS)
1012 I(1)=(MU(S)-D)*O(1)
1014 I(2)=D*(S0-O(2))-O(1)*(MU(S)/Y+M)
1025 AX=20+TX*T
1027 PL=YMAX-20-O(2)*TF2
1030 PSET (AX,PL),1
1035 PL=YMAX-20-O(1)*TF1
1040 PSET (AX,PL),2
1999 GOTO 100
2000 REM **DATA POINTS: SUPPRESSED AT LINE 110.  SEND TO PRINTER WITH LPRINT
2005 REM **COMMAND ON 2020.
2010 LOCATE NN,12
2030 NN=NN+1
2040 IF NN>12 THEN NN=1
2045 RETURN
3000 CLS
3005 PRINT"This program shows the effect of dead"
3010 PRINT"time in growth rate adjustment in"
3020 PRINT"continuous culture of microorganisms."
3030 PRINT:PRINT"Be sure to test DELAY=0."
3040 PRINT:PRINT"If this were a control system, action"
3050 PRINT"taken NOW would be based on old data."
3060 PRINT"This leads to bad control than can be"
3070 PRINT"worse than no control at all."
3080 PRINT:PRINT"Enter a minus delay to clear."
3090 PRINT:INPUT"Hit RETURN";A$
3100 GOTO 8
