1 REM **EASY TO USE SIMBAS
2 REM ORIG. BY D. STANZIONE, H. BUNGAY
3 REM MORE COMMENTS BY J. SAHLIN
5 DIM I(20), O(20), T0(20), T6(20), TY(20)
6 KEY OFF
7 Xmax = 320: Ymax = 180
8 CLS
9 NN = 2'LINE FOR COMMAND 2010
11 REM THIS SECTION MAKES THE AXIS
12 SCREEN 1, 1
13 LINE (20, 20)-(20, Ymax - 10): LINE -(Xmax, Ymax - 10)
14 REM LOCATE 1, 35: PRINT "Time     A        B"
15 LOCATE 23, 3: PRINT "0           T I M E";
17 NAM$ = "CONCENTRATION"
20 FOR I = 1 TO LEN(NAM$)
21 LOCATE 5 + I, 2: PRINT MID$(NAM$, I, 1)
22 NEXT I
23 REM PUT COEFF IN THIS REGION
39 LOCATE 1, 1
40 INPUT "D (must be less than .5) "; D
41 K1 = 2
42 K2 = 3
43 MM = .5
44 Y = .45
45 So = 40
55 REM T1 IS INTEGRATION STEP
56 T1 = .2
57 REM T2 IS TOTAL TIME
58 T2 = 60
59 LOCATE 23, 36: PRINT T2; : REM T3 IS PRINT INTERVAL
60 T3 = 1
61 TX = (Xmax - 25) / T2: REM SCALE FACTOR FOR ABSCISSA
62 TY(1) = 10: REM SCALE FAC FOR O(1)
63 FOR t9 = 1 TO 20: TY(t9) = TY(1): NEXT: ' sets all scale facors the same
79 REM N IS THE NUMBER OF EQUATIONS. O(N) ARE INITIAL CONDITIONS
80 n = 4
82 O(2) = D * K1 / (MM - D)
83 GOSUB 3000
84 O(4) = (Y * So - Y * O(2) - 5 * D * O(3)) / (1 + 1.5 * D)
90 O(1) = 5 * D * O(3) + 1.5 * D * O(4)
96 REM DO NOT TOUCH LINES 98-620!!! THIS MAKES IT WORK!!!
98 T = INT(T2 / T1 + .5): T1 = T2 / T: T = INT(T3 / T1 + .5): T3 = T * T1: T = 0: T4 = 0
99 T8 = 1: GOTO 1000
100 IF (T - T4 + T1 / 10) < 0 THEN 125
105 REM PUT A ' BEFORE THE GOSUB IN LINE 110 TO SUPPRESS PRINTING NUMBERS."
110 T4 = T4 + T3: T5 = INT(T / T1 + .5): T = T5 * T1: '  GOSUB 2000
115 IF (T - T2 + T1 / 10) < 0 THEN 125
120 LINE (AX, Ymax - 10)-(AX, Ymax - 14)
121 GOTO 39
125 ON T8 GOTO 300, 400, 500, 600
145 PRINT "** ERROR **": STOP
300 FOR T5 = 1 TO n
305 T0(T5) = T1 * I(T5): T6(T5) = O(T5): O(T5) = O(T5) + T0(T5) / 2
320 NEXT T5
330 T = T + T1 / 2: T8 = 2: GOTO 1000
400 FOR T5 = 1 TO n
410 T7 = T1 * I(T5): T0(T5) = T0(T5) + 2 * T7: O(T5) = T6(T5) + T7 / 2
420 NEXT T5
430 T8 = 3: GOTO 1000
500 FOR T5 = 1 TO n
510 T7 = T1 * I(T5): T0(T5) = T0(T5) + 2 * T7: O(T5) = T6(T5) + T7
520 NEXT T5
530 T8 = 4: T = T + T1 / 2: GOTO 1000
600 FOR T5 = 1 TO n
605 O(T5) = T6(T5) + (T0(T5) + T1 * I(T5)) / 6
610 NEXT T5
620 T8 = 1: GOTO 1000
990 REM DIFFERENTIAL EQUATIONS IN SIMBAS NOTATION
1000 W1 = K1 / (K1 + K2 * O(2) / O(3))
1004 W2 = K2 / (K2 + K1 * O(3) / O(2))
1006 mu2 = 1.1 * MM * (W1 * O(2) / (K1 + O(2)) + W2 * O(3) / (K2 + O(3)))
1010 mu = MM * O(2) / (K1 + O(2))
1011 I(1) = mu * O(1) - D * O(1)
1012 IF T = 5 THEN O(3) = 10
1015 I(2) = D * (So - O(2)) - mu * O(1) / Y - mu2 * O(4) / Y
1018 IF O(2) < 0 THEN O(2) = .00000001#
1020 I(3) = .2 * O(1) - .3 * mu2 * O(4) - D * O(3)
1022 IF O(3) < 0 THEN O(3) = .0000001
1030 I(4) = mu2 * O(4) - D * O(4)
1800 REM GRAPH MAKER  MULTIPLY O(N) BY CONSTANT TO SHIFT CURVE
1810 AX = 20 + TX * T
1820 FOR t9 = 1 TO n
1830 PL = Ymax - 10 - TY(t9) * O(t9)
1840 PSET (AX, PL), t9
1850 NEXT t9
1999 GOTO 100
2000 REM SEE LINE 110.  SEND TO PRINTER WITH LPRINT
2005 REM **COMMAND ON 2020.
2010 LOCATE NN, 15
2020 PRINT T; O(1); O(2); O(3); O(4)
2030 NN = NN + 1
2040 IF NN > 12 THEN NN = 2
2045 RETURN
3000 REM calculate IC of vitamins
3010 v = .1
3020 v = v + .01
3021 W1 = K1 / (K1 + K2 * O(2) / v)
3022 W2 = K2 / (K2 + K1 * v / O(2))
3023 muc = 1.1 * MM * (W1 * O(2) / (K1 + O(2)) + W2 * v / (K2 + v))
3050 IF muc < D THEN 3020
3060 O(3) = v
3070 RETURN


