1 REM SIMBAS PROBLEM - COMPETITION IN CHEMOSTAT
2 REM ORIG. BY D. STANZIONE, H. BUNGAY
3 REM MORE COMMENTS BY J. SAHLIN
10 KEY OFF: SCREEN 1, 1: CLS
11 REM THIS SECTION MAKES THE AXIS
12 NN = 1
13 LINE (20, 20)-(20, 160)
14 LINE -(280, 160)
15 LOCATE 22, 3: PRINT "0        T I M E";
17 NAM$ = "CONCENTRATION"
20 FOR I = 1 TO LEN(NAM$)
21 LOCATE 4 + I, 2: PRINT MID$(NAM$, I, 1)
22 NEXT I
24 LOCATE 1, 2: PRINT "Organism #1 (slower, white)"
25 LOCATE 2, 2: PRINT "Organism #2 (faster, blue)"
26 LOCATE 3, 2: PRINT "Nutrient (red)"
27 REM PUT COEFF IN THIS REGION
40 MM1 = .5
42 MM2 = .4
44 KS1 = .5
46 KS2 = .51
48 D = .35
50 Y = .47
52 SO = 50
55 REM T1 IS INTEGRATION STEP
56 T1 = .25
57 REM T2 IS TOTAL TIME
58 T2 = 50
59 LOCATE 22, 35: PRINT T2: REM T3 IS PRINT INTERVAL
60 T3 = 1
61 TX = 260 / T2: REM SCALE FAC FOR ABSCISSA
62 TY2 = 5: REM SCALE FAC FOR O(2)
63 TY1 = TY2: REM SCALE FAC FOR O(1)
65 LINE (20 + 5 * TX, 160)-(20 + 5 * TX, 20)
79 REM N IS THE NUMBER OF EQUATIONS. O(N) ARE INITIAL CONDITIONS
80 N = 3
85 O(3) = D * KS2 / (MM2 - D)
86 O(2) = (SO - O(3)) * Y
96 REM DO NOT TOUCH LINES 98-620!!! THIS IS WHAT MAKES IT WORK!!!
98 T = INT(T2 / T1 + .5): T1 = T2 / T: T = INT(T3 / T1 + .5): T3 = T * T1: T = 0: T4 = 0
99 T8 = 1: GOTO 1000
100 IF (T - T4 + T1 / 10) < 0 THEN 125
105 REM THE LINE 110 HAS A ' BEFORE THE GOSUB.  THE ' SUPPRESSES THIS COMMAND.
107 REM IF NUMERICAL VALUES FOR THE DATA POINTS ARE DESIRED, REMOVE '.
110 T4 = T4 + T3: T5 = INT(T / T1 + .5): T = T5 * T1: GOSUB 2000
115 IF (T - T2 + T1 / 10) < 0 THEN 125
120 LINE (AX, 160)-(AX, 164)
121 END
125 ON T8 GOTO 300, 400, 500, 600
145 PRINT "** ERROR **": STOP
300 FOR T5 = 1 TO N
305 T0(T5) = T1 * I(T5): T6(T5) = O(T5): O(T5) = O(T5) + T0(T5) / 2
320 NEXT T5
330 T = T + T1 / 2: T8 = 2: GOTO 1000
400 FOR T5 = 1 TO N
410 T7 = T1 * I(T5): T0(T5) = T0(T5) + 2 * T7: O(T5) = T6(T5) + T7 / 2
420 NEXT T5
430 T8 = 3: GOTO 1000
500 FOR T5 = 1 TO N
510 T7 = T1 * I(T5): T0(T5) = T0(T5) + 2 * T7: O(T5) = T6(T5) + T7
520 NEXT T5
530 T8 = 4: T = T + T1 / 2: GOTO 1000
600 FOR T5 = 1 TO N
605 O(T5) = T6(T5) + (T0(T5) + T1 * I(T5)) / 6
610 NEXT T5
620 T8 = 1: GOTO 1000
990 REM DIFFERENTIAL EQUATIONS IN SIMBAS NOTATION
1000 M1 = MM1 * O(3) / (KS1 + O(3))
1002 M2 = MM2 * O(3) / (KS2 + O(3))
1004 I(1) = M1 * O(1) - D * O(1)
1010 I(2) = M2 * O(2) - D * O(2)
1015 I(3) = D * SO - D * O(3) - M1 * O(1) / Y - M2 * O(2) / Y
1016 IF O(3) < 0 THEN O(3) = .001
1025 AX = 20 + TX * T
1027 PL = 160 - O(2) * TY2
1030 PSET (AX, PL)
1035 PL = 160 - O(1) * TY1
1040 PSET (AX, PL), 1
1050 PL = 160 - O(3) * 2
1060 PSET (AX, PL), 2
1100 IF T = 5 THEN O(1) = 5
1999 GOTO 100
2000 REM **DATA POINTS: SUPPRESSED AT LINE 110.  SEND TO PRINTER WITH LPRINT
2005 REM **COMMAND ON 2020.
2910 LOCATE NN, 12
2930 NN = NN + 1
2940 IF NN > 12 THEN NN = 1
2999 RETURN

