1 REM  CONTINUOUS STERILIZATION
2 REM JEFF VERBURG  FALL 1990
10 REM SCREEN 1,1
20 REM KEY OFF
30 CLS
90 PRINT:PRINT:PRINT:PRINT
100 PRINT "Continuous Sterilization"
120 LOCATE 10,1
130 PRINT "THE TWO TYPES OF STERILIZATION ARE BATCH AND CONTINUOUS
150 GOSUB 9000
170 PRINT "BATCH STERILIZATION HAS ADVANTAGES AND DISADVANTAGES."
179 PRINT
180 PRINT "ADVANTAGES:    SIMPLE EQUIPMENT"
182 PRINT "               EASY TO OPERATE"
184 PRINT "               REPRODUCIBLE PROCESS"
186 PRINT "               SOME FLEXIBILITY IN WHAT"
187 PRINT "                  CAN BE STERILIZED"
190 PRINT
192 PRINT "DISADVANTAGES: EXTENDED TIMES AT HIGH":PRINT "                  TEMPERATURE DUE":PRINT "                  TO SLOW COOLDOWN":PRINT "                  MAY RESULT IN":PRINT "                  OVERCOOKING"
194 PRINT "               HEAT IS WASTED"
196 PRINT "               REQUIRES CONSIDERABLE":PRINT "                  WATER FOR COOLING"
200 GOSUB 9000
210 PRINT "CONTINUOUS STERILIZATION ADVANTAGES AND DISADVANTAGES
220 PRINT
230 PRINT "ADVANTAGES:    THERMAL ECONOMY (HEAT IS":PRINT "                  REUSED)"
232 PRINT "               COMPACT SYSTEM"
234 PRINT "               MUCH LESS DESTRUCTION OF":PRINT "                  NUTRIENTS"
242 PRINT "DISADVANTAGES: NEED LOTS OF":PRINT "                  INSTRUMENTATION OR":PRINT "                  SKILLED OPERATORS"
244 PRINT "               ERRORS CAN RUIN A WHOLE":PRINT "                  RUN"
246 PRINT "               READILY FOULED"
248 PRINT "               LESS FLEXIBILITY IN WHAT":PRINT "                  CAN BE STERILIZED":PRINT "                  (NEED TO CHANGE PIPE":PRINT "                  LENGTH TO CHANGE HOLD":PRINT "                  TIME)"
250 PRINT: PRINT "THE NEXT FRAME SHOWS A FLOW DIAGRAM FOR A CONTINUOUS STERILIZATION PROCESS."
260 GOSUB 9000
2910 REM FLOWSHEET PAGE
2920 REM
2980 LOCATE 1,2
2990 PRINT "FLOWSHEET FOR CONTINUOUS STERILIZATION"
3000 REM DRAW MAKE UP TANK
3010 LINE (10,10)-(10,30)
3020 LINE (10,30)-(30,30)
3030 LINE (30,30)-(30,10)
3040 LOCATE 3,6
3050 PRINT "MAKE-UP TANK"
3060 REM PIPE TO HEAT EXCHANGER
3070 LINE (20,30)-(20,50)
3080 LINE (20,50)-(50,50)
3090 X=50
3095 Y=50
3100 GOSUB 8000
3110 REM HEAT EXCHANGERS
3120 X=50
3130 Y=45
3140 GOSUB 7000
3150 X=120
3160 Y=35
3170 GOSUB 7000
3230 LINE (70,50)-(120,50)
3240 X=120
3245 Y=50
3250 GOSUB 8000
3260 LINE (100,40)-(120,40)
3270 X=120
3275 Y=40
3280 GOSUB 8000
3290 LINE (140,40)-(160,40)
3300 X=160
3305 Y=40
3310 GOSUB 8000
3313 REM PIPE FOR HOLD TIME
3315 LINE (140,50)-(150,50)
3320 X0=150
3330 Y0=50
3340 X=X0
3350 Y=Y0
3360 FOR I=1 TO 8
3370 IF I/2 = INT(I/2) THEN X1=X-100:GOTO 3380
3375 X1 = X + 100
3380 Y1 = Y + 5
3390 LINE (X,Y)-(X1,Y)
3395 IF I=8 THEN Y1=Y1-5:GOTO 3410
3400 LINE (X1,Y)-(X1,Y1)
3410 X=X1
3420 Y=Y1
3430 NEXT I
3440 LINE (X,Y)-(X-10,Y)
3450 LINE (X-10,Y)-(X-10,Y0+10)
3460 LINE (X-10,Y0+10)-(70,60)
3470 X=70
3475 Y=60
3480 GOSUB 8100
3490 Y2 = (Y0+Y1)/2
3500 X=X1-10
3505 Y=Y2
3510 GOSUB 8200
3520 LINE (50,60)-(40,60)
3530 LINE (40,60)-(40,70)
3540 X=40
3545 Y=70
3550 GOSUB 8300
3553 REM FERMENTATION TANK
3555 LINE (30,70)-(30,90)
3560 LINE (30,90)-(50,90)
3570 LINE (50,90)-(50,70)
3600 LOCATE 4,13
3610 PRINT "HEAT EX#2"
3620 LOCATE 5,4
3630 PRINT "HEAT EX#1"
3640 LOCATE 5,21
3650 PRINT "STEAM"
3660 LOCATE 8,33
3670 PRINT"HOLD"
3675 LOCATE 9,33
3680 PRINT"PIPE"
3690 LOCATE 12,19
3700 PRINT"LIQUID AT HOLD"
3710 LOCATE 13,21
3720 PRINT"TEMPERATURE"
3730 LOCATE 13,2
3740 PRINT "FERMENTER"
3750 PRINT
3760 PRINT "Heat exchanger #1 uses the heat from the sanitized solution to
3765 PRINT"heat the new batch"
3770 PRINT "This process does not raise the temp of the new solution all the
3772 PRINT"way to the hold temp.  Therefore, heat exchanger #2 is used.  The steam in
3774 PRINT"exchanger #2 raises the temp to the hold temp."
3880 GOSUB 9000
3900 PRINT "THE LENGTH OF THE HOLD PIPE IS SUJECT   TO THE FOLLOWING RESTRICTION:"
4000 PRINT:PRINT "    (pi)(d^2)(L)/4 = (Vs)(t)"
4010 PRINT:PRINT "WHERE d IS THE PIPE DIAMETER"
4011 PRINT "L IS THE PIPE LENGTH"
4012 PRINT "Vs IS THE VOLUMETRIC FLOWRATE OF THE    SOLUTION"
4013 PRINT "t IS THE HOLD TIME"
4014 PRINT
4020 GOSUB 9000
5000 PRINT "In most cases, it is not desirable to use a pump in a
5005 PRINT"fermentation plant."
5010 PRINT "Usually a pressure is applied to one end of the pipe and the
5015 PRINT"fluid is forced through the pipe by the pressure gradient."
5020 PRINT "This does not, however, give a constant flow rate as
5025 PRINT"is required by this process."
5030 PRINT "It is therefore necessary to use a pd (positive displacement)
5035 PRINT"pump for a continuous sterilization process."
5040 PRINT
5050 PRINT "A pd pump is used because it pumps at a constant
5055 PRINT"volumetric flowrate."
5060 GOSUB 9000
5100 PRINT "Usually a Moyno pump is used."
5110 PRINT "A Moyno pump is a type of pd pump that is excellent for metering
5112 PRINT"flows with high amounts of suspended particles.  The pump has one stationary
5114 PRINT"spiral and one rotating spiral.  The cavity between them keeps forming and
5120 PRINT"moving toward the discharge end.
5130 GOSUB 9000
6990 END
7000 REM SUBROUTINE
7010 LINE (X,Y)-(X,Y+20)
7020 LINE (X,Y+20)-(X+20,Y+20)
7030 LINE (X+20,Y+20)-(X+20,Y)
7040 LINE (X+20,Y)-(X,Y)
7050 LINE (X,Y+10)-(X+4,Y+10)
7060 LINE (X+8,Y+10)-(X+12,Y+10)
7080 LINE (X+16,Y+10)-(X+20,Y+10)
7090 RETURN
8000 REM SUBROUTINE   ARROW RIGHT
8010 LINE (X,Y)-(X-5,Y-3)
8020 LINE (X,Y)-(X-5,Y+3)
8030 RETURN
8100 REM SUBROUTINE   ARROW LEFT
8110 LINE (X,Y)-(X+5,Y-3)
8120 LINE (X,Y)-(X+5,Y+3)
8130 RETURN
8200 REM SUBROUTINE ARROW UP
8210 LINE (X,Y)-(X+3,Y+5)
8220 LINE (X,Y)-(X-3,Y+5)
8230 RETURN
8300 REM SUBROUTINE   ARROW DOWN
8310 LINE (X,Y)-(X+3,Y-5)
8320 LINE (X,Y)-(X-3,Y-5)
8330 RETURN
8999 END
9000 LOCATE 23,1
9010 INPUT"Hit RETURN (ENTER) "  ;a$
9020 CLS
9030 RETURN
