10 REM MICROORGANISMS H. BUNGAY MARCH 87
20 REM KEY OFF
30 REM SCREEN 1,1
40 CLS
42 DIM Px(801),Py(801)
46 YC=90
48 XC=150
50 WIDTH 80
60 PRINT "TOP VIEW OF ETCHED SLIDE"
70 PRINT
80 PRINT"The etched region is much, much smaller than this."
90 LINE(30,30)-(320,90),,B
100 FOR X=150 TO 200 STEP 5
110 LINE(X,45)-(X,75)
120 IF X< 185 THEN LINE(150,X-105)-(200,X-105)
130 NEXT X
140 LOCATE 15,1
150 PRINT"CROSS-SECTION OF ETCHED SLIDE"
160 LINE(100,160)-(240,160)
170 LINE -(240,145):LINE -(205,145)
180 LINE -(205,150):LINE -(135,150)
190 LINE -(135,145):LINE -(100,145)
200 LINE -(100,160)
210 LINE(150,147)-(190,150),,B
220 INPUT"Hit return to put cover slip on. ";a$
230 LINE(100,141)-(240,144),,B
240 INPUT a$
250 CLS
255 fl=0
260 PRINT"Practice in deciding how much to dilute samples"
270 PRINT"for counting of organisms on a microscope slide"
280 PRINT"with an etched counting grid."
290 PRINT
300 PRINT"Select source of sample:"
310 PRINT"1- Tap water"
320 PRINT"2- Lake water
330 PRINT"3- Fluid from biological waste treatment"
340 PRINT"4- Industrial fermentation broth"
350 PRINT"5- Milk"
360 PRINT"6- Make viable counts"
365 PRINT"7- Go back to microscope counts"
367 PRINT"8- QUIT"
370 INPUT"Type number of your selection: ";C
380 ON C GOTO 390,420,450,480,510,710,250,800,250
390 INPUT"Tap water has few organisms. Use little dilution.  ";a$
400 N=INT(10*RND) +2
410 GOTO 530
420 INPUT"Lakes are active ecosystems. Dilute a lot.  ";a$
430 N=INT(4000*RND)
440 GOTO 530
450 INPUT"Waste treatment is loaded with organisms. Dilute highly.  ";a$
460 N=INT(1E+07*RND)
470 GOTO 530
480 INPUT"Fermentation broth is loaded with microorganisms. Dilute highly.";a$
490 N=2E+07*RND
500 GOTO 530
510 INPUT"Pasteurized milk eventually goes bad. Moderate dilution.";a$
520 N=INT(400*RND)
530  CLS
540  PRINT N
550 INPUT"Dilution factor (minus to stop)";DF
560 IF DF=0 THEN 530
570 CLS:IF DF<0 THEN 250
580 NUM=N/DF
590 IF NUM>800 THEN NUM=800
605 IF fl=1 THEN 900
610 FOR J=1 TO NUM
620 IF fl=0 THEN CIRCLE(XC+160-320*RND,YC+90-180*RND),4,3
640 NEXT
650 FOR X=1 TO 14
660 LINE(20,20*X)-(280,20*X)
670 LINE(20*X,20)-(20*X,180)
680 NEXT X
690 LOCATE 1,1
700 GOTO 540
710 fl=1
720 CLS
730 GOTO 300
800 STOP
900 FOR J=1 TO NUM
910 Px(J)=XC+130-260*RND
920 Py(J)=YC+60-120*RND
999 NEXT
1000 T=0
1002 PRINT"Please ignore colonies outside the Petri"
1003 PRINT"dish.  It would slow down the program if"
1004 PRINT"this were corrected."
1005 INPUT"Hit RETURN";a$
1007 CLS
1008 IF T>11 THEN 300
1010 PRINT"Petri dish at time = ";T*2 ;" Hours"
1020 CIRCLE(XC,YC),145
1030 T=T+1
1050 IF T=1 THEN 1005
1060 IF T=2 THEN 1200
1070 FOR J=1 TO NUM
1080 CIRCLE(Px(J),Py(J)),T
1090 NEXT
1100 GOTO 1005
1200 FOR J=1 TO NUM
1210 PSET(Px(J),Py(J))
1220 NEXT
1230 GOTO 1005

