10 REM DONNAN MEMBRANE EXERCISE, H. BUNGAY 1987
20 KEY OFF
25 SCREEN 1, 1
30 DEL = 3000
60 CLS
70 PRINT "Wait until this times out."
80 FOR N = 10 TO 180 STEP 20
90 Y1 = N
100 Y2 = N + 10
110 LINE (150, Y1)-(150, Y2)
120 NEXT
130 DIM X(40), Y(40), XO(40), XN(40), YO(40), YN(40)
140 FOR N = 1 TO 10
150 Q = RND(Q)
160 PO(N) = 150 * Q
170 Q = RND(Q)
180 PN(N) = 150 * Q
190 Q = RND(Q)
200 YO(N) = 150 * Q
210 Q = RND(Q)
220 QN(N) = 150 * Q
230 Q = RND(Q)
240 NEXT
250 FOR N = 1 TO 20
260 Q = RND(Q)
270 XO(N) = 300 * Q
280 Q = RND(Q)
290 XN(N) = 300 * Q
300 Q = RND(Q)
310 YO(N) = 150 * Q
320 Q = RND(Q)
330 YN(N) = 150 * Q
340 Q = RND(Q)
350 NEXT
360 FOR N = 1 TO 20
370 CIRCLE (X(N), Y(N)), 4, 0
380 Q = RND(Q)
390 X(N) = XN(N) + 4 - 8 * Q
400 Q = RND(Q)
410 Y(N) = YN(N) + 4 - 8 * Q
420 IF X(N) < 10 THEN X(N) = 10
430 IF X(N) > 300 THEN X(N) = 298
440 IF Y(N) < 5 THEN Y(N) = 6
450 IF Y(N) > 200 THEN Y(N) = 198
460 CIRCLE (X(N), Y(N)), 4, 3
470 XO(N) = XN(N): YO(N) = YN(N): YN(N) = Y(N)
480 XN(N) = X(N)
490 NEXT
500 FOR N = 1 TO 10
510 CIRCLE (P(N), Q(N)), 8, 0
520 Q = RND(Q)
530 P(N) = PN(N) + 2 - 4 * Q
540 Q = RND(Q)
550 Q(N) = QN(N) + 2 - 4 * Q
560 IF P(N) < 10 THEN P(N) = 10
570 IF P(N) > 142 THEN X(N) = 141
580 IF Q(N) < 5 THEN Q(N) = 6
590 IF Q(N) > 200 THEN Q(N) = 198
600 CIRCLE (P(N), Q(N)), 8, 1
610 PO(N) = PN(N): QO(N) = QN(N): QN(N) = Q(N)
620 PN(N) = P(N)
630 NEXT
640 COUNT = COUNT + 1
650 IF COUNT < 15 THEN 360
660 CLS
670 PRINT "The white circles move slowly and"
680 PRINT "don't pass the membrane."
690 PRINT : PRINT "The small circles move faster and"
700 PRINT "distribute everywhere."
710 PRINT : PRINT "At equilibrium, charges and activities  must balance."
720 PRINT : PRINT "The free energy change is:"
730 PRINT : PRINT
740 PRINT "     F = -RT ln ION(1)/ION(2)"
750 LINE (25, 94)-(35, 94)
760 LINE -(30, 87)
770 LINE -(25, 94)
780 LOCATE 23, 1: INPUT "Hit RETURN"; A$
790 CLS
800 PRINT "CONSIDER:"
810 PRINT : PRINT "      INITIAL              FINAL"
820 PRINT
830 PRINT "  Na+ C1   Na+ C2   Na+ C1+X  Na+ C2-X"
840 PRINT
850 PRINT "   R- C1             R-  C1"
860 PRINT
870 PRINT "  Cl- nil  Cl- C2   Cl-  X    Cl- C2-X"
880 LINE (72, 30)-(72, 80)
890 LINE (230, 30)-(230, 80)
900 LOCATE 14, 1
910 PRINT "AT FINAL  [Na+]1 [Cl-]1 = [Na+]2 [Cl-]2"
920 PRINT
930 PRINT "BUT THE RIGHT COMPARTMENT HAS ONLY NaCl."
940 PRINT "SO [Na+]2 = [Cl-]2"
950 PRINT "Solving:"
960 PRINT "       (C1+X) X = (C2-X)(C2-X)"
970 PRINT "OR"
980 PRINT "       X = C2 SQUARED/(C1+2C2)"
990 LOCATE 23, 1: INPUT "Type RETURN"; A$
1000 CLS
1010 PRINT "Let's see how this works."
1020 INPUT "Specify C1 (10 to 1000)"; C1
1030 IF C1 < 0 THEN 1150
1040 INPUT "Specify C2 (10 to 1000)"; C2
1045 PRINT "Initial NaR = ";
1050 PRINT USING "####.##"; C1
1060 PRINT " INITIAL NaCl= "; : PRINT USING "####.##"; C2
1070 PRINT
1080 X = C2 * C2 / (C1 + 2 * C2)
1090 PRINT " FINAL Na+ on left = "; : PRINT USING "####.##"; C1 + X
1100 PRINT " FINAL R- on left  = "; : PRINT USING "####.##"; C1
1110 PRINT " FINAL Cl- on left = "; : PRINT USING "####.##"; X
1120 PRINT " FINAL Na+ on right= "; : PRINT USING "####.##"; C2 - X
1130 PRINT " FINAL Cl- on right= "; : PRINT USING "####.##"; C2 - X
1140 PRINT : GOTO 1020
1150 CLS
1160 PRINT "If the ion is multivalent,we correct"
1170 PRINT "by taking the root of the conc."
1180 PRINT "e.g. for Al+3,take the cube root."
1190 PRINT : PRINT
1200 PRINT "The effect of ionization of water"
1210 PRINT "is particularly interesting."
1220 PRINT : PRINT "Consider:"
1230 PRINT "  NaR on one side and water on the other."
1240 INPUT "Hit RETURN"; A$
1250 CLS
1260 PRINT : PRINT "     INITIAL               FINAL"
1270 PRINT
1280 PRINT
1290 PRINT " Na+ C1    Na+ nil  Na+ C1-X  Na+ X"
1300 PRINT
1310 PRINT "   R- C1             R-  C1"
1320 PRINT
1330 PRINT " OH- nil   OH- nil  OH- Kw/X  OH- X"
1340 PRINT
1350 PRINT "  H+ nil    H+ nil   H+ X      H+ nil"
1360 LINE (72, 30)-(72, 90)
1370 LINE (230, 30)-(230, 90)
1380 LOCATE 14, 1
1390 PRINT "By analogous logic:"
1400 PRINT "     (C1-X) Kw/X = X squared"
1410 INPUT "Hit RETURN"; A$
1420 CLS
1430 PRINT "Let's try some numbers."
1435 PRINT "We assume that X is << C1."
1440 INPUT "Specify C1 (.001 - 1 )"; C1
1445 IF C1 < 0 THEN 1500
1450 X = .333333 * LOG(1E-14 * C1)
1452 X = EXP(X)
1470 X = -LOG(X) / 2.3
1480 PRINT " pH on left ="; X
1485 PRINT " pH on rt.  ="; 14 - X
1490 GOTO 1440
1500 CLS
1510 PRINT "We see that Donnan membrane effect"
1520 PRINT "allow cellular proteins to"
1530 PRINT "influence pH and ionic concentrations."
1550 LOCATE 20, 1: PRINT "The END"

