1 REM Simulation of 5 organisms + sugar
2 REM ORIG. SIMBAS BY D. STANZIONE, H. BUNGAY
3 REM MORE COMMENTS BY J. SAHLIN
5 DIM I(20),O(20),T0(20),T6(20),R(700),C(700)
8 CLS
9 NN=2
11 REM THIS SECTION MAKES THE AXIS
13 LINE (20,20)-(20,160)
14 LINE -(280,160)
15 LOCATE 22,3:PRINT"0        T I M E";
17 NAM$="CONCENTRATION"
18 LOCATE 1,39:PRINT"TIME     A        B        C        D"
20 FOR I=1 TO LEN(NAM$)
21 LOCATE 4+I,2:PRINT MID$(NAM$,I,1)
22 NEXT I
30  D=.25
32  mm=2
34  k3=.45
36  y=.45
38  ks=1
40  f=10
42  k1=.3
44  k2=.3
46 yf=25
47 ty1=10 'scaled for this problem only
48 ty2=ty1
55 REM T1 IS INTEGRATION STEP
56 T1=.1
57 REM T2 IS TOTAL TIME
58 T2=100
59 LOCATE 22,35:PRINT T2:REM T3 IS PRINT INTERVAL
60 T3=1
61 TX=260/T2 :REM SCALE FACTOR FOR ABSCISSA
79 REM N IS THE NUMBER OF EQUATIONS. O(N) ARE INITIAL CONDITIONS
80 N=6
81 O(1)=2
82 O(2)=.01
83 O(3)=1
84 O(4)=.6
85 O(5)=.05
86 O(6)=.5
96 REM DO NOT TOUCH LINES 98-620!!! THIS IS WHAT MAKES IT WORK!!!
98 T=INT(T2/T1+.5):T1=T2/T:T=INT(T3/T1+.5):T3=T*T1:T=0:T4=0
99 T8=1:GOTO 1000
100 IF(T-T4+T1/10)<0 THEN 125
105 REM PUT A ' BEFORE THE GOSUB IN LINE 110 TO SUPPRESS PRINTING NUMBERS."
110 T4=T4+T3:T5=INT(T/T1+.5):T=T5*T1: GOSUB 3000
111 REM change gosub above to 2000 if you want data points
115 IF(T-T2+T1/10)<0 THEN 125
120 LINE(AX,160)-(AX,164)
121 GOTO 4000
125 ON T8 GOTO 300,400,500,600
145 PRINT"** ERROR **":STOP
300 FOR T5=1 TO N
305 T0(T5)=T1*I(T5):T6(T5)=O(T5):O(T5)=O(T5)+T0(T5)/2
320 NEXT T5
330 T=T+T1/2:T8=2:GOTO 1000
400 FOR T5=1 TO N
410 T7=T1*I(T5):T0(T5)=T0(T5)+2*T7:O(T5)=T6(T5)+T7/2
420 NEXT T5
430 T8=3:GOTO 1000
500 FOR T5=1 TO N
510 T7=T1*I(T5):T0(T5)=T0(T5)+2*T7:O(T5)=T6(T5)+T7
520 NEXT T5
530 T8=4:T=T+T1/2:GOTO 1000
600 FOR T5=1 TO N
605 O(T5)=T6(T5)+(T0(T5)+T1*I(T5))/6
610 NEXT T5
620 T8=1:GOTO 1000
990 REM DIFFERENTIAL EQUATIONS IN SIMBAS NOTATION
1000 I(1)=mu*O(1)-D*O(1)-k1*O(1)*O(2)
1002 mu2=.2*mm*O(4)/(2*ks+O(4))
1005 mu=mm*O(4)/(ks+O(4))
1010 I(2)=k2*O(1)*O(2)-D*O(2)
1020 k4=.6*mm*O(4)/(1.2*ks+O(4))
1021 IF k4<0 THEN k4=0
1022 I(3)=O(3)*(k4 - D) -k1*O(3)*O(5)
1023 I(4)=D*f-D*O(4)-y*(mu*O(1)+k4*O(3)+mu2*O(6))
1024 I(5)=k2*O(5)*O(3)-D*O(5)
1025 I(6)=mu2*O(6)-D*O(6)
1026 REM GRAPH MAKER  MULTIPLY O(N) BY CONSTANT TO SHIFT CURVE
1027 AX=20+TX*T
1028 PL=160-O(1)*ty1
1030 PSET (AX,PL),3
1035 PL=160-O(2)*ty2
1040 PSET (AX,PL),2
1050 PL=160-O(3)*ty2
1060 PSET (AX,PL),1
1070 PL=160-O(4)*ty2
1080 PSET (AX,PL),3
1090 PL=160-O(5)*ty2
1100 PSET (AX,PL),2
1110 PL=160-O(6)*ty2
1120 PSET (AX,PL),1
1999 GOTO 100
2000 REM **DATA POINTS: SUPPRESSED AT LINE 110.  SEND TO PRINTER WITH LPRINT
2005 REM **COMMAND ON 2020.
2010 LOCATE NN,20
2020 PRINT T;O(1);O(2);O(3);O(4);O(5);O(6)
2030 NN=NN+1
2040 IF NN>22 THEN NN=2
2045 RETURN
3000 FOR n1=1 TO 6
3010 p1=(I(n1)+D*O(n1))/O(n1)
3020 R(6*T+n1)=p1
3030 C(6*T+n1)=O(n1)
3040 NEXT
3999 RETURN
4000 LOCATE 23,1:INPUT"Hit RETURN to move on";a$
4010 CLS
4020 INPUT"Select organism (1 to 6)";n1
4030 INPUT"Select possible food (1 to 6)";n2
4040 LINE(20,10)-(20,160)
4050 LINE(20,80)-(300,80)
4060 LOCATE 22,3:PRINT"     C O N C E N T R A T I O N";
4070 NAM$="Apparent Mu"
4080 FOR I=1 TO LEN(NAM$)
4090 LOCATE 4+I,2:PRINT MID$(NAM$,I,1)
4100 NEXT I
4110 FOR x = 0 TO T2
4120 PSET(20+C(x*6+n2)*20,80-R(x*6+n1)*50)
4130 NEXT
4150 GOTO 4000

