1 REM FILTRATION RATE, H. BUNGAY 1986
5 DIM I(20),O(20),T0(20),T6(20)
6 SCREEN 1,1
7 KEY OFF
8 CLS
9 NN=2
10 GOTO 3000
11 CLS:REM THIS SECTION MAKES THE AXIS
13 LINE (20,20)-(20,160)
14 LINE -(280,160)
15 LOCATE 22,3:PRINT"0        T I M E";
17 NAM$="VOLUME"
20 FOR I=1 TO LEN(NAM$)
21 LOCATE 8+I,2:PRINT MID$(NAM$,I,1)
22 NEXT I
27 REM PUT COEFF IN THIS REGION
40 CN=.064
41 MU=.011
42 PI=PI+1 :IF PI>9 THEN GOSUB 5000:GOTO 5740
43 DP=PI*84625!
44 AL=1.8E+11*PI^C
45 A=50
46 RM=1E+11
55 REM T1 IS INTEGRATION STEP
56 T1=2
57 REM T2 IS TOTAL TIME
58 T2=300
59 LOCATE 22,35:PRINT T2:REM T3 IS PRINT INTERVAL
60 T3=1
61 TX=260/T2 :REM SCALE FAC FOR ABSCISSA
62 TF1=20
79 REM N IS THE NUMBER OF EQUATIONS. O(N) ARE INITIAL CONDITIONS
80 N=1
86 O(1)=0
96 REM DO NOT TOUCH LINES 98-620!!! THIS IS WHAT MAKES IT WORK!!!
98 T=INT(T2/T1+.5):T1=T2/T:T=INT(T3/T1+.5):T3=T*T1:T=0:T4=0
99 T8=1:GOTO 1000
100 IF(T-T4+T1/10)<0 THEN 125
105 REM THE LINE 110 HAS A ' BEFORE THE GOSUB.  THE ' SUPPRESSES THIS COMMAND.
107 REM IF NUMERICAL VALUES FOR THE DATA POINTS ARE DESIRED, REMOVE '.
110 T4=T4+T3:T5=INT(T/T1+.5):T=T5*T1:'GOSUB 2000
115 IF(T-T2+T1/10)<0 THEN 125
120 LINE(AX,160)-(AX,164)
121 LOCATE 23,1:GOTO 40
125 ON T8 GOTO 300,400,500,600
145 PRINT"** ERROR **":STOP
300 FOR T5=1 TO N
305 T0(T5)=T1*I(T5):T6(T5)=O(T5):O(T5)=O(T5)+T0(T5)/2
320 NEXT T5
330 T=T+T1/2:T8=2:GOTO 1000
400 FOR T5=1 TO N
410 T7=T1*I(T5):T0(T5)=T0(T5)+2*T7:O(T5)=T6(T5)+T7/2
420 NEXT T5
430 T8=3:GOTO 1000
500 FOR T5=1 TO N
510 T7=T1*I(T5):T0(T5)=T0(T5)+2*T7:O(T5)=T6(T5)+T7
520 NEXT T5
530 T8=4:T=T+T1/2:GOTO 1000
600 FOR T5=1 TO N
605 O(T5)=T6(T5)+(T0(T5)+T1*I(T5))/6
610 NEXT T5
620 T8=1:GOTO 1000
990 REM DIFFERENTIAL EQUATIONS IN SIMBAS NOTATION
1000 I(1)=DP*A*A/(MU*AL*CN*O(1) + A*MU*RM)
1015 REM GRAPH MAKER  MULTIPLY O(N) BY CONSTANT TO SHIFT CURVE
1025 AX=20+T*TX
1035 PL=160-O(1)* TF1
1040 PSET (AX,PL)
1999 GOTO 100
2000 REM **DATA POINTS: SUPPRESSED AT LINE 110.  SEND TO PRINTER WITH LPRINT
2005 REM **COMMAND ON 2020.
2010 LOCATE NN,12
2030 NN=NN+1
2040 IF NN>12 THEN NN=1
2042 PRINT DP, AL
2045 RETURN
3000 CLS
3005 WIDTH 80
3010 PRINT"Filtration is greatly influenced by the"
3020 PRINT"characteristics of the cake that forms."
3030 PRINT
3040 PRINT"Some materials filter very easily because the
3050 PRINT"cake does not pack tightly.  There is plenty of"
3060 PRINT"void space through which the fluid can flow."
3070 PRINT
3080 PRINT"Suspensions with very fine particles form cakes"
3090 PRINT"with tiny spaces and high fluid flow resistance."
3100 PRINT
3110 PRINT"Other cakes can compress to reduce the void space."
3120 GOSUB 5000
3130 PRINT"The computer will animate the formation of a"
3140 PRINT"filter cake.  Note that there is void space."
3150 PRINT"Athough the sketch shows little room for flow, the"
3160 PRINT"real arrangement is in 3 dimensions, and there"
3170 PRINT"are void spaces through which fluid can flow."
3180 PRINT
3190 PRINT"This animation goes through 200 steps and is slow."
3300 GOSUB 5000
4000 REM Filter cake, H. Bungay 1989
4020 DIM XP(31),YP(31),D(31)
4030 RANDOMIZE
4040 X1=20
4050 X2=320
4060 Y1=160
4070 Y2=140
4080 Y3=30
4090 LINE(X1,Y1)-(X1,Y3)
4100 LINE(X1,Y2)-(X2,Y2)
4110 LINE(X2,Y1)-(X2,Y3)
4120 REM init position for particles
4130 FOR N=1 TO 30
4140 D(N)=Y2-7   'decision height
4150 XP(N)=X1+N*9.600001
4160 YP(N)=Y3+RND*(Y2-Y3)-5
4170 CIRCLE (XP(N),YP(N)),6
4180 NEXT
4190 R=5 'initial rate
4200 REM settle particles
4210 FOR N=1 TO 30:CIRCLE (XP(N),YP(N)),6,0
4230 IF YP(N)>D(N) THEN 4320 'in cake
4240 YP(N)=YP(N)+R
4250 CIRCLE (XP(N),YP(N)),6
4260 NEXT
4270 LOCATE 2,1
4280 PRINT "step ";Z;" Cake resistance";5/R
4290 Z=Z+1
4292 IF Z=40 THEN GOSUB 5300
4294 IF Z=80 THEN GOSUB 5400
4296 IF Z=120 THEN GOSUB 5450
4300 IF Z<200 THEN 4210
4305 GOSUB 5000
4310 GOTO 5500
4320 CIRCLE (XP(N),YP(N)),6
4330 YP(N)=Y3 + 2*RND(N)
4340 D(N)=D(N)-5
4350 D(N-1)=D(N-1)-2
4360 D(N+1)=D(N+1)-2
4370 R=R-.05
4380 IF R< 1 THEN R=1
4390 GOTO 4250
5000 LOCATE 23,1
5010 INPUT"Hit the enter key.";A$
5020 CLS
5030 RETURN
5300 LOCATE 21,6
5310 PRINT"For ease of programming, there is"
5320 LOCATE 22,6
5330 PRINT"only one particle per vertical slice."
5399 RETURN
5400 LOCATE 21,6
5410 PRINT"Imagine squeezing the cake          "
5420 LOCATE 22,6
5430 PRINT"to reduce its void space.            "
5440 RETURN
5450 LOCATE 20,1
5460 PRINT"The filtration rate should really slow
5470 PRINT"down, but this simulation is too slow
5480 PRINT"anyway.  Just imagine.                "
5499 RETURN
5500 PRINT"The filtration equation is:
5510 PRINT"      dV/dt = P A*A / [ mu alpha C V + Rm A ]
5520 PRINT
5522 PRINT"alpha=initial resistance*pressure to a power
5524 PRINT"The power is the compressibility factor.
5529 PRINT
5530 PRINT"The SIMBAS program will solve the equation
5540 PRINT"subject to your specifications.
5550 PRINT
5710 PRINT"Constant pressure filtration applies constant
5720 PRINT"driving force from the start.
5730 PRINT
5740 INPUT"Type compressibility (0 to 5) "; C
5760 PRINT
5765 PI=0
5770 PRINT"SIMBAS will start with 1 ft of head pressure
5780 PRINT"and increment in steps of 1 ft."
5790 INPUT"Hit RETURN";A$
5799 GOTO 11
