10 REM THIS IS THE TERM PROJECT FOR BIOCHEMICAL ENGINEERING 
20 REM  BY D-R Wu, SPRING 1988, addns by Marc Savoy, 92
30 XMAX=320:YMAX=180
60 KEY OFF:SCREEN 1,1:WIDTH 80
70 PRINT " Immobilized enzymes are defined as enzymes "
80 PRINT:PRINT " physically confined in a certain region"
90 PRINT:PRINT " with retention of their catalytic activities"
100 PRINT:PRINT " IMMOBILIZATION OF ENZYMES IS CLASSIFIED INTO:"
110 PRINT:PRINT " (1) CARRIER-BINDING"
120 PRINT:PRINT " (2) CROSS-LINKING"
130 PRINT:PRINT " (3) ENTRAPPING"
140 GOSUB 4090
150 LOCATE 2,4
160 PRINT "IMMOBILIZATION METHODS FOR ENZYMES"
170 LOCATE 6,7
180 PRINT "CARRIER    CROSS    ENTRAPPING"
190 PRINT "      BINDING   LINKING"
200 LINE(XMAX/2,16)-(XMAX/2,36)
210 LINE(XMAX*.25,26)-(XMAX*.75,26)
220 LINE(XMAX*.25,26)-(XMAX*.25,36)
230 LINE(XMAX*.75,26)-(XMAX*.75,36)
240 LINE(XMAX*.25,55)-(XMAX*.25,60)
250 LINE(XMAX*.8,45)-(XMAX*.8,55)
260 LINE(XMAX*.1,60)-(XMAX*.52,60)
270 LINE -(XMAX*.52,70)
280 LINE(XMAX*.77,55)-(XMAX-1,55)
290 LINE -(XMAX-1,70)
300 LINE(XMAX*.1,60)-(XMAX*.1,70)
310 LINE(XMAX*.35,60)-(XMAX*.35,70)
320 LINE(XMAX*.55,55)-(XMAX*.55,70)
330 LINE(XMAX*.77,55)-(XMAX*.77,70)
340 LOCATE 9,2
350 PRINT"PHYSICAL   IONIC  COVALENT LATTICE MICROCAPSULE"
360 LOCATE 10,1
370 PRINT"ADSORPTION BINDING BINDING   TYPE      TYPE"
380 GOSUB 4090
390 WIDTH 80
400 PRINT:PRINT:PRINT
410 PRINT"   When enzymes are bound to surfaces of different kinds"
420 PRINT"   of matrices, the activity should be reported as the"
430 PRINT"   initial reaction rate(umol/min)per unit area of surface"
440 PRINT:PRINT"   For these measurements, the reaction temperature,"
450 PRINT"   stirring rate, pH and other reaction conditions should"
460 PRINT"   be clearly described"
470 GOSUB 4090
480 PRINT:PRINT:PRINT"   It is recognized that the kinetic constants measured"
490 PRINT:PRINT"   with immobilized enzymes are not true kinetic constants"
500 PRINT:PRINT"   equivalent to those obtained in homogeneous reactions."
510 PRINT:PRINT"   They are apparent values because of the effects of "
520 PRINT:PRINT"   diffusional and partitioning effects. Hence, maximum"
530 PRINT:PRINT"   velocity and Michaelis constants should be referred "
540 PRINT:PRINT"   to as apparent Vmax and apparent Km."  
550 PRINT:PRINT"   Furthermore, conformational and steric effects can "
560 PRINT:PRINT"   change kinetic behavior of immobilized enzymes."
570 GOSUB 4090
580 PRINT:PRINT:PRINT"   Let's talk about CARRIER-BINDING first, which is sub-"
590 PRINT:PRINT"   classified to physical adsorption, ionic binding and "
600 PRINT:PRINT"   covalent binding. Physical adsorption is the earliest"
610 PRINT:PRINT"   example of enzyme immobilization with beta-D-fructo-"
620 PRINT:PRINT "  furanosidase adsorbed onto aluminium hydroxide."
630 PRINT:PRINT"   METHODS AVAILABLE: (1) STATIC PROCEDURE (2) ELECTRO-"
640 PRINT:PRINT"   DEPOSITION (3) REACTOR LOADING PROCESS (4) MIXING OR"
650 PRINT:PRINT"   SHAKING BATH LOADING."
660 GOSUB 4090
670 PRINT:PRINT:PRINT"   Of the four techniques the most frequently employed"
680 PRINT:PRINT"   in the lab is MIXING-BATH LOADING. For commercial "
690 PRINT:PRINT"   purposes the preferred method is the REACTOR LOADING. "    
700 PRINT:PRINT:PRINT"   THE MAIN DIFFERENCE BETWEEN IONIC BINDING AND"
710 PRINT:PRINT"   PHYSICAL ADSORPTION IS THAT THE ENZYME TO "
720 PRINT:PRINT"   CARRIER LINKAGES ARE MUCH STRONGER FOR IONIC "
730 PRINT:PRINT"   BINDING ALTHOUGH LESS STRONG THAN IN COVALENT BINDING."
740 GOSUB 4090
750 PRINT:PRINT:PRINT"   COVALENT immobilization of an enzyme:"
760 PRINT: PRINT"   Covalent attachment to a support matrix"
770 PRINT:PRINT"   must involve only functional groups of the enzyme that" 
780 PRINT:PRINT"   are not essential for catalytic action.  Higher activities "
790 PRINT:PRINT"   result from prevention of inactivation reactions "
800 PRINT:PRINT"   With amino acid residues of the active "
810 PRINT:PRINT"   sites, a number of protective methods have been devised: "
820 GOSUB 4090
830 PRINT:PRINT:PRINT"   (1) COVALENT ATTACHMENT OF THE ENZYME IN THE PRESENCE OF"
840 PRINT"   A COMPETITIVE INHIBITOR OR SUBSTRATE,
850 PRINT:PRINT"   (2) A REVERSIBLE COVALENTLY LINKED ENZYME-INHIBITOR"
860 PRINT"   COMPLEX,"
870 PRINT:PRINT"   (3) A CHEMICALLY MODIFIED SOLUBLE ENZYME WHOSE COVALENT"
880 PRINT"   LINKAGE TO THE MATRIX IS ACHIEVED BY NEWLY INCORPORATED"
890 PRINT"   RESIDUES,"
900 PRINT:PRINT"   (4) A ZYMOGEN PRECURSOR."
910 GOSUB 4090
920 PRINT:PRINT:PRINT"   Covalent binding is brought about by:"
930 PRINT:PRINT"   (A) DIAZOTIZATION, SUPPORT--N=N--ENZYME "
940 PRINT:PRINT"   (B) AMIDE BOND FORMATION, SUPPORT--CO-NH--ENZYME"
950 PRINT:PRINT"   (C) ALKYLATION AND ARYLATION, SUPPORT--CH2-NH--ENZYME"
960 PRINT:PRINT"   OR SUPPORT--CH2-S--ENZYME"
970 PRINT:PRINT"   (D) SCHIFF'S BASE FORMATION,  SUPPORT--CH=N--ENZYME"
980 PRINT:PRINT"   (E) AMIDINATION REACTION, SUPPORT--CNH-NH--ENZYME"
990 GOSUB 4090
1000 PRINT:PRINT:PRINT"   (F) THIOL-DISULPHIDE INTERCHANGE, SUPPORT--S-S--ENZYME"
1010 PRINT:PRINT"   (G) UGI REACTION"                      
1020 PRINT:PRINT"   (H) MERCURY-ENZYME INTERCHANGE"
1030 PRINT:PRINT"   (I) GAMA-IRRADIATION INDUCED COUPLING"
1040 PRINT:PRINT"   (J) CARRIER BINDING WITH BIOFUNCTIONAL REAGENTS,"
1050 PRINT:PRINT"   SUPPORT-O(CH2)2N=CH(CH2)3CH=N-ENZYME"
1060 PRINT:PRINT"   So far, we have  discussed carrier binding."
1070 PRINT"   Next comes cross-linking.
1080 GOSUB 4090
1090 PRINT:PRINT:PRINT"   Cross-linking is based on the formation of chemical" 
1100 PRINT:PRINT"   bonds, as in the covalent binding method, but water-"
1110 PRINT:PRINT"   insoluble carriers are not used. The immobilization" 
1120 PRINT:PRINT"   is performed by the formation of intermolecular cross-"
1130 PRINT:PRINT"   linkages between the enzyme molecules by means of bi- "
1140 PRINT:PRINT"   or multifunctional reagents. The most common reagent"
1150 PRINT:PRINT"   used for cross-linking is glutaraldehyde. Cross- "
1160 PRINT:PRINT"   linking reactions are carried out under relatively "
1170 PRINT:PRINT"   severe conditions.
1180 GOSUB 4090
1190 PRINT:PRINT"    Severe reaction conditions can change the
1200 PRINT:PRINT"    conformation of active center of the enzyme.
1210 PRINT:PRINT"    leading to significant loss of activity.
1220 PRINT:PRINT"    Now let's talk about ENTRAPPING."
1230 PRINT:PRINT"    The entrapment for immobilization is based the loca-"
1240 PRINT:PRINT"    lization of an enzyme within the lattice of a polymer"
1250 PRINT:PRINT"    matrix or membrane in such a way as to retain"
1260 PRINT:PRINT"    protein while allowing penetration of substrate.  "
1270 GOSUB 4090
1280 PRINT:PRINT:PRINT"    This method differs from the covalent binding and cross"
1290 PRINT:PRINT"    linking in that enzyme itself does not bind to the gel"
1300 PRINT:PRINT"    matrix or membrane. It can be classified into lattice"
1310 PRINT:PRINT"    and microcapsule types. The LATTICE-TYPE entrapment"
1320 PRINT:PRINT"    involves entrapping enzymes within the interstitial"
1330 PRINT:PRINT"    spaces of a cross-linked water-insoluble polymer. "
1340 PRINT:PRINT"    MICROCAPSULE-TYPE entrapping involves enclosing the"
1350 PRINT:PRINT"    enzymes within semipermeable polymer membranes."
1360 GOSUB 4090
1370 PRINT:PRINT:PRINT"    The procedures for MICROCAPSULATION of enzymes can be"
1380 PRINT:PRINT"    classified as:"
1390 PRINT:PRINT"    (A) INTERFACIAL POLYMERIZATION
1400 PRINT:PRINT"    (B) LIQUID DRYING AND
1410 PRINT:PRINT"    (C) PHASE SEPARATION"
1420 PRINT:PRINT"    THE FORMS OF IMMOBILIZED ENZYMES CAN BE CLASSIFIED "
1430 PRINT:PRINT"    INTO FOUR TYPES: PARTICLES, MEMBRANES, TUBES AND FIBERS."
1440 GOSUB 4090
1450 PRINT:PRINT"    The solid supports used for enzyme immobilization"
1460 PRINT:PRINT"    are inorganic or organic."
1470 PRINT:PRINT"    Organic supports consist of "
1480 PRINT:PRINT"    (1) POLYSACCHARIDES"
1490 PRINT"    (2) PROTEINS "
1500 PRINT"    (3) CARBON"
1510 PRINT"    (4) POLYSTYRENES"
1520 PRINT"    (5) POLYACRYLATES"
1530 PRINT"    (6) MALEIC ANHYDRIDE BASED COPOLYMERS"
1540 PRINT"    (7) POLYPEPTIDES"
1550 PRINT"    (8) VINYL AND ALLYL POLYMERS"
1560 PRINT"    (9) POLYAMIDES."
1570 GOSUB 4090
1580 PRINT:PRINT"    Finally, let's discuss ENZYME REACTORS.
1590 PRINT:PRINT"    Batch reactors consist of"
1600 PRINT:PRINT"    (1) STIRRED TANK FOR SOLUBLE ENZYMES"
1610 PRINT"    (2) STIRRED TANK FOR IMMO. ENZYMES"
1620 PRINT"    (3) STIRRED TANK WITH IMMO. ENZYME BASKET PADDLES"
1630 PRINT"    (4) STIRRED TANK WITH IMMO. ENZYME BASKET BAFFLES"
1640 PRINT"    (5) TOTAL RECYCLE PACKED BED REACTOR"
1650 PRINT"    (6) TOTAL RECYCLE FLUIDIZED BED REACTOR."
1660 GOSUB 4090
1670 PRINT:PRINT"    Continuous reactors consist of "
1680 PRINT:PRINT"    (1) STIRRED TANK REACTOR WITH FILTRATION RECOVERY"
1690 PRINT"    (2) STIRRED TANK REACTOR WITH SETTLING TANK RECOVERY"
1700 PRINT"    (3) STIRRED TANK REACTOR WITH IMMO. ENZYME BASKET PADDLES"
1710 PRINT"    (4) STIRRED TANK REACTOR WITH ULTRAFILTRATION RECOVERY"
1720 PRINT"    (5) PACKED BED REACTOR"
1730 PRINT"    (6) FLAT BED REACTOR"
1740 PRINT"    (7) FILTER BED REACTOR"
1750 PRINT"    (8) FLUIDIZED BED REACTOR"
1760 PRINT"    (9) MEMBRANE REACTOR"
1770 PRINT"    (10) HOLLOW FIBER REACTOR."
1780 GOSUB 4090
1790 PRINT
1800 PRINT
1810 PRINT"    PLEASE TRY A QUIZ. TYPE T FOR TRUE"
1820 PRINT
1830 PRINT"    F FOR FALSE. GOOD LUCK!" 
1840 PRINT
1850 PRINT"    Q1."
1860 PRINT"    FOR PHYSICAL ADSORPTION, DESORPTION OF THE ENZYME FROM"
1870 PRINT"    THE CARRIER OCCURS DURING USE OWING TO THE WEAKNESS"
1880 PRINT"    OF THE BINDING FORCES. TRUE(T) OR FALSE(F)?"
1890 INPUT"    (T/F)";A$
1900 PRINT
1910 PRINT
1920 IF A$= "F" OR A$="f"  THEN PRINT "   YOU ARE WRONG! ANSWER IS TRUE."
1930 IF A$= "T" OR A$="t"  THEN PRINT "   GOOD!"
1940 GOSUB 4090
1950 PRINT
1960 PRINT
1970 PRINT"    Q2."
1980 PRINT"    THE TYPE OF ION-EXCHANGE RESIDUE ON THE SUPPORT RESULTS"
1990 PRINT"    IN THE SUPPORT BEING CLASSIFIED AS ANIONIC OR CATIONIC"
2000 PRINT"    DEPENDING ON ABILITY TO EXCHANGE ANION"
2010 PRINT"    OR CATIONS OF THE SUPPORT WITH ANIONIC OR CATIONIC"
2020 PRINT"    RESIDUES OF THE ENZYMES. TRUE(T) OR FALSE(F)?"
2030 INPUT"    (T/F)";A$
2040 PRINT
2050 PRINT
2060 IF A$="F" OR A$="f" THEN PRINT"   YOU ARE WRONG! ANSWER IS TRUE."
2070 IF A$="T" OR A$="t" THEN PRINT"   GOOD!"
2080 GOSUB 4090
2090 PRINT
2100 PRINT
2110 PRINT"    Q3."
2120 PRINT"    THE MAIN DIFFERENCE BETWEEN IONIC AND COVALENT BINDING"
2130 PRINT"    IS THE STRENGTH OF THE ENZYME TO THE SUPPORT LINKAGES"
2140 PRINT"    THAT ARE MUCH STRONGER FOR IONIC BINDING. TRUE(T) OR"
2150 PRINT"    FALSE(F)?"
2160 INPUT"    (T/F)";A$
2170 PRINT
2180 PRINT
2190 IF A$="T" OR A$="t" THEN PRINT"  YOU ARE WRONG! ANSWER IS FALSE."
2200 IF A$="F" OR A$="f" THEN PRINT"  GOOD!"
2210 GOSUB 4090
2220 PRINT
2230 PRINT
2240 PRINT"    Q4."
2250 PRINT"    COVALENT ATTACHMENT OF THE ENZYME IN THE PRESENCE OF"
2260 PRINT"    A COMPETITIVE INHIBITOR OR SUBSTRATE IS USED TO "
2270 PRINT"    CAUSE THE INACTIVATION REACTION WITH THE ESSENTIAL"
2280 PRINT"    AMINO ACID RESIDUES OF THE ACTIVE SITE. TRUE OR FALSE"
2290 INPUT"    (T/F)";A$
2300 PRINT
2310 PRINT
2320 IF A$="T" OR A$="t" THEN PRINT"   YOU ARE WRONG! ANSWER IS FALSE."
2330 IF A$="F" OR A$="f" THEN PRINT"   GOOD! "
2340 GOSUB 4090
2350 PRINT
2360 PRINT
2370 PRINT"    Q5."
2380 PRINT"    THE KINETIC BEHAVIOR OF IMMOBILIZED ENZYMES CAN ALTER"
2390 PRINT"    DUE TO CONFORMATIONAL, STERIC AND MICROENVIRONMENTAL"
2400 PRINT"    EFFECTS. TRUE(T) OR FALSE(F)?"
2410 INPUT"    (T/F)";A$
2420 PRINT
2430 PRINT
2440 IF A$="F" OR A$="f" THEN PRINT"   YOU ARE WRONG! ANSWER IS TRUE."
2450 IF A$="T" OR A$="t" THEN PRINT"   GOOD!"
2460 GOSUB 4090
2470 PRINT
2480 PRINT
2490 PRINT"    Q6."
2500 PRINT"    IN ORDER TO USE AN ENZYME IN ITS NATIVE(SOLUBLE) STATE"
2510 PRINT"    CONTINUOUSLY OVER A LONG PERIOD, WE CAN TRY COVALENT"
2520 PRINT"    BINDING OR CROSS-LINKING. TRUE(T) OR FALSE(F)?"
2530 INPUT"    (T/F)";A$
2540 PRINT
2550 PRINT
2560 IF A$="T" OR A$="t" THEN PRINT"   YOU ARE WRONG! ANSWER IS FALSE."
2570 IF A$="F" OR A$="f" THEN PRINT"   GOOD!"
2580 GOSUB 4090
2590 PRINT
2600 PRINT
2610 PRINT"    Q7."
2620 PRINT"    A NUMBER OF POLYSACCHARIDES HAVE BEEN USED AS SUPPORTS"
2630 PRINT"    FOR ENZYME IMMOBILIZATION AND POLYSACCHARIDES BELONG"
2640 PRINT"    TO INORGANIC SUPPORTS. TRUE(T) OR FALSE(F)?"
2650 INPUT"    (T/F)";A$
2660 PRINT
2670 PRINT
2680 IF A$="T" OR A$="t" THEN PRINT"   YOU ARE WRONG! ANSWER IS FALSE."
2690 IF A$="F" OR A$="f" THEN PRINT"   GOOD!"
2700 GOSUB 4090
2710 PRINT
2720 PRINT
2730 PRINT"    Q8."
2740 PRINT"    POLYSTYRENE IS ONE KIND OF SYNTHETIC ORGANIC SUPPORTS"
2750 PRINT"    TRUE(T) OR FALSE(F)?"
2760 INPUT"    (T/F)";A$
2770 PRINT
2780 PRINT
2790 IF A$="T" OR A$="t" THEN PRINT"   GOOD!"
2800 IF A$="F" OR A$="f" THEN PRINT"   YOU ARE WRONG! ANSWER IS TRUE."
2810 GOSUB 4090
2820 PRINT 
2830 PRINT
2840 PRINT"    Q9."
2850 PRINT"    A CONTINUOUSLY STIRRED TANK REACTOR IS MORE EFFICIENT"
2860 PRINT"    THAN A BATCH STIRRED TANK REACTOR, BUT THE REACTOR"
2870 PRINT"    EQUIPMENT IS SLIGHTLY MORE COMPLICATED. TRUE OR FALSE?"
2880 INPUT"    (T/F)";A$
2890 REM Immobilized Enzymes, H. Bungay 1988 with some lines from
2900 WIDTH 80
2910 CLS
2920 PRINT"Let's discuss spacing."
2930 PRINT
2940 PRINT"Some enzymes can be covalently bound"
2950 PRINT"to a polymer."
2960 PRINT
2970 PRINT"Assume in the next figure that the CH2"
2980 PRINT"groups have somehow been activated to"
2990 PRINT"bind with enzymes."
3000 GOSUB 4090
3010 CLS
3020 SCREEN 1,1
3030 X=48
3040 Y=80
3050 Z=10
3060 FOR I = 2 TO 23 STEP 4
3070 LOCATE I,12
3080 PRINT "-CH2-           Enzyme"
3090 NEXT
3100 FOR Y= 10 TO 200 STEP 32
3110 GOSUB 3930
3120 LINE (29,Y-1)-(X,Y+1),2,BF
3130 CIRCLE (236,Y),110,,,,.1
3140 GOSUB 3800
3150 NEXT
3160 LINE(25,5)-(29,200),2,BF
3170 LOCATE 1,1
3180 INPUT A$
3190 CLS
3200 PRINT"Some serious faults in the sketch:"
3210 PRINT
3220 PRINT"1. The backbone (red) is some polymer,"
3230 PRINT"   not just some pipe or rod as shown."
3240 PRINT
3250 PRINT"2. Binding with a CH2 group is unlikely, and there is probably something  other"
3260 PRINT"than a  6-membered (benzene?) ring."
3270 PRINT
3280 PRINT"3. Enzymes are hundreds of times"
3290 PRINT"bigger than benzene rings.
3300 PRINT
3310 PRINT"4. Many enzymes are ellipsoidal, but    don't line up uniformly. The attachment"
3320 PRINT"sites would vary."
3330 PRINT
3340 PRINT"5. The enzymes point out at various     angles in 3 dimensions."
3350 PRINT
3360 INPUT"Type A to see the sketch again"; A$
3370 IF A$="a" OR A$="A" THEN 3010
3380 CLS
3390 LOCATE 17,6
3400 PRINT"Consider an enzyme only one CH2 away."
3410 FOR I = 2 TO 23 STEP 12
3420 LOCATE I,12
3430 PRINT "-CH2-           Enzyme"
3440 NEXT
3450 FOR Y= 10 TO 200 STEP 96
3460 GOSUB 3930
3470 LINE (29,Y-1)-(X,Y+1),,BF
3480 CIRCLE (236,Y),110,,,,.1
3490 CIRCLE (190,Y+5),12,2,,,.2
3500 GOSUB 3800
3510 NEXT
3520 LINE(25,5)-(29,120),,BF
3530 LOCATE 19,6
3540 PRINT"It would be very difficult for a        substrate to find the active site (red)."
3550 PRINT"The backbone interferes sterically."
3560 INPUT A$
3570 CLS
3580 FOR I = 2 TO 23 STEP 12
3590 LOCATE I,12
3600 PRINT "-CH2-CH2-CH2-CH2-CH2-CH2-"
3610 PRINT
3620 PRINT"                         Enzyme"
3630 NEXT
3640 FOR Y= 11 TO 200 STEP 96
3650 GOSUB 3930
3660 XL=175
3670 LINE (29,Y-1)-(X,Y+1),,BF
3680 CIRCLE (XL,Y+20),110,,,,.1
3690 CIRCLE (XL+53,Y+25),12,2,,,.2
3700 GOSUB 3800
3710 LINE(286,Y)-(286,Y+19)
3720 NEXT
3730 LINE(25,5)-(29,145),,BF
3740 LOCATE 19,6
3750 PRINT"With 6 CH2 (or other spacing groups),"
3760 PRINT"the enzyme can whip aound and twist so  that the active site is much"
3770 PRINT"more accessible. Six spacers is enough."
3780 INPUT A$
3790 GOTO 4130
3800 REM DRAW RING
3810 XX=X+3*Z
3820 LINE (X,Y)-(X+Z,Y-Z)
3830 LINE -(A(2),B(5))
3840 LINE(X+3*Z,Y-Z)- (A(1),Y)
3850 LINE -(X+3*Z,Y+Z)
3860 LINE -(X+Z,Y+Z)
3870 LINE -(X,Y)
3880 RETURN
3890 LOCATE 24,1
3900 INPUT "TYPE ENTER KEY (RETURN)";Q
3910 CLS
3920 RETURN
3930 A(1)=X+4*Z
3940 B(1)=Y
3950 A(2)=X+3*Z
3960 B(2)=Y+Z
3970 A(3)=X+Z
3980 B(3)=Y+Z
3990 A(4)=X
4000 B(4)=Y
4010 A(5)=X+Z
4020 B(5)=Y-Z
4030 RETURN
4040 REM DELAY SUBROUTINE
4050 FOR J=1 TO D
4060 Q=SIN(Q)
4070 NEXT
4080 RETURN
4090 LOCATE 23,1
4100 INPUT"Hit ENTER";A$
4110 CLS
4120 RETURN
4130 REM
4140 CLS
4150 IF FLAG=2 THEN 4450
4160 PRINT"An enzyme has an optimum pH."
4170 LINE (20,20)-(20,160)
4180 LINE -(280,160)
4190 LOCATE 22,14:PRINT"pH"
4200 NAM$="Activity"
4210 FOR I=1 TO LEN(NAM$)
4220 LOCATE 7+I,2:PRINT MID$(NAM$,I,1)
4230 NEXT I
4240 MUL=600
4250 LOCATE 2,2
4260 PRINT"Minus numbers to advance."
4270 INPUT"Dispersion coeff (2 to 25)";DIS
4280 IF DIS<2 THEN 4360
4290 MUL=600
4300 IF FLAG=1 THEN 4380
4310 FOR X= -10 TO 10 STEP .02
4320 Y=MUL*EXP(1/(X*X+DIS))
4330 PSET(140+X*10,MUL+160-Y)
4340 NEXT
4350 GOTO 4250
4360 FLAG=FLAG+1
4370 GOTO 4140
4380 PRINT"The activity curve need not be symmetrical."
4390 FOR X= -10 TO 10 STEP .02
4400 Y=MUL*EXP(1/(X*X+DIS))
4410 XL=20+(10+X)*(10+X)*.65
4420 PSET(XL,MUL+160-Y)
4430 NEXT
4440 GOTO 4250
4450 CLS
4460 PRINT
4470 PRINT"Increasing temperature improves rate,"
4480 PRINT"but you can cook the enzyme."
4490 LINE (20,20)-(20,160)
4500 LINE -(280,160)
4510 LOCATE 22,1: PRINT" 25            50            75"
4520 PRINT"           Temperature"
4530 NAM$="Activity"
4540 FOR I=1 TO LEN(NAM$)
4550 LOCATE 7+I,2:PRINT MID$(NAM$,I,1)
4560 NEXT I
4570 A=1 
4580 REM This is just functions to hoke up the graph
4590 FOR X=0 TO 440
4600 XX=X-340
4610 IF XX>0 THEN YX=XX*XX
4620 ACT=200/((273+X)*1.98 )
4630 Y=A*EXP(-ACT) -.00003*YX
4640 PSET(20+X/2,350-350*Y)
4650 NEXT
4660 INPUT A$
4670 WIDTH 80
4680 PRINT"Immobilization often shifts the pH optimum."
4690 PRINT"This may be desirable."
4700 PRINT
4710 PRINT"If the enzyme survives immobilization,"
4720 PRINT"thermal stability is usually improved."
4730 PRINT"The End"
4740 STOP

