1 REM Chemostat with inhibitory substrate, H. Bungay 12/87
2 REM ORIG. BY D. STANZIONE, H. BUNGAY
3 REM MORE COMMENTS BY J. SAHLIN
4 XMAX=320:YMAX=180
5 KEY OFF
10 CLS:NN=1
11 REM THIS SECTION MAKES THE AXIS
12 SCREEN 1,1
13 LINE (20,20)-(20,YMAX-20)
14 LINE -(XMAX-20,YMAX-20)
15 LOCATE 22,3:PRINT"0        T I M E";
17 NAM$="CONCENTRATION"
19 V1=3+(14-LEN(NAM$))/2
20 FOR I=1 TO LEN(NAM$)
21 LOCATE V1+I,2:PRINT MID$(NAM$,I,1)
22 NEXT I
27 REM PUT COEFF IN THIS REGION
30 LOCATE 1,5
32 INPUT"Type Ki (0 - .2) ";KI
35 INPUT"Type D (.01 - .5)";D
36 IF D=0 THEN 10
37 IF D<0 THEN STOP
42 MM=.5
44 Y=.45
46 SO=40
48 KS=2
55 REM T1 IS INTEGRATION STEP
56 T1=.1
57 REM T2 IS TOTAL TIME
58 T2=12
59 LOCATE 22,35:PRINT T2:REM T3 IS PRINT INTERVAL
60 T3=1
61 TX=(XMAX-30)/T2 :REM SCALE FAC FOR ABSCISSA
62 TY1=4:TY2=TY1
79 REM N IS THE NUMBER OF EQUATIONS. O(N) ARE INITIAL CONDITIONS
80 N=2
86 O(1)=10
88 O(2)=15
96 REM DO NOT TOUCH LINES 98-620!!! THIS IS WHAT MAKES IT WORK!!!
98 T=INT(T2/T1+.5):T1=T2/T:T=INT(T3/T1+.5):T3=T*T1:T=0:T4=0
99 T8=1:GOTO 1000
100 IF(T-T4+T1/10)<0 THEN 125
105 REM THE LINE 110 HAS A ' BEFORE THE GOSUB.  THE ' SUPPRESSES THIS COMMAND.
107 REM IF NUMERICAL VALUES FOR THE DATA POINTS ARE DESIRED, REMOVE '.
110 T4=T4+T3:T5=INT(T/T1+.5):T=T5*T1: GOSUB 2000
115 IF(T-T2+T1/10)<0 THEN 125
120 LINE(AX,160)-(AX,164)
121 GOTO 30
125 ON T8 GOTO 300,400,500,600
145 PRINT"** ERROR **":STOP
300 FOR T5=1 TO N
305 T0(T5)=T1*I(T5):T6(T5)=O(T5):O(T5)=O(T5)+T0(T5)/2
320 NEXT T5
330 T=T+T1/2:T8=2:GOTO 1000
400 FOR T5=1 TO N
410 T7=T1*I(T5):T0(T5)=T0(T5)+2*T7:O(T5)=T6(T5)+T7/2
420 NEXT T5
430 T8=3:GOTO 1000
500 FOR T5=1 TO N
510 T7=T1*I(T5):T0(T5)=T0(T5)+2*T7:O(T5)=T6(T5)+T7
520 NEXT T5
530 T8=4:T=T+T1/2:GOTO 1000
600 FOR T5=1 TO N
605 O(T5)=T6(T5)+(T0(T5)+T1*I(T5))/6
610 NEXT T5
620 T8=1:GOTO 1000
990 REM DIFFERENTIAL EQUATIONS IN SIMBAS NOTATION
1000 I(1)=MU*O(1)-D*O(1)
1010 I(2)=D*SO -MU*O(1)/Y -D*O(2)
1015 REM GRAPH MAKER  MULTIPLY O(N) BY CONSTANT TO SHIFT CURVE
1020 IF O(2)<0 THEN O(2)=.001
1030 AX=20+TX*T
1035 PL=YMAX-20-O(2)*TY2
1040 MU=MM*O(2)/(KS+O(2)+KI*O(2)*O(2))
1050 PSET (AX,PL),2
1060 PL=YMAX-20-O(1)*TY1
1070 PSET (AX,PL),1
1999 GOTO 100
2000 REM **DATA POINTS: SUPPRESSED AT LINE 110.  SEND TO PRINTER WITH LPRINT
2005 REM **COMMAND ON 2020.
2910 LOCATE NN,12
2930 NN=NN+1
2940 IF NN>12 THEN NN=1
2999 RETURN
