10 REM ANIMATION OF LEAF FILTER TEST, Bungay, more by D. DeTora
20 KEY OFF:SCREEN 1,1
30 CLS                
40 DIM Q1(2000),Q2(2000),V(60),TI(60)
50 GOSUB 1470
60 GOSUB 1380
70 F=2                      
80 LINE(180,60)-(180,180)
90 LINE -(280,180)
100 LINE -(280,60)
110 LINE(181,65)-(279,179),1,BF
120 T=0
130 FOR X=185 TO 275 STEP 8
140 R=RND(R)          
150 FOR Y=70 TO 178 STEP 7
160 CIRCLE(X+2-4*R,Y+2-4*R),2
170 NEXT Y            
180 NEXT X            
190 GET(180,60)-(289,180),Q1
200 LOCATE 4,4
210 PRINT"    Leaf           Suspension"
220 LINE( 25,110)-( 35, 20),2,BF
230 LINE(  5,110)-( 55,120),2,BF
240 GET( 5,20)-( 55,121),Q2
250 LOCATE 1,1        
260 INPUT"Hit ENTER to start";A$
270 CLS
280 PRINT"  The suspension"
290 PRINT"to be filtered is"
300 PRINT"placed in a beaker."
310 PRINT"The filter leaf is"
320 PRINT"moved in the beaker"
330 PRINT"to provide mixing."
340 PRINT"This is continued
350 PRINT"as a cake forms."
360 PRINT"After submergence,
370 PRINT"the leaf"
380 PRINT"is allowed to dry"
390 PRINT"for a period based"
400 PRINT"on the cycle time."
410 PRINT"The cake is then"
420 PRINT"cut off and the"
430 PRINT"next cycle begins.":GOSUB 1380
440 CLS
450 T=T+1
460 LOCATE 18,1:PRINT T;" SECONDS"
470 V(T)=1.25*T^.8
480 PRINT"Filtrate =";V(T);"mL"
490 GOSUB 520
500 INPUT"Hit ENTER";A$
510 GOTO 440
520 YL=YL+LY
530 IF YL>35 THEN LY=-5
540 IF YL<1 THEN LY=5 
550 PUT(180,60),Q1
560 LINE(181,65)-(279,65+F*T),0,BF
570 LINE(225,120+YL)-(235, 20),2,BF
580 LINE(205,130+YL+T/4)-(255,130+YL),3,BF
590 LINE(205,120+YL)-(255,130+YL),2,BF
600 IF F*T> 58 THEN 620
610 RETURN
620 PRINT"Level too low.  Run is over."
630 TF=T
640 INPUT"Hit ENTER";A$
650 GOSUB 680
660 GOSUB 1380
670 GOTO 800
680 CLS
690 NAM$="VOLUME"
700 FOR I=1 TO LEN(NAM$)
710 LOCATE 8+I,2:PRINT MID$(NAM$,I,1)
720 NEXT I
730 LOCATE 23,10:PRINT"T I M E"
740 LINE(20,30)-(20,160)
750 LINE -(250,160)
760 FOR T=0 TO TF
770 CIRCLE(20+5*T,160-4*V(T)),3
780 NEXT
790 RETURN
800 GOTO 2490
810 LOCATE 1,1
820 INPUT"Hit ENTER to see animation of cake formation";A$
830 CLS
840 WIDTH 80
850 PRINT"Filtration is greatly influenced by the"
860 PRINT"characteristics of the cake that forms."
870 PRINT
880 PRINT"Some materials filter very easily because the
890 PRINT"cake does not pack tightly.  There is plenty of"
900 PRINT"void space through which the fluid can flow."
910 PRINT
920 PRINT"Suspensions with very fine particles form cakes"
930 PRINT"with tiny spaces and high fluid flow resistance."
940 PRINT
950 PRINT"Other cakes can compress to reduce the void space."
960 GOSUB 1380
970 PRINT"The computer will animate the formation of a"
980 PRINT"filter cake.  Note that there is void space."
990 PRINT"Athough the sketch shows little room for flow, the"
1000 PRINT"real arrangement is in 3 dimensions, and there"
1010 PRINT"are void spaces through which fluid can flow."
1020 PRINT
1030 PRINT"This animation goes through 200 steps and is slow."
1040 GOSUB 1380
1050 REM Filter cake, H. Bungay 1989
1060 DIM XP(31),YP(31),D(31)
1070 RANDOMIZE
1080 X1=20:X2=320:Y1=160:Y2=140:Y3=30
1090 LINE(X1,Y1)-(X1,Y3):LINE(X1,Y2)-(X2,Y2)
1100 LINE(X2,Y1)-(X2,Y3)
1110 REM init position for particles
1120 FOR N=1 TO 30
1130 D(N)=Y2-7   'decision height
1140 XP(N)=X1+N*9.600001:YP(N)=Y3+RND*(Y2-Y3)-5
1150 CIRCLE (XP(N),YP(N)),6
1160 NEXT
1170 R=5 'initial rate
1180 REM settle particles
1190 FOR N=1 TO 30:CIRCLE (XP(N),YP(N)),6,0
1200 IF YP(N)>D(N) THEN 1320 'in cake
1210 YP(N)=YP(N)+R
1220 CIRCLE (XP(N),YP(N)),6
1230 NEXT
1240 LOCATE 1,1:PRINT"                               "
1250 LOCATE 1,1:PRINT "step ";Z;" Cake reciprocal resistance";R
1260 Z=Z+1
1270 IF Z=40 THEN GOSUB 1410
1280 IF Z=80 THEN GOSUB 1440
1290 IF Z<200 THEN 1190
1300 GOSUB 1380
1310 END
1320 CIRCLE (XP(N),YP(N)),6
1330 YP(N)=Y3 + 2*RND(N)
1340 D(N)=D(N)-5:D(N-1)=D(N-1)-2
1350 D(N+1)=D(N+1)-2:R=R-.05
1360 IF R< 1 THEN R=1
1370 GOTO 1220
1380 LOCATE 23,1
1390 INPUT"Hit the enter key.";A$
1400 CLS: RETURN
1410 LOCATE 21,6:PRINT"For ease of programming, there is"
1420 LOCATE 22,6:PRINT"only one particle per vertical slice."
1430 RETURN
1440 LOCATE 21,6:PRINT"Imagine squeezing the cake          "
1450 LOCATE 22,6:PRINT"to reduce its void space.           "
1460 RETURN
1470 REM EXPLANATION OF FILTER LEAF OPERATION
1480 CLS
1490 PRINT"Filter Leaf Testing"
1500 PRINT:PRINT
1510 PRINT"    The filter leaf is used in industry"
1520 PRINT"to predict the performance of rotary"
1530 PRINT"drum vacuum filters.
1540 PRINT"The leaf is used because it a very"
1550 PRINT"simple piece of equipment and because"
1560 PRINT"it can generate reliable data.
1570 PRINT:PRINT"   Those operating conditions that can"
1580 PRINT"determined with a filter leaf include:"
1590 PRINT
1600 PRINT"1.   Type of filter aid
1610 PRINT"2.   Drum speed (rpm)"
1620 PRINT"3.   Depth of knife cut (in/rev)"
1630 PRINT"        (precoat filter only)
1640 PRINT"4.   Per cent submergence of the drum"
1650 GOSUB 1380
1660 PRINT:PRINT"   In industry the range of choices"
1670 PRINT"for these items varies widely"
1680 PRINT:PRINT"   Filter aid is usually"
1690 PRINT"either diatomaceous earth or Perlite,"
1700 PRINT"but many different grades are available."
1710 PRINT"Diatomaceous earth comes from deposits"
1720 PRINT"of exoskeletons of prehistoric "
1730 PRINT"microorganisms and is mostly CaCO3.
1740 PRINT"Perlite is made by heating rock that
1750 PRINT"has gas inclusions that expand to
1760 PRINT"rupture the structure and to make
1770 PRINT"it porous.
1780 GOSUB 1380
1790 PRINT:PRINT"   Drum speed is typically slow.
1800 PRINT"The drum can be 12 feet in diameter.
1810 PRINT"Drum r.p.m. is usually less than one."
1820 PRINT"The cake is discharged with a doctor
1830 PRINT"blade for a simple drum, by strings
1840 PRINT"for a string filter, or by a knife
1850 PRINT"for a precoat filter.
1860 PRINT"The depth of the knife cut is designed"
1870 PRINT"to be as little as possible. This is"
1880 PRINT"to remove the cake but keep as much"
1890 PRINT"precoat as possible to extend the time"
1900 PRINT"the filter operates before new precoat"
1910 PRINT"is needed. Typically, in industrial"
1920 PRINT"operation 0.005 inches per revolution"
1930 PRINT"is removed"
1940 GOSUB 1380
1950 PRINT:PRINT"   The per cent submergence of the drum"
1960 PRINT"is also a measure of the height of"
1970 PRINT"broth in the hopper. The more drum"
1980 PRINT"surface is submerged, the less time"
1990 PRINT"is available for the cake to dry before"
2000 PRINT"it is cut off. Industrial rotary"
2010 PRINT"drum vacuum filters are normally "
2020 PRINT"operated at less than 30% submergence."
2030 PRINT"This operating parmeter can vary"
2040 PRINT"widely based on the nature of the broth"
2050 PRINT"and is easily adjusted by operators"
2060 PRINT"in the plant."
2070 GOSUB 1380
2080 PRINT:PRINT"   The filter leaf has three main"
2090 PRINT"pieces that perform various functions."
2100 GOSUB 2410
2110 GOSUB 1380
2120 PRINT:PRINT"   The stem serves as a handle"
2130 PRINT"during operation and is connected to the"
2140 PRINT"vacuum source. It is through the stem"
2150 PRINT"that the filtrate is collected. Usually"
2160 PRINT"a gauge on the filter flask allows
2170 PRINT"the vacuum level can be monitored"
2180 GOSUB 2410
2190 GOSUB 1380
2200 PRINT:PRINT"   The filter plate is connected to"
2210 PRINT"the bottom of the stem. It holds the"
2220 PRINT"filter mesh which will be used on the"
2230 PRINT"larger filters. It is designed with"
2240 PRINT"channels on its surface so that the"
2250 PRINT"filtrate can flow."
2260 GOSUB 2410
2270 GOSUB 1380
2280 PRINT:PRINT"   The cake ring help to protect"
2290 PRINT"the precoat from being knocked off as"
2300 PRINT"well as measure the depth of precoat"
2310 PRINT"left. During operation this ring is"
2320 PRINT"advanced to expose the precoat so that"
2330 PRINT"the cake can be cut off with a knife."
2340 PRINT"The ring is calibrated so that the"
2350 PRINT"height of precoat exposed is known."
2360 PRINT"This action does remove some of the"
2370 PRINT"precoat, as it simulates the knife"
2380 PRINT"advance on the rotating drum."
2390 GOSUB 2410
2400 RETURN
2410 LINE(25,130)-(180,140),2,BF
2420 LINE(180,102)-(190,168),3,BF
2430 LINE(190,100)-(210,170),1,BF
2440 LOCATE 16,21:PRINT"->"
2450 LOCATE 19,4:PRINT"stem"
2460 LOCATE 15,11:PRINT"filter plate"
2470 LOCATE 14,28:PRINT"cake ring"
2480 RETURN
2490 CLS
2495 PRINT"THIS SECTION HAS NOT BEEN TESTED
2500 PRINT"First we need to specify the operating"
2510 PRINT"conditions for the test."
2520 PRINT:PRINT"Pick a type of precoat material:"
2530 PRINT"   1. Diatomaceous Earth, coarse grade"
2540 PRINT"   2. Diatomaceous Earth, fine grade"
2550 PRINT"   3. Perlite, coarse grade"
2560 PRINT"   4. Perlite, fine grade"
2570 INPUT PC
2580 IF PC<1 OR PC>4 THEN PRINT"Please choose a number (1 to 4)" ELSE GOTO 2600
2590 GOTO 2570
2600 ON PC GOSUB 2610,2620,2630,2640
2610 FF=.9:PCC=.15:PD=1.2:GOTO 2650
2620 FF=.96:PD=1!:PCC=.145:GOTO 2650
2630 FF=.92:PCC=.145:PD=1.4:GOTO 2650
2640 FF=1!:PCC=.14:PD=1.1
2650 PRINT:INPUT"Drum speed, rpm (.5 to 1)";DS
2660 IF DS>1 OR DS<.5 THEN 2650
2670 PRINT:INPUT"Per cent submergence (5 to 30)";PS
2680 IF PS>30 OR PS<5 THEN 2670
2690 PRINT:INPUT"Depth of knife cut (inches)";CUT
2700 IF CUT>.02 THEN INPUT"Try something smaller than 0.02";CUT ELSE GOTO 2720
2710 GOTO 2700
2720 CLS
2730 CT=1/DS*60
2740 TPC=PCC*PD/35*CUT*10000000000#
2750 IF CUT>.005 THEN YD=95 ELSE YD=(5-1000*CUT)/3*95-((DS-.6)*6)-ABS((PS-26)*3)
2760 BA=500000!
2770 MK=10000
2780 PROF=YD*MK-TPC-BA
2790 VT=VT+(FF*3.5*(EXP(-T/12))*(DS/.75)*(PS/26.3))
2800 V(T)=VT
2810 T=T+1
2820 IF T<30 THEN 2790
2830 GOSUB 680
2840 GOSUB 1380
2850 PRINT"For the test conditions you specified:":PRINT
2860 PRINT"Annual precoat cost = $";TPC
2870 PRINT"Average Annual yield =";YD;"%"
2880 PRINT"Annual profit = $";PROF
2890 PRINT:PRINT"Would you like to run another test (y/n)"
2900 INPUT A$
2910 IF A$="y" OR A$="Y"  THEN 2490
2920 GOTO 810
