1 REM Heating and cooling a fermenter, H. Bungay 1989
2 REM ORIG. BY D. STANZIONE, H. BUNGAY
3 REM MORE COMMENTS BY J. SAHLIN
10 KEY OFF: CLS : NN = 1
11 REM THIS SECTION MAKES THE AXIS
12 SCREEN 1, 1
13 LINE (20, 20)-(20, 160)
14 LINE -(280, 160)
15 LOCATE 22, 3: PRINT "0        T I M E";
17 NAM$ = "TEMPERATURE"
20 FOR I = 1 TO LEN(NAM$)
21 LOCATE 6 + I, 2: PRINT MID$(NAM$, I, 1)
22 NEXT I
23 col = 1
27 REM PUT COEFF IN THIS REGION
29 LOCATE 1, 1
30 INPUT "Temp. of steam (130 - 240 C)"; st
31 INPUT "Temp. of cooling water (10-24) "; WT
32 IF st = 0 THEN 10
33 HO = 200: FL = 0
34 INPUT "Vent steam (Y or N) "; vs$
35 LINE (20, 60)-(280, 60), 1
36 IF col = 1 THEN col = 2 ELSE col = 1
40 UA = .06
42 K2 = .2
55 REM T1 IS INTEGRATION STEP
56 T1 = .25
57 REM T2 IS TOTAL TIME
58 T2 = 180
59 LOCATE 22, 35: PRINT T2: REM T3 IS PRINT INTERVAL
60 T3 = 1
61 TX = 260 / T2: REM SCALE FAC FOR ABSCISSA
63 TY1 = 1: REM SCALE FAC FOR O(1)
79 REM N IS THE NUMBER OF EQUATIONS. O(N) ARE INITIAL CONDITIONS
80 N = 1
86 O(1) = 25
96 REM DO NOT TOUCH LINES 98-620!!! THIS IS WHAT MAKES IT WORK!!!
98 T = INT(T2 / T1 + .5): T1 = T2 / T: T = INT(T3 / T1 + .5): T3 = T * T1: T = 0: T4 = 0
99 T8 = 1: GOTO 1000
100 IF (T - T4 + T1 / 10) < 0 THEN 125
105 REM THE LINE 110 HAS A ' BEFORE THE GOSUB.  THE ' SUPPRESSES THIS COMMAND.
107 REM IF NUMERICAL VALUES FOR THE DATA POINTS ARE DESIRED, REMOVE '.
110 T4 = T4 + T3: T5 = INT(T / T1 + .5): T = T5 * T1: GOSUB 2000
115 IF (T - T2 + T1 / 10) < 0 THEN 125
120 LINE (AX, 160)-(AX, 164)
121 GOTO 29
125 ON T8 GOTO 300, 400, 500, 600
145 PRINT "** ERROR **": STOP
300 FOR T5 = 1 TO N
305 T0(T5) = T1 * I(T5): T6(T5) = O(T5): O(T5) = O(T5) + T0(T5) / 2
320 NEXT T5
330 T = T + T1 / 2: T8 = 2: GOTO 1000
400 FOR T5 = 1 TO N
410 T7 = T1 * I(T5): T0(T5) = T0(T5) + 2 * T7: O(T5) = T6(T5) + T7 / 2
420 NEXT T5
430 T8 = 3: GOTO 1000
500 FOR T5 = 1 TO N
510 T7 = T1 * I(T5): T0(T5) = T0(T5) + 2 * T7: O(T5) = T6(T5) + T7
520 NEXT T5
530 T8 = 4: T = T + T1 / 2: GOTO 1000
600 FOR T5 = 1 TO N
605 O(T5) = T6(T5) + (T0(T5) + T1 * I(T5)) / 6
610 NEXT T5
620 T8 = 1: GOTO 1000
990 REM DIFFERENTIAL EQUATIONS IN SIMBAS NOTATION
1000 I(1) = UA * (st - O(1))
1010 IF O(1) > 121 THEN 1200
1025 AX = 20 + TX * T
1035 PL = 160 - O(1) * TY1
1040 PSET (AX, PL), col
1060 IF T > HO THEN st = WT
1070 IF O(1) < 100 THEN UA = .02
1099 GOTO 100
1200 O(1) = 121: T6(1) = 121
1206 IF vs$ = "n" OR vs$ = "N" THEN UA = .02
1208 IF FL = 1 THEN 1025
1210 FL = 1
1220 UA = .5
1230 HO = T + 40
1240 GOTO 1099
2000 REM **DATA POINTS: SUPPRESSED AT LINE 110.  SEND TO PRINTER WITH LPRINT
2005 REM **COMMAND ON 2020.
2910 LOCATE NN, 12
2930 NN = NN + 1
2940 IF NN > 12 THEN NN = 1
2999 RETURN

