10 REM Gregory Fieldson, May 1988
20 KEY OFF
30 WIDTH 80
40 CLS
50 PRINT
60 PRINT " In the physical design of fermentation "
70 PRINT " tanks, several important considerations are:"
80 PRINT " 1) Temperature Control"
90 PRINT " 2) Mixing"
100 PRINT " 3) Aeration"
110 PRINT " 4) Monitoring and Sampling"
120 PRINT " 5) Sterilization and Cleaning"
130 GOSUB 8130
140 PRINT " 1: Temperature Control"
150 PRINT : PRINT " 1a. For small fermentors, temperature "
160 PRINT "     control depends on a "
170 PRINT "     heating/cooling jacket."
180 GOSUB 8130
190 SCREEN 1, 1
200 WIDTH 80
210 GOSUB 3620
220 GOSUB 3690
230 GOSUB 3750
240 GOSUB 3770
250 GOSUB 8130
260 PRINT " 1: Temperature Control"
270 PRINT
280 PRINT " 1b. For larger fermentors, the area"
290 PRINT "     to volume ratio is insufficient"
300 PRINT "     for cooling.  Instead, heating/"
310 PRINT "     cooling coils are used."
320 PRINT
330 PRINT " 1c. If necessary, multiple layers "
340 PRINT "     of coils can be used."
350 GOSUB 8130
360 GOSUB 3620
370 GOSUB 3690
380 GOSUB 3750
390 GOSUB 3960
400 GOSUB 4140
410 GOSUB 8130
420 PRINT " 2: Mixing for Fermentors"
430 PRINT
440 PRINT "    Traditional fermentors use "
450 PRINT "    mechanical mixing."
460 PRINT
470 PRINT " 2a. The impeller may vary in size"
480 PRINT "     and shape.  Several types are"
490 PRINT "     shown here."
500 GOSUB 8130
510 GOSUB 4190
520 GOSUB 8130
522 WIDTH 80
530 PRINT " 2: Mixing for Fermentors"
540 PRINT
550 PRINT " 2b. The impellers are mounted on "
560 PRINT "     a shaft entering from the top"
570 PRINT "     of the tank."
572 LOCATE 23, 1: INPUT a$
580 REM draw seals, H. Bungay 1992
590 XMAX = 320
600 YMAX = 180
610 CLS
620 YS = 0
630 PRINT "Shafts entering pressure vessels require seals"
640 INPUT "A very simple seal is shown.  Hit RETURN "; a$
650 CLS
660 GOSUB 1170
670 LOCATE 1, 1
680 INPUT "Hit RETURN to see pusher                     "; a$
690 GOSUB 1290
700 LOCATE 1, 1
710 INPUT "Hit RETURN to see packing                    "; a$
720 CIRCLE (XMAX / 2 + 28, 70), 20
730 CIRCLE (XMAX / 2 - 28, 70), 20
740 LOCATE 1, 1
750 INPUT "Hit ENTER to see 2 of the 6 bolts "; a$
760 GOSUB 1420
770 LOCATE 1, 1
780 INPUT "Hit ENTER to tighten the bolts and lower the pusher "; a$
790 LOCATE 1, 1
800 INPUT "This squeezes the packing against the rotating shaft. Hit ENTER"; a$
810 FOR YS = 1 TO 4
820 GOSUB 1290
830 GOSUB 1440
840 NEXT
850 LOCATE 1, 1
860 INPUT "Hit ENTER                                   "; a$
870 CLS
880 PRINT "Biochemical engineers use seals on fermenters."
890 INPUT "There is also a labyrinth seal.  Hit ENTER  "; a$
895 XM = XMAX + 60
900 LINE (10 + XM / 2, 10)-(XM / 2 - 10, YMAX), , BF
910 FOR Y = 40 TO 80 STEP 10
920 LINE (XM / 2 - 40, Y)-(XM / 2 + 40, Y)
930 LINE (XM / 2 - 45, Y + 5)-(XM / 2 - 14, Y + 5)
940 LINE (XM / 2 + 45, Y + 5)-(XM / 2 + 14, Y + 5)
950 NEXT
960 LINE (10, 35)-(XM / 2 - 14, 35)
970 LINE (10, 85)-(XM / 2 - 14, 85)
980 LINE (XM / 2 + 14, 85)-(XM - 10, 85)
990 LINE (XM / 2 + 14, 35)-(XM - 10, 35)
1000 LINE (XM / 2 - 45, 35)-(XM / 2 - 45, 85)
1010 LINE (XM / 2 + 45, 35)-(XM / 2 + 45, 85)
1020 PRINT "Gas flow back"
1030 PRINT "and forth thru"
1040 PRINT "the tortorous"
1050 PRINT "space dissipates"
1060 PRINT "pressure."
1070 INPUT "Hit ENTER "; a$
1080 CLS
1090 PRINT "The shaft could have a steam chamber with one"
1100 PRINT "seal to the atmosphere and another to the"
1110 PRINT "interior of the tank."
1120 PRINT
1130 PRINT "The labyrinth seal could also have steam injected"
1140 PRINT "into it.  The steam guarantees that the shaft"
1150 PRINT "entry will not provide a path for contamination."
1160 GOTO 1492
1170 LINE (10 + XMAX / 2, 10)-(XMAX / 2 - 10, YMAX), , BF
1180 LINE (12 + XMAX / 2, 80)-(12 + XMAX / 2, 120)
1190 LINE -(XMAX - 10, 120)
1200 LINE (12 + XMAX / 2, 80)-(50 + XMAX / 2, 80)
1210 LINE -(50 + XMAX / 2, 50)
1220 LINE -(XMAX - 10, 50)
1230 LINE (XMAX / 2 - 12, 80)-(XMAX / 2 - 12, 120)
1240 LINE -(10, 120)
1250 LINE (XMAX / 2 - 12, 80)-(XMAX / 2 - 50, 80)
1260 LINE -(XMAX / 2 - 50, 50)
1270 LINE -(10, 50)
1280 RETURN
1290 LINE (12 + XMAX / 2, 20 + YS)-(12 + XMAX / 2, 60 + YS), 2
1300 LINE -(48 + XMAX / 2, 60 + YS), 2
1310 LINE -(48 + XMAX / 2, 40 + YS), 2
1320 LINE -(100 + XMAX / 2, 40 + YS), 2
1330 LINE -(100 + XMAX / 2, 20 + YS), 2
1340 LINE -(12 + XMAX / 2, 20 + YS), 2
1350 LINE (XMAX / 2 - 12, 20 + YS)-(XMAX / 2 - 12, 60 + YS), 2
1360 LINE -(XMAX / 2 - 48, 60 + YS), 2
1370 LINE -(XMAX / 2 - 48, 40 + YS), 2
1380 LINE -(XMAX / 2 - 100, 40 + YS), 2
1390 LINE -(XMAX / 2 - 100, 20 + YS), 2
1400 LINE -(XMAX / 2 - 12, 20 + YS), 2
1410 RETURN
1420 LINE (XMAX / 2 + 70, 10 + YS)-(XMAX / 2 + 79, 70 + YS), , BF
1430 LINE (XMAX / 2 - 70, 10 + YS)-(XMAX / 2 - 79, 70 + YS), , BF
1440 LINE (XMAX / 2 + 79, 15 + YS)-(XMAX / 2 + 84, 18 + YS), , BF
1450 LINE (XMAX / 2 - 74, 15 + YS)-(XMAX / 2 - 84, 18 + YS), , BF
1460 LINE (XMAX / 2 + 70, 15 + YS)-(XMAX / 2 + 65, 18 + YS), , BF
1470 LINE (XMAX / 2 - 70, 15 + YS)-(XMAX / 2 - 65, 18 + YS), , BF
1480 RETURN
1490 SCREEN 1, 1
1492 GOSUB 8130
1500 GOSUB 3620
1510 GOSUB 3690
1520 GOSUB 3750
1530 GOSUB 4920
1540 GOSUB 8130
1550 PRINT " 2: Mixing for Fermentors"
1560 PRINT : PRINT "  2c. The shaft would flex dangerously"
1570 PRINT "      without a bottom bearing."
1580 GOSUB 8130
1590 SCREEN 1, 1
1600 GOSUB 3620
1610 GOSUB 3690
1620 GOSUB 3750
1630 GOSUB 4920
1640 GOSUB 5010
1650 GOSUB 8130
1660 PRINT " 2: Mixing for Fermentors"
1670 PRINT : PRINT "  2d. Multiple impellers can be used"
1680 PRINT "      if necessary."
1690 GOSUB 8130
1700 GOSUB 3620
1710 GOSUB 3690
1720 GOSUB 3750
1730 GOSUB 4920
1740 GOSUB 5010
1750 GOSUB 5110
1760 GOSUB 8130
1770 PRINT " 2: Mixing for Fermentors"
1780 PRINT : PRINT "  2e. Finally, baffles are used to"
1790 PRINT "      increase the degree of mixing"
1800 GOSUB 8130
1810 GOSUB 3620
1820 GOSUB 3690
1830 GOSUB 3750
1840 GOSUB 4920
1850 GOSUB 5010
1860 GOSUB 5110
1870 GOSUB 5160
1880 GOSUB 8130
1890 PRINT " 2: Mixing for Fermentors"
1900 PRINT : PRINT " 2f. Some modern fermentors use"
1910 PRINT "     circulating air for mixing. These"
1920 PRINT "     are called Air-Lift Fermentors.  "
1930 PRINT "     The air bubbles rise in a central"
1940 PRINT "     column with toroidal circulation."
1950 PRINT "     and mixing."
1960 GOSUB 8130
1970 GOSUB 3620
1980 GOSUB 3690
1990 GOSUB 3750
2000 GOSUB 5210
2010 GOSUB 8130
2020 PRINT " 3: Aeration for Fermentors"
2030 PRINT : PRINT "  Aeration is used for multiple reasons"
2040 PRINT
2050 PRINT " 3a. Some organisms require a "
2060 PRINT "     continuous supply of air to grow."
2070 PRINT
2080 PRINT " 3b. Air bubbles lower the energy required"
2090 PRINT "     for mixing. "
2100 PRINT
2110 PRINT " 3c. Air bubbles increase the degree of "
2120 PRINT "     mixing at a given impeller speed."
2130 GOSUB 8130
2140 PRINT " 3: Aeration for Fermentors"
2150 PRINT : PRINT " 3d. In Air-Lift fermentors, the air"
2160 PRINT "     bubbles do all of the mixing."
2170 GOSUB 8130
2180 PRINT " 4: Monitoring and Controlling"
2190 PRINT : PRINT " It is often necessary to be able to see"
2200 PRINT " the state of the fermentor broth."
2210 PRINT : PRINT " 4a. A sight glass is usually mounted on"
2220 PRINT "     the manhole."
2230 GOSUB 8130
2240 GOSUB 3620
2250 GOSUB 3750
2260 GOSUB 3710
2270 GOSUB 4920
2280 GOSUB 5010
2290 GOSUB 8130
2300 PRINT " 4: Monitoring and Controlling"
2310 PRINT : PRINT " 4b. To keep the sight glass clean,"
2320 PRINT "     a steam leg can be used to blow"
2330 PRINT "     any debris off the glass."
2340 GOSUB 8130
2350 GOSUB 3620
2360 GOSUB 3750
2370 GOSUB 3710
2380 GOSUB 4920
2390 GOSUB 5010
2400 GOSUB 5480
2410 GOSUB 8130
2420 PRINT " 4: Monitoring and Controlling"
2430 PRINT : PRINT " 4c. Either a light port or an internal"
2440 PRINT "     light are used to make the interior"
2450 PRINT "     visible."
2460 GOSUB 8130
2470 GOSUB 3620
2480 GOSUB 3750
2490 GOSUB 3710
2500 GOSUB 4920
2510 GOSUB 5010
2520 GOSUB 5600
2530 GOSUB 8130
2540 PRINT " 4: Monitoring and Controlling"
2550 PRINT : PRINT " 4d. Light absorption in the broth can"
2560 PRINT "     be monitored by a circulating loop"
2570 PRINT "     from the side of the tank."
2580 GOSUB 8130
2590 GOSUB 5670
2600 GOSUB 8130
2610 WIDTH 80
2620 PRINT " 4: Monitoring and Controlling"
2630 PRINT
2640 PRINT " 4e. It is often necessary to take samples"
2650 PRINT "     from the fermentor, without "
2660 PRINT "     contaminating the ongoing "
2670 PRINT "     fermentation."
2680 PRINT "     This is possible, through the use of "
2690 PRINT "     this arrangement of valves."
2700 GOSUB 8130
2710 GOSUB 5990
2720 GOSUB 8130
2730 PRINT " 4: Monitoring and Controlling"
2740 PRINT
2750 PRINT " During Normal Operation:"
2760 PRINT "  Valve A  is closed."
2770 PRINT "  Valve B  is cracked."
2780 PRINT "  Valve C  is open."
2790 PRINT " This forms a steam lock, and keeps the"
2800 PRINT " pipes sterile."
2810 GOSUB 8130
2820 GOSUB 6610
2830 GOSUB 5990
2840 GOSUB 8130
2850 PRINT " 4: Monitoring and Controlling"
2860 PRINT : PRINT " During Sampling:"
2870 PRINT "  Valve A  is open."
2880 PRINT "  Valve B  is open."
2890 PRINT "  Valve C  is closed."
2900 PRINT " This allows a sample to be drawn."
2910 GOSUB 8130
2920 GOSUB 6520
2930 GOSUB 5990
2940 GOSUB 8130
2950 PRINT " 4: Monitoring and Controlling"
2960 PRINT : PRINT " After Sampling:"
2970 PRINT "  Valve A  is closed."
2980 PRINT "  Valve B  is cracked."
2990 PRINT "  Valve C  is opened."
3000 PRINT " Resetting the valves in this order"
3010 PRINT " preserves the sterility of the broth,"
3020 PRINT " clears the sample pipes, and sterilizes"
3030 PRINT " them again."
3040 GOSUB 8130
3050 GOSUB 6610
3060 GOSUB 5990
3070 GOSUB 8130
3080 PRINT " 4: Cleaning and Sterilizing"
3090 PRINT
3100 PRINT "     Accumulated debris is washed"
3110 PRINT "     out of the drain valve in the "
3120 PRINT "     bottom of the tank."
3130 PRINT
3140 PRINT " 4d. Final sterilization is with"
3150 PRINT "     steam heat."
3160 PRINT
3170 PRINT " 4e. In large tanks it may be"
3180 PRINT "     necessary for people to enter"
3190 PRINT "     the tank through the manhole."
3200 GOSUB 8130
3210 PRINT " 4: Cleaning and Sterilizing"
3220 PRINT : PRINT " 4f. The manhole is mounted with swing-"
3230 PRINT "     bolts aroung its edges."
3240 PRINT "     Only the slot for the top bolt is shown."
3250 GOSUB 8130
3260 GOSUB 6750
3270 GOSUB 8130
3280 PRINT " 4: Cleaning and Sterilizing"
3290 PRINT
3300 PRINT " 4g. This is what a swing-bolt looks"
3310 PRINT "     like."
3320 GOSUB 8130
3330 GOSUB 7240
3340 GOSUB 8130
3350 PRINT " 4: Cleaning and Sterilizing"
3360 PRINT
3370 PRINT " 4h. This is a profile view of how one"
3380 PRINT "     is used. "
3390 LOCATE 10, 1
3400 GOSUB 8130
3410 GOSUB 7390
3420 GOSUB 8130
3430 PRINT " 4: Cleaning and Sterilizing"
3440 PRINT
3450 PRINT " 4i. A ladder is mounted on the interior"
3460 PRINT "     wall to assist in movement inside"
3470 PRINT "     the fermentor."
3480 GOSUB 8130
3490 GOSUB 3620
3500 GOSUB 3710
3510 GOSUB 3750
3520 GOSUB 4920
3530 GOSUB 5110
3540 GOSUB 5010
3550 GOSUB 8070
3560 GOSUB 8130
3570 PRINT " Conclusion:"
3580 PRINT
3590 PRINT " This concludes your tour of the "
3600 PRINT " plumbing of a fermentor."
3605 INPUT a$
3610 STOP
3620 LINE (72, 30)-(72, 140), 1
3630 LINE (288, 30)-(288, 140), 1
3640 CIRCLE (180, 30), 108, 1, 0, .3923, (20 / 108)
3650 CIRCLE (180, 30), 108, 1, .75, 2.3916, (20 / 108)
3660 CIRCLE (180, 30), 108, 1, 2.7489, 3.1416, (20 / 108)
3670 CIRCLE (180, 140), 108, 1, 3.1416, 6.283, (20 / 108)
3680 RETURN
3690 CIRCLE (180, 30), 108, 1, .3923, .75, (20 / 108)
3700 RETURN
3710 LINE (259, 16)-(264, 13), 1
3720 LINE -(284, 18), 3
3730 LINE -(279, 22), 1
3740 RETURN
3750 CIRCLE (180, 30), 108, 1, 2.3916, 2.7489, (20 / 108)
3760 RETURN
3770 LINE (72, 70)-(54, 70), 1
3780 LINE -(54, 140), 1
3790 LINE (288, 70)-(306, 70), 1
3800 LINE -(306, 140), 1
3810 CIRCLE (180, 140), 126, 1, 3.1416, 6.283, (30 / 126)
3820 LINE (176, 170)-(184, 190), 3
3830 LINE (184, 185)-(342, 190), 3
3840 LINE (306, 80)-(342, 85), 3
3850 LINE (176, 170)-(176, 190), 1
3860 LINE -(342, 190), 1
3870 LINE (184, 170)-(184, 185), 1
3880 LINE -(342, 185), 1
3890 LINE (306, 80)-(342, 80), 1
3900 LINE (306, 85)-(342, 85), 1
3910 LOCATE 11, 45
3920 PRINT " - Steam In"
3930 LOCATE 24, 35
3940 PRINT " - Condensate Out"
3950 RETURN
3960 FOR I = 80 TO 140 STEP 10
3970 CIRCLE (108, I), 7, 1
3980 CIRCLE (252, I - 3), 7, 1
3990 NEXT I
4000 LINE (256, 76)-(342, 78), 3, BF
4010 LINE (106, 142)-(110, 190), 3, BF
4020 LINE (110, 188)-(342, 190), 3, BF
4030 LINE (256, 76)-(342, 76), 1
4040 LINE (256, 78)-(342, 78), 1
4050 LINE (106, 142)-(106, 190), 1
4060 LINE -(342, 190), 1
4070 LINE (110, 142)-(110, 188), 1
4080 LINE -(342, 188), 1
4090 LOCATE 10, 40
4100 PRINT " - Steam In (Water Out)"
4110 LOCATE 23, 35
4120 PRINT " - Condensate Out (Water In)"
4130 RETURN
4140 FOR I = 75 TO 135 STEP 10
4150   CIRCLE (128, I), 7, 1
4160   CIRCLE (232, I - 3), 7, 1
4170 NEXT I
4180 RETURN
4190 SCREEN 1, 1
4200 LOCATE 5, 1
4210 PRINT " Disc Turbine "
4220 LINE (162, 35)-(198, 35), 1
4230 LINE -(198, 37), 1
4240 LINE -(162, 37), 1
4250 LINE -(162, 35), 1
4260 LINE (171, 35)-(171, 31), 1
4270 LINE -(153, 31), 1
4280 LINE -(153, 41), 1
4290 LINE -(171, 41), 1
4300 LINE -(171, 37), 1
4310 LINE (189, 35)-(189, 31), 1
4320 LINE -(207, 31), 1
4330 LINE -(207, 41), 1
4340 LINE -(189, 41), 1
4350 LINE -(189, 37), 1
4360 CIRCLE (288, 36), 18, 1
4370 LINE (292, 32)-(302, 23), 1
4380 LINE (284, 32)-(274, 23), 1
4390 LINE (284, 40)-(274, 49), 1
4400 LINE (292, 40)-(302, 49), 1
4410 LINE (261, 36)-(279, 36), 1
4420 LINE (297, 36)-(315, 36), 1
4430 LOCATE 10, 1
4440 PRINT " Marine Propeller"
4450 LINE (176, 73)-(184, 75), 1, B
4460 CIRCLE (162, 74), 14, 1, , , .4
4470 CIRCLE (199, 74), 14, 1, , , .4
4480 CIRCLE (268, 69), 13, 1
4490 CIRCLE (308, 69), 13, 1
4500 CIRCLE (288, 93), 13, 1
4510 CIRCLE (288, 75), 5, 1
4520 CIRCLE (288, 75), 7, 1
4530 LOCATE 16, 1
4540 PRINT " Open Turbine"
4550 LOCATE 17, 1
4560 PRINT " (Variable Pitch)"
4570 LINE (153, 116)-(171, 124), 1, B
4580 LINE (189, 116)-(207, 124), 1, B
4590 LINE (182, 118)-(178, 122), 1, B
4600 LINE (171, 120)-(178, 120), 1
4610 LINE (182, 120)-(189, 120), 1
4620 CIRCLE (288, 120), 1, 1
4630 LINE (292, 116)-(284, 124), 1
4640 LINE (284, 116)-(292, 124), 1
4650 LINE (279, 120)-(297, 120), 1
4660 LINE (292, 116)-(290, 114), 1
4670 LINE -(300, 105), 1
4680 LINE -(303, 108), 1
4690 LINE -(293, 117), 1
4700 LINE (284, 124)-(282, 122), 1
4710 LINE -(272, 131), 1
4720 LINE -(275, 134), 1
4730 LINE -(285, 125), 1
4740 LINE (292, 124)-(294, 122), 1
4750 LINE -(304, 131), 1
4760 LINE -(301, 134), 1
4770 LINE -(291, 125), 1
4780 LINE (284, 116)-(286, 114), 1
4790 LINE -(274, 105), 1
4800 LINE -(271, 108), 1
4810 LINE -(284, 117), 1
4820 LINE (279, 120)-(297, 120), 1
4830 LINE (279, 119)-(279, 122), 1
4840 LINE -(261, 122), 1
4850 LINE -(261, 119), 1
4860 LINE -(279, 119), 1
4870 LINE (297, 118)-(297, 121), 1
4880 LINE -(315, 121), 1
4890 LINE -(315, 118), 1
4900 LINE -(297, 118), 1
4910 RETURN
4920 LINE (178, 5)-(182, 140), 2, BF
4930 LINE (178, 5)-(178, 140), 1
4940 LINE (182, 5)-(182, 140), 1
4950 LINE (182, 140)-(182, 20), 1
4960 LINE (165, 131)-(195, 134), 2, BF
4970 LINE (110, 126)-(165, 139), 2, BF
4980 LINE (195, 126)-(250, 139), 2, BF
4990 LINE (130, 130)-(230, 135), 1, B
5000 RETURN
5010 LINE (174, 138)-(178, 140), 3, BF
5020 LINE (174, 140)-(186, 145), 3, BF
5030 LINE (182, 138)-(186, 140), 3, BF
5040 LINE (174, 140)-(90, 150), 3
5050 LINE (175, 140)-(141, 158), 3
5060 LINE (176, 140)-(142, 158), 3
5070 LINE (186, 140)-(270, 150), 3
5080 LINE (185, 140)-(219, 158), 3
5090 LINE (184, 140)-(218, 158), 3
5100 RETURN
5110 LINE (165, 100)-(195, 103), 2, BF
5120 LINE (110, 95)-(165, 108), 2, BF
5130 LINE (195, 95)-(250, 108), 2, BF
5140 LINE (130, 99)-(230, 104), 1, B
5150 RETURN
5160 LINE (72, 40)-(87, 140), 2, BF
5170 LINE (72, 40)-(87, 140), 1, B
5180 LINE (288, 40)-(273, 140), 2, BF
5190 LINE (288, 40)-(273, 140), 1, B
5200 RETURN
5210 LOCATE 21, 1
5220 PRINT "White = Air Bubbles "
5230 PRINT "Red  = Sparger "
5240 LOCATE 23, 1
5250 PRINT " - Air In"
5260 LINE (111, 35)-(115, 140), 1, BF
5270 LINE (250, 35)-(254, 140), 1, BF
5280 CIRCLE (113, 35), 20, 3, 0, 3.1416
5290 CIRCLE (252, 35), 20, 3, 0, 3.1416
5300 CIRCLE (113, 130), 20, 3, 3.1416, 6.283
5310 CIRCLE (252, 130), 20, 3, 3.1416, 6.283
5320 LINE (93, 35)-(84, 30), 3
5330 LINE (272, 35)-(281, 30), 3
5340 LINE (133, 130)-(142, 135), 3
5350 LINE (232, 130)-(223, 135), 3
5360 LINE (150, 135)-(210, 137), 2, BF
5370 LINE (179, 137)-(181, 180), 2, BF
5380 LINE (179, 180)-(342, 181), 2, BF
5390 FOR I = 35 TO 100 STEP 10
5400 CIRCLE (150, I), 6, 3
5410 CIRCLE (210, I), 6, 3
5420 NEXT I
5430 FOR I = 102 TO 132 STEP 5
5440 CIRCLE (150, I), 6, 3
5450 CIRCLE (210, I), 6, 3
5460 NEXT I
5470 RETURN
5480 LOCATE 1, 30
5490 PRINT "Steam Line"
5500 LINE (342, 100)-(330, 100), 1
5510 LINE (330, 5)-(333, 100), 1, BF
5520 LINE (238, 5)-(330, 5), 1
5530 LINE (238, 5)-(240, 25), 1, BF
5540 LINE (238, 25)-(260, 25), 1
5550 LINE (260, 26)-(266, 14), 3
5560 LINE (260, 26)-(282, 17), 3
5570 LINE (260, 26)-(274, 15), 3
5580 CIRCLE (260, 26), 2, 1
5590 RETURN
5600 LINE (81, 22)-(102, 16), 3
5610 CIRCLE (91, 18), 13, 1, .25, 3.7
5620 LINE (89, 16)-(120, 110), 2
5630 LINE (89, 16)-(155, 130), 2
5640 LINE (89, 16)-(190, 127), 2
5650 LINE (89, 16)-(212, 115), 2
5660 RETURN
5670 LOCATE 13, 34
5680 PRINT "Tank Wall"
5690 LOCATE 17, 1
5700 PRINT "White = Glass"
5710 PRINT " Red  = Light "
5720 LINE (270, 20)-(271, 61), 1, BF
5730 LINE -(126, 61), 1
5740 LINE -(127, 90), 1, BF
5750 LINE -(126, 120), 3, BF
5760 LINE -(127, 149), 1, BF
5770 LINE -(178, 149), 1
5780 LINE (178, 141)-(144, 141), 1
5790 LINE -(145, 120), 1, BF
5800 LINE -(144, 90), 3, BF
5810 LINE -(145, 69), 1, BF
5820 LINE -(270, 69), 1
5830 LINE -(271, 136), 1, BF
5840 LINE -(198, 136), 1
5850 LINE (220, 144)-(270, 144), 1
5860 LINE -(271, 180), 1, BF
5870 LINE (183, 151)-(177, 155), 1
5880 LINE -(219, 155), 1
5890 LINE -(213, 151), 1
5900 CIRCLE (198, 145), 21, 1
5910 LINE (90, 100)-(90, 110), 3
5920 LINE (180, 100)-(180, 110), 3
5930 CIRCLE (90, 105), 9, 1, 1.57, 4.71
5940 CIRCLE (180, 105), 9, 1, 4.71, 1.57
5950 LINE (92, 102)-(178, 102), 2
5960 LINE (92, 105)-(168, 105), 2
5970 LINE (92, 108)-(158, 108), 2
5980 RETURN
5990 SCREEN 1, 1
6000 PRINT "    Red  = Sample"
6010 PRINT "   White = Steam"
6020 LOCATE 5, 6
6030 PRINT "Tank Wall"
6040 LOCATE 14, 15
6050 PRINT "Valve A"
6060 LOCATE 6, 27
6070 PRINT "Valve C"
6080 LOCATE 18, 34
6090 PRINT "Valve B"
6100 LOCATE 12, 3
6110 PRINT "Inside"
6120 LOCATE 13, 3
6130 PRINT " Tank"
6140 LOCATE 6, 27
6150 PRINT " - Steam In"
6160 LOCATE 22, 21
6170 PRINT " - To Trap or Sewer"
6180 LOCATE 23, 21
6190 PRINT "when not sampling"
6200 LINE (127, 89)-(126, 99), 1, BF
6210 LINE -(153, 89), 1
6220 LINE -(154, 99), 1, BF
6230 LINE -(127, 89), 1
6240 LINE (217, 49)-(216, 59), 1, BF
6250 LINE -(243, 49), 1
6260 LINE -(244, 59), 1, BF
6270 LINE -(217, 49), 1
6280 LINE (232, 130)-(255, 130), 1
6290 LINE -(232, 145), 1
6300 LINE -(255, 145), 1
6310 LINE -(232, 130), 1
6320 LINE (72, 20)-(73, 90), 1, BF
6330 LINE -(126, 90), 1
6340 LINE (153, 90)-(180, 90), 1
6350 LINE -(181, 50), 1, BF
6360 LINE -(216, 50), 1
6370 LINE (243, 50)-(342, 50), 1
6380 LINE (72, 170)-(73, 98), 1, BF
6390 LINE -(126, 98), 1
6400 LINE (153, 98)-(234, 98), 1
6410 LINE -(235, 130), 1, BF
6420 LINE (235, 145)-(234, 170), 1, BF
6430 LINE -(342, 170), 1
6440 LINE (342, 162)-(252, 162), 1
6450 LINE -(253, 145), 1, BF
6460 LINE (253, 130)-(253, 90), 1, BF
6470 LINE -(198, 90), 1
6480 LINE -(199, 58), 1, BF
6490 LINE -(216, 58), 1
6500 LINE (243, 58)-(342, 58), 1
6510 RETURN
6520 LINE (72, 90)-(126, 98), 2, BF
6530 LINE (153, 90)-(253, 98), 2, BF
6540 LINE (234, 90)-(253, 130), 2, BF
6550 LINE (234, 145)-(253, 170), 2, BF
6560 LINE (234, 162)-(342, 170), 2, BF
6570 LINE (180, 90)-(198, 50), 2, BF
6580 LINE (180, 50)-(216, 58), 2, BF
6590 LINE (243, 50)-(342, 58), 3, BF
6600 RETURN
6610 LINE (72, 90)-(126, 98), 2, BF
6620 LINE (153, 90)-(253, 98), 3, BF
6630 LINE (234, 90)-(253, 130), 3, BF
6640 LINE (234, 145)-(253, 170), 3, BF
6650 LINE (234, 162)-(342, 170), 3, BF
6660 LINE (180, 90)-(198, 50), 3, BF
6670 LINE (180, 50)-(216, 58), 3, BF
6680 LINE (243, 50)-(342, 58), 3, BF
6690 RETURN
6700 LINE (175, 155)-(185, 155), 1
6710 LINE -(175, 165), 1
6720 LINE -(185, 165), 1
6730 LINE -(175, 155), 1
6740 RETURN
6750 CLS
6760 SCREEN 1, 1
6770 PRINT "Details of Manhole"
6780 PRINT "Center circle is sight glass."
6790 PRINT "(bolts not shown)"
6800 CIRCLE (150, 100), 100, , , , .5
6810 CIRCLE (150, 100), 130, , , , .55
6820 CIRCLE (150, 100), 40
6830 CIRCLE (150, 100), 30
6840 LINE (147, 25)-(153, 44), 0, BF
6850 LINE (147, 29)-(147, 41)
6860 LINE (153, 29)-(153, 41)
6870 CIRCLE (150, 41), 3, , 3.14, 6.28
6880 INPUT a$
6890 LOCATE 1, 1
6900 PRINT "                       "
6910 PRINT "                             "
6920 PRINT "                       "
6930 LOCATE 1, 1
6940 PRINT "There are slots for swing bolts."
6950 PRINT "Only the top middle slot is shown."
6960 PRINT "Bolt heads are in blue."
6970 X = 263: Y = 97
6980 GOSUB 7150
6990 X = 74: Y = 49
7000 GOSUB 7150
7010 X = 147: Y = 37
7020 GOSUB 7150
7030 X = 222: Y = 49
7040 GOSUB 7150
7050 X = 35: Y = 97
7060 GOSUB 7150
7070 X = 147: Y = 157
7080 GOSUB 7150
7090 X = 74: Y = 146
7100 GOSUB 7150
7110 X = 222: Y = 146
7120 GOSUB 7150
7130 INPUT a$
7140 RETURN
7150 REM Draws Bolt if given x and y
7160 LINE (X, Y)-(X + 6, Y), 1
7170 LINE -(X + 9, Y + 3), 1
7180 LINE -(X + 6, Y + 6), 1
7190 LINE -(X, Y + 6), 1
7200 LINE -(X - 3, Y + 3), 1
7210 LINE -(X, Y), 1
7220 CIRCLE (X + 3, Y + 3), 4, 1
7230 RETURN
7240 CIRCLE (110, 86), 54, 1
7250 CIRCLE (100, 90), 54, 2
7260 CIRCLE (110, 86), 18, 1
7270 CIRCLE (100, 90), 18, 2
7280 CIRCLE (100, 90), 54, 1
7290 CIRCLE (100, 90), 18, 1
7300 CIRCLE (162, 88), 9, 1, , , 2
7310 LINE (163, 79)-(210, 97), 0, BF
7320 LINE (163, 79)-(210, 79), 1
7330 LINE (163, 97)-(210, 97), 1
7340 FOR I = 210 TO 273 STEP 5
7350 CIRCLE (I, 88), 9, 2, , , 2
7360 CIRCLE (I, 88), 9, 1, , , 2
7370 NEXT I
7380 RETURN
7390 PRINT "Red for bolt"
7400 PRINT "White for tank"
7410 LOCATE 7, 1
7420 PRINT "Swing Bolt"
7430 PRINT "when shut"
7440 LOCATE 15, 1
7450 PRINT " Swing Bolt Open "
7460 CIRCLE (130, 65), 30, 1
7470 LINE (120, 55)-(140, 15), 2, BF
7480 LINE (140, 55)-(140, 15), 1
7490 LINE -(120, 15), 1
7500 LINE -(120, 55), 1
7510 FOR I = 17 TO 45 STEP 2
7520 LINE (120, I)-(140, I), 1
7530 NEXT I
7540 LINE (110, 30)-(150, 20), 2, BF
7550 LINE (110, 30)-(150, 20), 1, B
7560 LINE (20, 80)-(250, 90), 3, BF
7570 CIRCLE (130, 65), 10, 1
7580 LINE (120, 65)-(140, 80), 3, BF
7590 LINE (120, 65)-(120, 80), 1
7600 LINE (140, 65)-(140, 80), 1
7610 LINE (180, 80)-(200, 50), 3, BF
7620 LINE (20, 80)-(180, 80), 1
7630 LINE -(180, 50), 1
7640 LINE -(200, 50), 1
7650 LINE -(200, 80), 1
7660 LINE -(250, 80), 1
7670 LINE (160, 50)-(250, 20), 3, BF
7680 LINE (100, 30)-(160, 40), 3, BF
7690 LINE (250, 20)-(160, 20), 1
7700 LINE -(160, 30), 1
7710 LINE -(100, 30), 1
7720 LINE -(100, 40), 1
7730 LINE -(160, 40), 1
7740 LINE -(160, 50), 1
7750 LINE -(250, 50), 1
7760 CIRCLE (130, 165), 30, 1
7770 LINE (30, 160)-(102, 170), 2, BF
7780 LINE (102, 160)-(30, 160), 1
7790 LINE -(30, 170), 1
7800 LINE -(102, 170), 1
7810 FOR I = 32 TO 80 STEP 3
7820 LINE (I, 160)-(I, 170), 1
7830 NEXT I
7840 LINE (40, 155)-(60, 175), 2, BF
7850 LINE (40, 155)-(60, 175), 1, B
7860 LINE (20, 180)-(250, 190), 3, BF
7870 CIRCLE (130, 165), 10, 1
7880 LINE (120, 165)-(140, 180), 3, BF
7890 LINE (120, 165)-(120, 180), 1
7900 LINE (140, 165)-(140, 180), 1
7910 LINE (180, 180)-(200, 150), 3, BF
7920 LINE (20, 180)-(180, 180), 1
7930 LINE -(180, 150), 1
7940 LINE -(200, 150), 1
7950 LINE -(200, 180), 1
7960 LINE -(250, 180), 1
7970 LINE (160, 150)-(250, 120), 3, BF
7980 LINE (100, 130)-(160, 140), 3, BF
7990 LINE (250, 120)-(160, 120), 1
8000 LINE -(160, 130), 1
8010 LINE -(100, 130), 1
8020 LINE -(100, 140), 1
8030 LINE -(160, 140), 1
8040 LINE -(160, 150), 1
8050 LINE -(250, 150), 1
8060 RETURN
8070 FOR I = 35 TO 135 STEP 10
8080   CIRCLE (275, I), 4, 1
8090   LINE (278, I)-(288, I), 2
8100   LINE (278, I - 1)-(288, I - 1), 1
8110 NEXT I
8120 RETURN
8130 LOCATE 23, 1
8140 INPUT "Hit ENTER"; a$
8150 CLS
8160 RETURN

