10 REM Term Proj. for Biochem. Eng. Jon Pysczynski and Alex Olewicz, Fall '92
20 KEY OFF: WIDTH 80: CLS
30 PRINT
40 PRINT "Foaming in a fermentation vessel is a major"
50 PRINT "problem.  Too much foam favors contamination, and"
60 PRINT "loss of material that decreases yield leads to lower profits."
70 GOSUB 5190
80 PRINT "Causes of Foaming"
90 PRINT
100 PRINT "Foaming is the persistance of bubbles from"
110 PRINT "the fermentor aeration and agitation."
120 PRINT
130 PRINT "Fermentations are mixed by impellers."
140 PRINT "Air is introduced below an impeller.  Shear of old"
150 PRINT "bubbles forms new and perhaps smaller bubbles."
160 PRINT "More aeration or more agitation increases foaming."
170 GOSUB 5190: GOSUB 4720: GOSUB 4810: GOSUB 4870: GOSUB 5190
180 WIDTH 80
190 PRINT
200 PRINT "Aeration is important in fermentation because:"
210 PRINT "     1) Some organisms need a continuous supply of air to grow"
220 PRINT "     2) Air bubbles aid mixing in the fermentor"
230 PRINT "     3) Air bubbles lower the delivered power"
240 PRINT
250 PRINT "When too much air is introduced into the system, you"
260 PRINT "get foaming."
270 GOSUB 5190: GOSUB 4720: GOSUB 4810: GOSUB 4870: GOSUB 4930: GOSUB 4980
280 GOSUB 5190
290 WIDTH 80
300 PRINT
310 PRINT "Both of these factors, agitation and aeration, cause foaming."
320 GOSUB 5190: GOSUB 4720: GOSUB 4810: GOSUB 4870: GOSUB 4930: GOSUB 4980
330 GOSUB 5020: GOSUB 5090: GOSUB 5190
340 WIDTH 80
350 CLS
360 GOSUB 5540
370 QU = 0
380 GOSUB 5740
390 PRINT "Aeration and agitation are the major causes of foaming."
400 GOSUB 5690
410 IF D$ = "F" THEN 450
420 IF D$ = "f" THEN 450
430 GOSUB 5610
440 GOTO 470
450 GOSUB 5650
460 CLS
470 GOSUB 5740
480 PRINT "As the amount of gas brought into the system increases"
490 PRINT "foaming decreases."
500 GOSUB 5690
510 IF D$ = "T" THEN 550
520 IF D$ = "t" THEN 550
530 GOSUB 5610
540 GOTO 570
550 GOSUB 5650
560 CLS
570 PRINT "Detection of Foam"
580 PRINT
590 PRINT "There are several methods for detecting foam."
600 PRINT "Most use electrical instrumentation that"
610 PRINT "causes no sterility problems."
620 PRINT "Manual control by inspection is not a good method because"
630 PRINT "paying close attention to a fermentor is a waste of man"
640 PRINT "power and errors may lead to"
650 PRINT "contamination or loss of contents."
660 GOSUB 5190
670 PRINT "One method to measure the level of foam in the fermentor"
680 PRINT "is to use a conducting probe insulated from the"
690 PRINT "tank wall.  The probe is situated so that when the foam"
700 PRINT "reaches a maximum level the conducting probe circuit is"
710 PRINT "complete. Electrical"
720 PRINT "relays that control valves and pumps that add antifoams"
730 PRINT "to the fermentor are then activated."
740 PRINT
750 PRINT "To prevent antifoam shots that are caused by transient"
760 PRINT "foam rises or splashes, delay is usually included in"
770 PRINT "the circuitry."
780 GOSUB 5190
790 PRINT "Another device for detecting foam is a capacitance probe"
800 PRINT "that detects a change in the capacitance of the"
810 PRINT "system as foam increases.  Simple circuitry, like the"
820 PRINT "circuitry of the conductance probe, is used to signal"
830 PRINT "antifoam controls."
840 GOSUB 5190
850 PRINT "One major problem with the conductance probe is that"
860 PRINT "it sometimes shorts because material collects across"
870 PRINT "the insulation at the point of entry into the tank."
880 PRINT "This results in an excess of antifoam added that can"
890 PRINT "ruin the batch."
900 PRINT
910 PRINT "The capacitance probe doesn't have this problem"
920 PRINT "because it cannot be fouled."
930 PRINT
940 PRINT
950 PRINT "No antifoam system is fail-safe but the capacitance"
960 PRINT "probe is the best type of probe to use."
970 GOSUB 5190
980 PRINT "Here is what a probe would look like in a fermenter."
990 GOSUB 5190
1000 GOSUB 4720
1010 GOSUB 4810
1020 GOSUB 4870
1030 GOSUB 4930
1040 GOSUB 4980
1050 GOSUB 5020
1060 GOSUB 5090
1070 GOSUB 5400
1080 GOSUB 5190
1090 WIDTH 80
1100 GOSUB 5540
1110 GOSUB 5740
1120 PRINT "Manual control by inspection is a good method of"
1130 PRINT "foam detection."
1140 GOSUB 5690
1150 IF D$ = "Y" THEN 1190
1160 IF D$ = "y" THEN 1190
1170 GOSUB 5610
1180 GOTO 1210
1190 GOSUB 5650
1200 CLS
1210 GOSUB 5740
1220 PRINT "A capacitance probe can be fouled."
1230 GOSUB 5690
1240 IF D$ = "Y" THEN 1280
1250 IF D$ = "y" THEN 1280
1260 GOSUB 5610
1270 GOTO 1300
1280 GOSUB 5650
1290 CLS
1300 PRINT "Foam Reduction"
1310 PRINT
1320 PRINT "You can get rid of the foam in the fermentor by"
1330 PRINT "using mechanical foam breakers or by adding antifoams."
1340 PRINT
1350 GOSUB 5190
1360 PRINT
1370 PRINT "Types of Mechanical Foam Breakers"
1380 PRINT "     1) Agitation Shear"
1390 PRINT "     2) Turbulent Flow Shear"
1400 PRINT "     3) Acoustical Rupture"
1410 PRINT "     4) Heat Rupture"
1420 PRINT "     5) Abrupt Pressure Changes"
1430 PRINT "     6) Opposed Jet"
1440 PRINT
1450 PRINT "Mechanical foam breakers get the 'easy' foam but"
1460 PRINT "leave the difficult foam."
1470 GOSUB 5190
1480 PRINT
1490 PRINT "Antifoam Agents"
1500 PRINT
1510 PRINT "Addition of antifoam agents destroy the difficult"
1520 PRINT "foam."
1530 PRINT : PRINT
1540 PRINT "The main requirement for foaming is 'film elasticity'"
1550 PRINT "of the bubbles.  If the bubble has an elastic film"
1560 PRINT "it can respond to stresses."
1570 PRINT
1580 PRINT "Antifoam agents reduce the surface elasticity of the"
1590 PRINT "foam and make the bubbles rigid.  This rigid film"
1600 PRINT "around the bubble is weak and neighbouring bubbles"
1610 PRINT "can break this weak film and thus destroy the foam."
1620 GOSUB 5190
1630 PRINT "Some natural antifoam agents are:"
1640 PRINT "     1) Lard Oil"
1650 PRINT "     2) Linseed Oil"
1660 PRINT "     3) Soybean Oil"
1670 PRINT "     4) Tall Oil"
1680 PRINT "     5) Rape-seed Oil"
1690 PRINT : PRINT
1700 PRINT "Other types of antifoams are:"
1710 PRINT "     6) Alcohols derived from fatty acids"
1720 PRINT "     7) Polyglycol"
1730 PRINT "     8) Silicone"
1740 PRINT
1750 PRINT "Polyglycol and silicone work very well at controlling"
1760 PRINT "foam and are not metabolized."
1770 GOSUB 5190
1780 PRINT
1790 PRINT "Advantages of Antifoams"
1800 PRINT "     1) Foam Control"
1810 PRINT "     2) Nutritional Supplementation"
1820 PRINT "     3) pH Adjustment"
1830 PRINT : PRINT
1840 PRINT "Disadvantages of Antifoam"
1850 PRINT "     1) Excess antifoam can inhibit fermentation."
1860 PRINT "     2) Oil causes bubbles to collapse rapidly.  This changes"
1870 PRINT "        the agitation and dissolved gases pattern very much."
1880 PRINT "     3) Decrease in contact between the air trapped in the"
1890 PRINT "        foam and the culture.  This leads to decreased oxygen uptake"
1900 PRINT "        and carbon dioxide production."
1910 PRINT "     4) More power is required for mixing because of de-gassing."
1920 PRINT "        (Approximately 20 per cent more power is required to stir a"
1930 PRINT "        large fermentor after a shot of oil.)"
1940 GOSUB 5190
1950 GOSUB 5540
1960 GOSUB 5740
1970 PRINT "One type of mechanical foam breaker is acoustical rupture."
1980 GOSUB 5690
1990 IF D$ = "F" THEN 2030
2000 IF D$ = "f" THEN 2030
2010 GOSUB 5610
2020 GOTO 2050
2030 GOSUB 5650
2040 CLS
2050 GOSUB 5740
2060 PRINT "Antifoam agents get the 'difficult' foam out that the"
2070 PRINT "mechanical foam breakers leave behind."
2080 GOSUB 5690
2090 IF D$ = "F" THEN 2130
2100 IF D$ = "f" THEN 2130
2110 GOSUB 5610
2120 GOTO 2150
2130 GOSUB 5650
2140 CLS
2150 GOSUB 5740
2160 PRINT "Antifoam agents make bubble films more elastic."
2170 GOSUB 5690
2180 IF D$ = "T" THEN 2220
2190 IF D$ = "t" THEN 2220
2200 GOSUB 5610
2210 GOTO 2240
2220 GOSUB 5650
2230 CLS
2240 GOSUB 5740
2250 PRINT "Soybean oil is a common antifoam."
2260 GOSUB 5690
2270 IF D$ = "T" THEN 2310
2280 IF D$ = "t" THEN 2310
2290 GOSUB 5610
2300 GOTO 2330
2310 GOSUB 5650
2320 CLS
2330 GOSUB 5740
2340 PRINT "Natural oils, as well as being good antifoam agents, provide"
2350 PRINT "a nutritional supplement to the fermentor culture."
2360 GOSUB 5690
2370 IF D$ = "F" THEN 2410
2380 IF D$ = "f" THEN 2410
2390 GOSUB 5610
2400 GOTO 2440
2410 GOSUB 5650
2420 CLS
2430 PRINT
2440 PRINT "Sterilization of Antifoam"
2450 PRINT
2460 PRINT "The antifoam must be sterilized to avoid contaminating"
2470 PRINT "the fermentor.  Antifoam oil is sterilized by 'dry heat'"
2480 PRINT "sterilization.  The antifoam oil is either heated at 160"
2490 PRINT "degrees Celcius for 2-3 hours or at 127 degrees Celcius"
2500 PRINT "for 90 minutes."
2510 GOSUB 5190
2520 PRINT "Metering of Sterile Oil"
2530 PRINT
2540 PRINT "There are many ways to meter oil that will be introduced"
2550 PRINT "into the fermentor.  Some are:"
2560 PRINT
2570 PRINT "1) Manual control"
2580 PRINT "     -This type of metering is only used in emergencies."
2590 PRINT
2600 PRINT "2) Timed Delivery System"
2610 PRINT "     -A foam detector trips a timer which opens a valve for"
2620 PRINT "   a set time interval and lets antifoam in the fermentor."
2630 PRINT "   This system is sometimes used in large fermentors."
2640 PRINT
2650 PRINT "3) Blow-pot System"
2660 PRINT "     -An exact shot of oil is forced into the fermentor by"
2670 PRINT "   the use of air pressure."
2680 PRINT
2690 PRINT "4) Pressurized System"
2700 PRINT "     -Oil that is under pressure is added to the fermentor"
2710 PRINT "   through a needle valve."
2720 GOSUB 5190
2730 PRINT "Next, you'll see a common antifoam detection-"
2740 PRINT "delivery setup.  Here the probe detects the "
2750 PRINT "level of foam and sends this information to"
2760 PRINT "a relay that controls opening and closing of a valve."
2770 PRINT "This controls the amount of oil flowing "
2780 PRINT "from the reservoir to the fermentor."
2790 GOSUB 5190: GOSUB 4720: GOSUB 4810: GOSUB 4870: GOSUB 4930
2800 GOSUB 4980: GOSUB 5020: GOSUB 5090: GOSUB 5230: GOSUB 5400
2810 GOSUB 5440: GOSUB 5190
2820 WIDTH 80
2830 GOSUB 5740
2840 PRINT "Oil is sterilized by 'dry heat' sterilization."
2850 GOSUB 5690
2860 IF D$ = "F" THEN 2900
2870 IF D$ = "f" THEN 2900
2880 GOSUB 5610
2890 GOTO 2920
2900 GOSUB 5650
2910 CLS
2920 GOSUB 5740
2930 PRINT "Large fermentors sometimes use a time delivery system"
2940 PRINT "to add oil."
2950 GOSUB 5690
2960 IF D$ = "F" THEN 3000
2970 IF D$ = "f" THEN 3000
2980 GOSUB 5610
2990 GOTO 3020
3000 GOSUB 5650
3010 CLS
3020 PRINT "Apparatus Used in the Delivery of Oil"
3030 PRINT
3040 PRINT "Valves"
3050 PRINT
3060 PRINT "     Solenoid valves, connected to an expanding chamber, are"
3070 PRINT "used to meter oil.  These valves are timed in sequence."
3080 PRINT "     When oil is needed the inlet valve opens and pressurized"
3090 PRINT "oil fills the metering chamber.  Then the inlet valve closes"
3100 PRINT "and the exit or discharge valve opens to let the air pressure"
3110 PRINT "in the chamber deliver the oil.  Between shots of oil both"
3120 PRINT "valves are closed."
3130 PRINT : PRINT
3140 PRINT "     A problem with this system is that the inlet valve may"
3150 PRINT "leak or stick open, allowing full oil flow through the system"
3160 PRINT "when the exit valve is open."
3170 GOSUB 5190
3180 PRINT "Pumps"
3190 PRINT
3200 PRINT "     Pumps used in the delivery of oil are usually positive"
3210 PRINT "displacement pumps."
3220 PRINT
3230 PRINT "Some pumps used are:"
3240 PRINT "     1) Plunger pump"
3250 PRINT "     2) Diaphragm check-valve pump"
3260 PRINT "     3) Flexible liner pump"
3270 PRINT "     4) Peristaltic pump"
3280 GOSUB 5190
3290 PRINT "Plunger pumps work well on a contamination resistant fermentation"
3300 PRINT "like penicillin, but are dangerous in other cases."
3310 PRINT
3320 PRINT "Diaphragm check-valve pumps, although being expensive, are reliable"
3330 PRINT "and have no sterility hazard."
3340 PRINT
3350 PRINT "Flexible liner pumps work well also but they tend to leak if the"
3360 PRINT "pump is stopped in the wrong position."
3370 PRINT
3380 PRINT "Peristaltic pumps are good for certain systems but deterioration"
3390 PRINT "of the pumps tubing from contact with oil and during sterilization"
3400 PRINT "make this pump unsuitable for regular use."
3410 GOSUB 5190
3420 PRINT
3430 PRINT "One disadvantage of using metering pumps with"
3440 PRINT "check valves is a tendency to leak."
3450 PRINT
3460 PRINT "If the pumps are used continuously this is not a problem.  It"
3470 PRINT "becomes a problem when the pumps are used intermittently."
3480 GOSUB 5190
3490 PRINT "Pumps that use a seal or gland through which the moving oil is"
3500 PRINT "driven, like gear pumps, reciprocating piston pumps, and"
3510 PRINT "centrifugal pumps, can be contaminated and are seldom used."
3520 GOSUB 5190
3530 PRINT
3540 PRINT "To help prevent deterioration by the oil, Teflon diaphragms and"
3550 PRINT "gaskets, as well as stainless steel lines, are used in antifoam"
3560 PRINT "delivery systems."
3570 GOSUB 5190
3580 CLS
3590 GOSUB 5540
3600 GOSUB 5740
3610 PRINT "A negative displacement pump is usually used in the delivery of oil."
3620 GOSUB 5690
3630 IF D$ = "T" THEN 3670
3640 IF D$ = "t" THEN 3670
3650 GOSUB 5610
3660 GOTO 3690
3670 GOSUB 5650
3680 CLS
3690 GOSUB 5740
3700 PRINT "A solenoid valve may stick or leak causing oil to continuously"
3710 PRINT "flow through the system."
3720 GOSUB 5690
3730 IF D$ = "F" OR D$ = "f" THEN 3760
3740 GOSUB 5610
3750 GOTO 3780
3760 GOSUB 5650
3770 CLS
3780 PRINT "Manner of Entry of Oil Into the Fermentor"
3790 PRINT
3800 PRINT "Continuous addition of oil on a schedule is a good way to"
3810 PRINT "control foam."
3820 PRINT
3830 PRINT "The advantages here are that oil consumption is one fourth"
3840 PRINT "less than if oil was added only when there was excess foam."
3850 PRINT "Continuous addition can also hold the foam level constant."
3860 PRINT
3870 PRINT "The disadvantage is that continuous addition can't correct"
3880 PRINT "for unexpected heavy foaming."
3890 GOSUB 5190
3900 PRINT
3910 PRINT "One can also introduce oil with a spray applicator.  This"
3920 PRINT "type of system requires more maintenance than a continuous"
3930 PRINT "feed system and the total oil consumption is greater."
3940 GOSUB 5190
3950 PRINT
3960 PRINT "Another way to introduce oil is by using wicking material."
3970 PRINT "Wicking material is placed in the fermentor and is supported"
3980 PRINT "by a wire mesh or on a pipe.  The material is then soaked"
3990 PRINT "with oil as required.  As the foam level is just below the"
4000 PRINT "wicks, small amounts of oil are drawn into the foam."
4010 PRINT
4020 PRINT "One advantage of this entry method is that it minimizes the"
4030 PRINT "oil used up by metabolism.  Oil consumption can be reduced"
4040 PRINT "by 25-30 per cent."
4050 PRINT
4060 PRINT "One disadvantage is that the hair-pin shaped wick gets clogged"
4070 PRINT "with sedimentation and congealed oil."
4080 GOSUB 5190
4090 PRINT
4100 PRINT "A better design of the wicking entry system uses a tent-shaped"
4110 PRINT "wick support.  This kind of support allows oil to be dripped on,"
4120 PRINT "rather than being forced out through small holes."
4130 PRINT "This type of design has nothing that can clog."
4140 GOSUB 5190
4150 PRINT "The tent-shaped wick support attached to the impeller"
4160 PRINT "shaft is seen in the next diagram."
4170 GOSUB 5190: GOSUB 4720: GOSUB 4810: GOSUB 4870: GOSUB 4930
4180 GOSUB 4980: GOSUB 5020: GOSUB 5090: GOSUB 5230
4190 GOSUB 5400: GOSUB 5440: GOSUB 5360: GOSUB 5500: GOSUB 5190
4200 WIDTH 80
4210 CLS
4220 GOSUB 5540
4230 GOSUB 5740
4240 PRINT "A system that has continuous foam addition can handle an"
4250 PRINT "unexpected increase in foam."
4260 GOSUB 5690
4270 IF D$ = "Y" THEN 4310
4280 IF D$ = "y" THEN 4310
4290 GOSUB 5610
4300 GOTO 4330
4310 GOSUB 5650
4320 CLS
4330 PRINT : PRINT : PRINT "THE LAST QUESTION!!!"
4340 PRINT : PRINT
4350 PRINT "One manner of entry of oil into a fermentor is by using a"
4360 PRINT "spray applicator."
4370 GOSUB 5690
4380 IF D$ = "F" OR D$ = "f" THEN 4410
4390 GOSUB 5610
4400 GOTO 4430
4410 GOSUB 5650
4420 CLS
4430 PRINT
4440 PRINT "SUMMARY"
4450 PRINT
4460 PRINT "Foaming is a big problem in fermentation.  Foam"
4470 PRINT "can contaminate your culture and cause loss of material"
4480 PRINT "to reduce profits."
4490 PRINT
4500 PRINT "Mechanical foam beakers and antifoam agents reduce the"
4510 PRINT "amount of foam in the fermentor.  Mechanical foam breakers"
4520 PRINT "take care of the 'easy' foam while antifoam agents get rid"
4530 PRINT "of the 'difficult' foam."
4540 PRINT
4550 PRINT "There are many devices that are used in the delivery of"
4560 PRINT "antifoam (oil) to the fermentor.  These devices include"
4570 PRINT "valves and pumps.  There are advantages and disadvantages"
4580 PRINT "to each kind of pump or valve used."
4590 PRINT
4600 PRINT "Oil can be entered into the fermentor by a variety of ways."
4610 PRINT "The best method of entry is by using a tent-shaped wick"
4620 PRINT "support with oil being dripped onto it."
4630 GOSUB 5190
4640 PRINT "CONCLUSION"
4650 PRINT
4660 PRINT "More research is needed to develop better mechanical foam"
4670 PRINT "breakers and antifoam agents."
4680 GOSUB 5190
4690 PRINT
4700 PRINT "You have reached the end of the tutorial."
4710 STOP
4720 REM FERMENTER
4725 SCREEN 1, 1
4730 LINE (67, 50)-(67, 160), 1: LINE (283, 50)-(283, 160), 1
4740 CIRCLE (175, 50), 108, 1, 0, .3923, (20 / 108)
4750 CIRCLE (175, 50), 108, 1, .75, 2.3916, (20 / 108)
4760 CIRCLE (175, 50), 108, 1, 2.7489, 3.1416, (20 / 108)
4770 CIRCLE (175, 160), 108, 1, 3.1416, 6.283, (20 / 108)
4780 CIRCLE (175, 50), 108, 1, .3923, .75, (20 / 108)
4790 CIRCLE (175, 50), 108, 1, 2.3916, 2.7489, (20 / 108)
4800 RETURN
4810 REM FERMENTER
4820 LINE (173, 25)-(177, 160), 2, BF: LINE (173, 25)-(173, 160), 1
4830 LINE (177, 25)-(177, 160), 1: LINE (177, 160)-(177, 40), 1
4840 LINE (160, 151)-(190, 154), 2, BF: LINE (105, 146)-(160, 159), 2, BF
4850 LINE (190, 146)-(245, 159), 2, BF: LINE (125, 150)-(225, 155), 1, B
4860 RETURN
4870 LINE (169, 158)-(173, 160), 3, BF: LINE (169, 160)-(181, 165), 3, BF
4880 LINE (177, 158)-(181, 160), 3, BF: LINE (169, 160)-(85, 170), 3
4890 LINE (170, 160)-(136, 178), 3: LINE (171, 160)-(137, 178), 3
4900 LINE (181, 160)-(265, 170), 3: LINE (180, 160)-(214, 178), 3
4910 LINE (179, 160)-(213, 178), 3
4920 RETURN
4930 REM AIR LINE
4940 LINE (40, 35)-(73, 35), 3: LINE -(73, 165), 3: LINE -(100, 165), 3
4950 LINE (40, 30)-(79, 30), 3: LINE -(79, 160), 3: LINE -(100, 160), 3
4960 LINE (67, 60)-(82, 64), 3, BF: LINE (67, 136)-(82, 140), 3, BF
4970 RETURN
4980 REM ARROW TO AIR LINE
4990 LINE (22, 33)-(32, 33), 2: LINE (32, 36)-(32, 30), 2: LINE -(37, 33), 2
5000 LINE -(32, 36), 2: PAINT (34, 33), 2, 2
5010 RETURN
5020 REM FOAM FORMATION
5030 FOR Y = 80 TO 92 STEP 3
5040 FOR X = 69 TO 281 STEP 4
5050 CIRCLE (X, Y), 1.2, 2
5060 NEXT
5070 NEXT
5080 RETURN
5090 REM LIQUID LINES
5100 Y = 95
5110 FOR X = 69 TO 279 STEP 20
5120 LINE (X, Y)-(X + 13, Y), 2
5130 NEXT
5140 Y = 105
5150 FOR X = 70 TO 250 STEP 35: LINE (X, Y)-(X + 25, Y), 2: NEXT
5160 Y = 120
5170 FOR X = 70 TO 278 STEP 45: LINE (X, Y)-(X + 29, Y), 2: NEXT
5180 RETURN
5190 LOCATE 23, 1: INPUT "Hit ENTER"; A$
5200 CLS
5210 PRINT
5220 RETURN
5230 REM ANTIFOAM SYSTEM
5240 REM OIL RESERVOIR
5250 LINE (291, 55)-(316, 62), 3, BF: LINE (291, 62)-(316, 70), 1, BF
5260 LINE (291, 55)-(316, 70), 1, B
5270 REM OIL LINE AND VALVE
5280 LINE (301, 62)-(305, 24), 1, BF: LINE (305, 24)-(276, 28), 1, BF
5290 LINE (276, 22)-(276, 30), 1: LINE (268, 22)-(268, 30), 1
5300 LINE (276, 22)-(268, 30), 1: LINE (276, 30)-(268, 22), 1
5310 PAINT (275, 26), 1, 1: PAINT (269, 26), 1, 1
5320 LINE (268, 24)-(218, 28), 1, BF: LINE (218, 28)-(222, 55), 1, BF
5330 LINE (218, 55)-(190, 68), 1: LINE (222, 55)-(192, 70), 1
5340 LINE -(190, 68), 1: PAINT (192, 69), 1, 1
5350 RETURN
5360 REM TENT SHAPED WICK
5370 LINE (175, 69)-(195, 80), 1: LINE -(155, 80), 1: LINE -(175, 69), 1
5380 PAINT (175, 70), 1, 1: LINE (172, 70)-(178, 65), 3, BF
5390 RETURN
5400 REM PROBE
5410 LINE (115, 67)-(112, 80), 3, BF: LINE (113, 67)-(113, 17), 3
5420 LINE -(195, 17), 3
5430 RETURN
5440 REM RELAY
5450 LINE (108, 33)-(108, 12), 3: LINE -(189, 12), 3: LINE -(189, 2), 3
5460 LINE (195, 19)-(201, 10), 2, BF: LINE (198, 9)-(198, 2), 3
5470 LINE (270, 23)-(270, 17), 3: LINE -(202, 17), 3: LINE (274, 23)-(274, 12), 3
5480 LINE -(202, 12), 3
5490 RETURN
5500 REM OIL DRIPS
5510 CIRCLE (191, 72), .4, 1: CIRCLE (191, 74), .4, 1
5520 PAINT (191, 72), 1, 1: PAINT (191, 74), 1, 1
5530 RETURN
5540 LOCATE 4, 1
5550 FOR X = 2 TO 10
5560 PRINT "QUIZ TIME"
5570 NEXT
5580 GOSUB 5190
5590 CLS
5600 RETURN
5610 LOCATE 5, 5: PRINT "CORRECT"
5620 GOSUB 5190
5630 CLS
5640 RETURN
5650 LOCATE 5, 5: PRINT "WRONG"
5660 GOSUB 5190
5670 CLS
5680 RETURN
5690 PRINT : PRINT : PRINT "True (T) or False (F)?"
5700 PRINT
5710 INPUT "     answer (T/F):"; D$
5720 CLS
5730 RETURN
5740 LOCATE 5, 1: QU = QU + 1: PRINT "QUESTION #"; QU: RETURN

