10 REM Immobilized cells, H. BUNGAY 1992
20 XMAX = 320: YMAX = 180
30 KEY OFF
40 SCREEN 1, 1
50 RANDOMIZE
60 WIDTH 80
70 TOT = 2
80 CLS
90 PRINT "Immobilized Cells"
100 LOCATE 6, 1
110 PRINT "Retaining cells in the bioreactor prevents their waste"
120 PRINT "and can provide dense populations."
130 PRINT
140 PRINT "We can make use of cell ahdesion to surfaces,"
150 PRINT "or agglomerated cells are easy to retain or collect."
160 GOSUB 1060
170 PRINT "A vinegar generator is a vessel packed with wood"
180 PRINT "shavings over which a sugar solution trickles."
190 PRINT "Attached acetobacteria convert sugar to ethanol."
200 LINE (XMAX / 4, YMAX / 4 - 10)-(3 * XMAX / 4, 3 * YMAX / 4), , B
210 FOR X = XMAX / 4 TO 3 * XMAX / 4 STEP 6
220 FOR Y = YMAX / 4 TO 3 * YMAX / 4 - 5 STEP 8
230 Z = 8 * (RND - .5)
240 LINE (X, Y + Z)-(X + 5, Y - Z)
250 NEXT Y
260 NEXT X
270 LINE (XMAX / 2, YMAX / 4 - 20)-(XMAX / 2, YMAX / 4 - 10)
280 LINE -(XMAX / 2 - 4, YMAX / 4 - 14)
290 LINE (XMAX / 2, YMAX / 4 - 10)-(XMAX / 2 + 4, YMAX / 4 - 14)
300 LINE (XMAX / 2, 3 * YMAX / 4)-(XMAX / 2, 3 * YMAX / 4 + 10)
310 LINE -(XMAX / 2 - 4, 3 * YMAX / 4 + 6)
320 LINE (XMAX / 2, 3 * YMAX / 4 + 10)-(XMAX / 2 + 4, 3 * YMAX / 4 + 6)
330 GOSUB 1060
340 PRINT "The tower fermenter makes use of flocculated yeast."
350 LINE (XMAX / 3, YMAX / 4 + 10)-(2 * XMAX / 3, 3 * YMAX / 4), , B
360 LINE (XMAX / 4, YMAX / 5)-(XMAX / 3, YMAX / 4 + 10)
370 LINE (3 * XMAX / 4, YMAX / 5)-(2 * XMAX / 3, YMAX / 4 + 10)
380 CIRCLE (XMAX / 2, YMAX / 2 - 10), 150, , .982, 2.1
390 LINE (XMAX / 4, YMAX / 5)-(3 * XMAX / 4, YMAX / 5 - 10), , B
400 LINE (3 * XMAX / 4, YMAX / 4 - 14)-(3 * XMAX / 4 + 15, YMAX / 4 - 14)
410 LINE -(3 * XMAX / 4 + 11, YMAX / 4 - 12)
420 LINE (3 * XMAX / 4 + 15, YMAX / 4 - 14)-(3 * XMAX / 4 + 11, YMAX / 4 - 16)
430 LINE (XMAX / 2, 3 * YMAX / 4)-(XMAX / 2, 3 * YMAX / 4 + 10)
440 LINE (XMAX / 2 - 4, 3 * YMAX / 4 + 4)-(XMAX / 2, 3 * YMAX / 4)
450 LINE -(XMAX / 2 + 4, 3 * YMAX / 4 + 4)
460 LOCATE 19, 1
470 PRINT "The expanded diameter at the top provides a region"
475 PRINT "with more cross section for lower fluid velocity."
480 PRINT "Cells can settle back into the main volume."
490 GOSUB 1060
500 PRINT "   One very simple method of immobilization"
510 PRINT "   is to squeeze tiny pieces of sponge in"
520 PRINT "   a dilute suspension of organisms."
530 PRINT
540 PRINT "   Growth of cells makes a nice biocatalyst."
550 GOSUB 1060
560 PRINT " Cells can be immobilized by simple adsorption."
570 PRINT
580 PRINT " Granules of carbon are good for adsorption."
590 GOSUB 1060
600 PRINT "       ENCAPSULATION"
610 PRINT
620 PRINT "Gelatin and calcium alginate are used for gels."
630 PRINT
640 PRINT "Droplets with some organisms inside fall into"
650 PRINT "a solution to harden.  The organisms grow to"
660 PRINT "increase catalytic activity."
670 PRINT
680 PRINT "Alginic acid contacted with a solution with"
690 PRINT "calcium ions will make a bead."
700 GOSUB 1060
710 PRINT "Single bead full of cells."
720 LOCATE 3, 1
730 INPUT "Hit ENTER for one more hour "; a$
740 IF TOT < 20 THEN PRINT "No crowding.  Cells roughly equal."
750 IF TOT > 20 AND TOT < 50 THEN PRINT "More crowding.  Some cells fed better."
760 IF TOT > 50 THEN PRINT "Tightly packed. Some cells are starved."
770 TOT = TOT * 2 - TOT / 2
780 GOSUB 960
790 IF TOT < 130 THEN 720
800 GOSUB 1060
810 PRINT "The medium passing through a column of"
820 PRINT "beads should not support growth."
830 PRINT "Howver, some cell replication occurs."
840 PRINT
850 PRINT "Very densely packed cells inside the"
860 PRINT "cell compete for oxygen and nutrient,"
870 PRINT "and some cells die."
880 PRINT
890 PRINT "Inside the beads there are gradients of"
900 PRINT "redox potential, concentrations, pH,"
910 PRINT "and just about everything."
920 PRINT
930 PRINT "This is a dream for math modelers."
940 INPUT a$
950 STOP
960 CIRCLE (XMAX / 2, YMAX / 2), YMAX / 2
970 CIRCLE (XMAX / 2, YMAX / 2), 5 + YMAX / 2
980 FOR N = 1 TO TOT
990 X = XMAX / 2 + XMAX * (RND - .5) * .5
1000 Y = YMAX / 2 + YMAX * (RND - .5) * .5
1010 Z = X - XMAX / 2: W = (Y - YMAX / 2) * 2
1020 IF SQR(Z * Z + W * W) > YMAX / 2 - 10 THEN 990
1030 CIRCLE (X, Y), 3
1040 NEXT
1050 RETURN
1060 LOCATE 23, 1
1070 INPUT "Hit enter (RETURN) to continue "; a$
1080 CLS
1090 RETURN

