10 REM ENZYME KINETICS
20 DIM Q(1000), Q2(1000)
30  REM H. BUNGAY and CHENG-SHENG LEE
40 REM MODIFIED BY JEONG-WOO CHOI
50 CLS
60 KEY OFF
70 SCREEN 1,1
80 PRINT "CHARACTERISTICS OF ENZYME REACTION"
90 PRINT
100 PRINT "1. ALMOST ALL REACTIONS IN CELL ARE     CATALYZED BY ENZYMES." :PRINT
110 PRINT "2. ENZYME REACTIONS ARE SPECIFIC FOR ONE OR FEW SUBSTREATES.":PRINT
120 PRINT "3. ENZYME NEEDS COFACTORS TO GIVE A     CATALYTICALLY ACTIVE COMPLEX.":PRINT
130 PRINT "4. ENZYME ACTIVITY IS AFFECTED BY pH,    TEMPERATURE, FLUID FORCES, CHEMICAL     AGENTS AND IRRADIATION.": PRINT
140 PRINT :PRINT:PRINT:PRINT:
150 INPUT"TYPE RETURN KEY";A$
160 CLS
170 PRINT "ENZYME-SUBSTRATE COMPLEX AND ACTION":PRINT
180 PRINT "1.AN ENZYME MAY ACCELERATE REACTION BY  HOLDING TWO SUBSTRATES CLOSE TO EACH    OTHER( PROXIMITY EFFECTS) AND AT AN     ADVANTAGEOUS ANGLE( ORIENTATION EFFECT).":PRINT
190 PRINT "2. BINDING OF SUBSTRATES IS EXPLAINED BY `LOCK AND KEY THEORY' AND `INDUCED FIT THEORY'."
200 PRINT:PRINT:PRINT:PRINT
210 INPUT"TYPE RETURN KEY";A$
220 CLS
230 PRINT "EMIL FISCHER PROPOSED A LOCK AND KEY"
240 PRINT "THEORY FOR ENZYMES."
250 PRINT "NOTE HOW THE SUBSTRATE FITS."
260 LOCATE 23,1
270 PRINT "   ENZYME           SUBSTRATE"
280 LINE (50,90)-( 70,110),1,BF
290 LINE (180,90)-(200,110),,B
300 GET (50,90)-(70,110),Q
310 GET (180,90)-(200,110),Q2
320 FOR I= 30 TO 150 STEP 20
330 PUT (30,I),Q
340 PUT (50,I),Q
350 NEXT
360 FOR I= 50 TO 130 STEP 20
370 PUT (200,I ),Q2
380 NEXT
390 GET (180,50)-(220,150),Q2
400 FOR I=180 TO  55 STEP -2
410 PUT (I, 50),Q2,XOR
420 PUT (I-2,50),Q2,XOR
430 NEXT
440 LINE (55,96)-(93, 98),,BF
450 INPUT "HIT RETURN TO CONTINUE";S
460 CLS
470 LOCATE 1,1
480 PRINT "IF THE SUBSTRATE IS SHAPED"
490 PRINT "DIFFERENTLY  IT WON'T FIT."
500 FOR I=30 TO 150 STEP 20
510 PUT (30,I),Q
520 PUT (50,I),Q
530 NEXT
540 PUT (50,90),Q
550 PRINT "   ENZYME           SUBSTRATE"
560 LINE(180,90)-(200,130),,B
570 GET (180,90)-(200,130),Q2
580 PUT (200,50),Q2
590 PUT (200,90),Q2
600 GET (180,50)-(220,150),Q2
610 FOR I=180 TO  74 STEP -2
620 PUT (I, 50),Q2,XOR
630 PUT (I-2,50),Q2,XOR
640 NEXT
650 LOCATE 12,18
660 PRINT "NO REACTION."
670 LOCATE 23,1
680 INPUT "HIT RETURN TO CONTINUE.";S
690 CLS
700 PRINT "OF COURSE, THIS INTERACTION IS IN"
710 PRINT "THREE DIMENSIONS."
720 PRINT "THERE MAY BE ELECTRON TRANSFER OR"
730 PRINT "ACTUAL MOVEMENT OF ATOMS."
740 INPUT "TYPE RETURN TO CONTINUE.";S
750 CLS
760 PRINT "RECENT WORK SUGGESTS THAT THE"
770 PRINT "ACTIVE SITES OF SOME ENZYMES ARE"
780 PRINT "NOT RIGID.  THE ENZYME CHANGES"
790 PRINT "SHAPE UPON BINDING SUBSTRATE."
800 PRINT "THIS  PROCESS OF  DYNAMIC  "
810 PRINT "RECOGNITION IS CALLED INDUCED FIT."
820 INPUT "TYPE RETURN TO CONTINUE.";S
830 CLS
840 PRINT "NOTE HOW THE ENZYME CHANGES AFTER"
850 PRINT "THE SUBSTRATE IS BOUND"
860 LOCATE 23,1
870 PRINT "   ENZYME           SUBSTRATE"
880 LINE (50,70)-( 70,110),,BF
890 LINE (180,90)-(200,110),,B
900 GET (50,70)-(70,110),Q
910 GET (180,90)-(200,110),Q2
920 FOR I= 30 TO 130 STEP 40
930 PUT (30,I),Q
940 PUT (50,I),Q
950 NEXT
960 FOR I= 50 TO 130 STEP 20
970 PUT (200,I ),Q2
980 NEXT
990 GET (180,50)-(220,150),Q2
1000 FOR I=180 TO  55 STEP -2
1010 PUT (I, 50),Q2,XOR
1020 PUT (I-2,50),Q2,XOR
1030 NEXT
1040 FOR I= 70 TO 90 STEP .2
1050 LINE (50,I)-(70,I)
1060 NEXT
1070 LINE (55,96)-(93, 98),,BF
1080 INPUT "TYPE RETURN TO CONTINUE.";S
1090 CLS
1100 PRINT "MICHAELIS-MENTEN KINETICS ARE:":PRINT:PRINT
1110 PRINT "      S ------------------> P"
1120 PRINT "             (E)             ":PRINT
1130 PRINT "              K1              K2"
1140 PRINT "    E+S ------------------>ES-----> E+P"
1150 PRINT "        <------------------"
1160 PRINT "              K-1"
1170 PRINT:PRINT
1180 PRINT"  WHERE S=SUBSTRATE"
1190 PRINT"        P=PRODUCT"
1200 PRINT"        E=ENZYME"
1210 PRINT"        ES=ENZYME-SUBSTRATE COMPLEX"
1220 PRINT"        K1,K-1,K2=DISSOCIATION CONSTANT"
1230 PRINT:PRINT
1240 INPUT "STRIKE RETURN";A$
1250 CLS
1260 PRINT"THE MICHAELIS-MENTEN EQUATION IS:"
1270 PRINT
1280 PRINT"    V = Vmax   S
1290 PRINT"            Km + S"
1300 LINE( 95,23)-(142,23)
1310 PRINT
1320 PRINT"WHERE   V = REACTION VELOCITY"
1330 PRINT"      Vmax= MAXIMUM VELOCITY"
1340 PRINT"        S = SUBSTRATE CONCENTRATION"
1350 PRINT"        Km= A CONSTANT,(K2+K-1)/K1"
1360 PRINT
1370 PRINT"HERE IS A PLOT OF V VERSUS S:"
1380 INPUT "STRIKE RETURN";A$
1390 GOSUB 2300
1400 X=40
1410 FOR N=1 TO 130
1420 X=X+1
1430 Y=172-10*SQR(N)
1440 PSET (X,Y)
1450 NEXT
1460 PRINT
1470 PRINT"YOU MAY SELECT VALUES FOR Km AND Vmax."
1480 INPUT"STRIKE RETURN";A$
1490 GOSUB 2300
1500 GOSUB 1530
1510 GOSUB 1610
1520 GOTO 1500
1530 REM INPUT FOR M-M OR L-B
1540 LOCATE 1,1
1550 INPUT"Km = ";K
1560 IF K<0 THEN 1690
1570 IF K=0 THEN 1490
1580 INPUT"Vmax = ";V
1590 PRINT"TYPE 0 TO ERASE, A MINUS NUMBER TO QUIT."
1600 RETURN
1610 REM PLOT FOR M-M
1620 Z=0
1622 C=C+1:IF C>3 THEN C=1
1630 FOR X=40 TO 170
1640 Z=Z+1
1650 Y=172-(V*Z/(K+Z))
1660 PSET (X,Y),C
1670 NEXT
1680 RETURN
1690 CLS
1700 PRINT"The Michaelis-Menten plot has some      drawbacks."
1710 PRINT"It is hard to determine Km and Vmax from    the graph."
1720 PRINT"Try to estimate them from this plot."
1730 INPUT A$
1740 CLS
1750 GOSUB 2300
1760 LOCATE 9,2
1770 PRINT"100"
1780 FOR N=40 TO 170 STEP 4
1790 PSET(N,70)
1800 NEXT
1810 K=5
1820 V=107
1830 GOSUB 1610
1840 INPUT A$
1850 LOCATE 24,1
1860 PRINT"ANSWERS ARE Km=5, Vmax=107."
1870 INPUT A$
1880 CLS
1890 PRINT"Furthermore, the Michaelis-Menten       equation"
1900 PRINT"may fail as concentrations increase"
1910 PRINT"because substrate may become inhibitory."
1920 PRINT
1930 PRINT"An elementary transformation by"
1940 PRINT"Lineweaver and Burke gives a straight   line."
1950 PRINT"Taking reciprocals :"
1960 PRINT
1970 PRINT"  1/V = (Km+S)/(Vmax*S)
1980 PRINT
1990 PRINT"Collecting and rearranging :"
2000 PRINT
2010 PRINT"  1/V = Km  1 +  1/Vmax"
2020 PRINT"       Vmax S"
2030 LINE(62,128)-(101,128)
2040 PRINT
2050 PRINT"Plot 1/V versus 1/S."
2060 PRINT"The slope = Km/Vmax and"
2070 PRINT"the Y-intercept =  1/Vmax."
2080 INPUT A$
2090 CLS
2100 GOSUB 2310
2110 LOCATE 11,3
2120 PRINT"1/V"
2130 LOCATE 23,15
2140 PRINT"1/S "
2150 LOCATE 1,1
2160 INPUT"Km = ";K
2170 IF K<0 THEN 2280
2180 IF K=0 THEN 2090
2190 INPUT"Vmax ";V
2200 PRINT "TYPE 0 TO ERASE, A MINUS NUMBER TO QUIT."
2210 C=C+1:IF C>3 THEN C=1
2215 FOR X=1 TO 30
2220 Z=1/X
2230 Y=(K*Z/V + 1/V)
2240 PZ=40+100*Z : PY=170-500*Y
2250 PSET(PZ,PY),C
2260 NEXT
2270 GOTO 2150
2280 CLS
2290 GOTO 2380
2300 CLS
2310 LOCATE 12,4
2320 PRINT"V"
2330 LINE (40, 50)-(40,180)
2340 LINE -(170,180)
2350 LOCATE 24,17
2360 PRINT"S"
2370 RETURN
2380 PRINT"ANOTHER TRANSFORMATION BY EADIE-HOFSTEE GIVES A STRAIGHT LINE TO EVALUATE       KINETIC PARAMETERS":PRINT
2390 PRINT"MULTIPLYING THE LINEWEAVER AND BURKE     EQUATION BY Vmax:"
2400 PRINT
2410 PRINT "V=-Km*V/S+Vmax":PRINT
2420 PRINT "PLOT V VERSUS V/S"
2430 PRINT "THE SLOPE=-Km"
2440 PRINT "THE Y-INTERCEPT= 1/Vmax"
2450 INPUT A$
2460 CLS
2470 PRINT :PRINT "ENZYME-CATALYZED REACTION IS AFFECTED BY SUBSTRATE."
2480 PRINT "SOMETIMES WHEN A LARGE AMOUNT OF        SUBSTRATE IS PRESENT, THE ENZYME-       CATALYZED REACTION IS DIMINISHED BY THE EXCESS SUBSTRATE( SUBSTRATE INHIBITION)."
2490 PRINT:PRINT:PRINT:INPUT "TYPE THE RETURN KEY";A$
2500 CLS
2510 PRINT"SUBSTRATE INHIBITION KINETICS":PRINT:PRINT
2520 PRINT "E+S----------------->ES     , K1"
2530 PRINT "   <---------------- ":PRINT
2540 PRINT "ES+S---------------->ES2    , K2"
2550 PRINT "    <---------------":PRINT
2560 PRINT "SLOW STEP   ES------------->E+P , k"
2570 PRINT :PRINT "V=k*Eo/(1+K1/S+K2/S)":PRINT "   WHERE Eo=INITIAL ENZYME CONCENTRATION"
2580 PRINT:PRINT:INPUT "TYPE THE RETURN KEY"; A$
2590 CLS
2600 PRINT "TO GET THE PARAMETERS,"
2610 PRINT:PRINT
2620 PRINT"1.BY PLOTTING 1/V AGAINST S, A STRAIGHT LINE WITH SLOPE 1/K2 IS OBTAINED AT HIGH SUBSTRATE CONCENTRATIOS"
2630 PRINT:PRINT "2.EVALUATE K1 FROM Smax=(K1*K2)^0.5":PRINT "   WHERE Smax SATISFIES dV/dS=0 USING     THE FIRST EQUATION"
2640 PRINT:PRINT"3.k CAN BE DETERMINED BY VARYING Eo"
2650 PRINT:PRINT:INPUT"TYPE RETURN KEY";A$:CLS
2660 CLS:LOCATE 11,3:PRINT "1/V"
2670 LINE (40,50)-(40,180):LINE -(170,180)
2680 LOCATE 24,17:PRINT "S"
2690 V=200:K=100:FOR X=1 TO 30
2700 Z=1/X
2710 Y=(K*Z/V + 1/V)
2720 PZ=40+100*Z : PY=170-500*Y
2730 PSET(PZ,PY)
2740 NEXT
2750 LOCATE 15,10 :PRINT "1/K2"
2760 INPUT A$:CLS
2770 PRINT "THE MOST COMMON TYPES OF REVERSIBLE"
2780 PRINT "INHIBITION OCCURING IN ENZYMATIC"
2790 PRINT "REACTIONS ARE COMPETITIVE AND NON-"
2800 PRINT "COMPETITIVE."
2810 LOCATE 23,1
2820 INPUT "HIT RETURN TO CONTINUE.";S
2830 CLS
2840 PRINT "A COMPETITIVE INHIBITOR RESEMBLES THE"
2850 PRINT "SUBSTRATE AND BINDS TO THE ACTIVE SITE"
2860 PRINT "OF THE ENZYME."
2870 LOCATE 5,1
2880 PRINT "A COMPETITIVE INHIBITOR DIMINISHES THE"
2890 PRINT "RATE OF CATALYSIS BY REDUCING THE"
2900 PRINT "PROPORTION OF ENZYME MOLECULES  THAT"
2910 PRINT "HAVE A BOUND SUBSTRATE."
2920 LOCATE 23,1
2930 LOCATE 23,1
2940 INPUT "HIT RETURN TO CONTINUE.";S
2950 CLS
2960 PRINT "COMPETITIVE INHIBITION CONSISTS OF      PARTIAL COMPETITION AND TOTAL           COMPETITION"
2970 PRINT:PRINT "IN TOTAL COMPETITION, INHIBITOR ADSORBS AT SUBSTRATE BINDING SITES.":PRINT
2980 PRINT"IN PARTIALLY COMPETITION, INHIBITOR AND SUBSTRATE COMBINE WITH DIFFERENT GROUPS. INHIBITOR BONDING AFFECTS SUBSTRATE    BINDING."
2990 LOCATE 23,1
3000 INPUT "HIT RETURN TO CONTINUE.";S
3010 CLS
3020 PRINT "IN NONCOMPETITIVE INHIBITION,  THE"
3030 PRINT "INHIBITOR AND SUBSTRATE CAN BIND "
3040 PRINT "SIMULTANEOUSLY TO AN ENZYME MOLECULE. "
3050 PRINT "THIS MEANS THAT THEIR BINDING SITES "
3060 PRINT "DO NOT OVERLAP.  THIS KIND OF  "
3070 PRINT "INHIBITION IS ALSO CALLED ALLOSTERIC"
3080 PRINT "INHIBITION."
3090 LOCATE 23,1
3100 INPUT "HIT RETURN TO CONTINUE.";S
3110 CLS
3120 PRINT "NONCOMPETITIVE INHIBITION CAN BE DIVIDED TWO TYPES.":PRINT
3130 PRINT "a. INHIBITOR BINDING DOES NOT AFFECT ES AFFINITY, BUT TERNARY EIS COMPLEX DOES  NOT DECOMPOSE INTO PRODUCTS.":PRINT
3140 PRINT "b. SAME AS ABOVE EXCEPT THAT EIS        DECOMPOSES INTO PRODUCT AT A FINITE RATE DIFFERENT FROM THAT OF ES."
3150 LOCATE 23,1
3160 INPUT "HIT RETURN TO CONTINUE.";S
3170 CLS
3180 PRINT "TOTAL COMPETITIVE INHIBITION":PRINT
3190 PRINT "E+S--------------->ES , Km"
3200 PRINT "   <--------------":PRINT
3210 PRINT "E+I--------------->EI , Ki"
3220 PRINT "   <--------------":PRINT
3230 PRINT "ES---------------->P+E ,k2"
3240 LOCATE 23,1
3250 INPUT "HIT RETURN TO CONTINUE.";S
3260 CLS
3270 PRINT "IN TOTAL COMPETITIVE INHIBITION:"
3280 LOCATE 4,1
3290 PRINT"1/V = Km  1  (1+[I]/Ki) +  1/Vmax"
3300 PRINT"     Vmax S"
3310 LINE(45, 32)-( 89, 32)
3320 LOCATE 8,1
3330 PRINT "WHERE  [I]=INHIBITOR CONC."
3340 PRINT
3350 PRINT "       Ki =DISSOCIATION CONSTANT OF"
3360 PRINT "           THE ENZYME-INHIBITOR COMPLEX"
3370 LOCATE 23,1
3380 INPUT "HIT RETURN TO CONTINUE.";S
3390 CLS
3400 PRINT "PARTIALLY COMPETITIVE INHIBITION":PRINT
3410 PRINT "E+S--------------->ES , Ks"
3420 PRINT "   <--------------":PRINT
3430 PRINT "E+I--------------->EI , Ki"
3440 PRINT "   <--------------": PRINT
3450 PRINT "EI+S-------------->EIS , Kis"
3460 PRINT "    <-------------":PRINT
3470 PRINT "ES+I-------------->EIS , ksi"
3480 PRINT "    <-------------":PRINT
3490 PRINT "SLOW STEP: ES------>E+P , k"
3500 PRINT "          EIS------>EI+P ,k2":PRINT
3510 PRINT "V=           Vmax":PRINT"   __________________________":PRINT:PRINT" 1+KS/S*((1+I/KI)/(1+(I/KI)(KS/KIS))":PRINT
3520 PRINT :INPUT "HIT RETURN TO CONTINUE";S
3530 CLS
3540 LOCATE 11,3
3550 PRINT"1/V"
3560 LOCATE 22,15
3570 PRINT"1/S "
3580 LINE (40,50)-(40,160)
3590 LINE -(250,160)
3600 LOCATE 1,1
3610 INPUT"Km = ";K
3620 IF K<0 THEN 3880
3630 IF K=0 THEN 3530
3640 INPUT"Vmax ";V
3650 FOR X=.5 TO 30 STEP .5
3660 Z=1/X
3670 Y=(K*Z/V + 1/V)
3680 PZ=40+100*Z : PY=160-500*Y
3690 PSET(PZ,PY)
3700 NEXT
3710 LOCATE 12,23
3720 PRINT"NO [I] PRESENT"
3730 LOCATE 3,1
3740 INPUT"[I]= ";I
3750 INPUT"Ki= ";KI
3760 PRINT "TYPE 0 TO ERASE, A MINUS NUMBER TO QUIT."
3770 FOR X=.5 TO 30 STEP .5
3780 Z=1/X
3790 Y=(K*Z/V*(1+I/KI)+1/V)
3800 PZ=40+100*Z : PY=160-500*Y
3810 PSET(PZ,PY)
3820 NEXT
3830 LOCATE 10,23
3840 PRINT"COMP. [I] PRESENT"
3850 LOCATE 23,1
3860 PRINT"NOTE THE CHANGE OF SLOPE WHEN I IS PRESENT"
3870 GOTO 3540
3880 CLS
3890 PRINT "IN COMPETITIVE INHIBITION, THE  "
3900 PRINT "INTERCEPT OF THE LINEWEAVER AND  "
3910 PRINT "BURKE PLOT IS THE SAME IN THE    "
3920 PRINT "PRESENCE AND ABSENCE OF INHIBITOR, "
3930 PRINT "ALTHOUGH THE SLOPE IS DIFFERENT. "
3940 LOCATE 10,1
3950 PRINT "THIS REFLECTS THE FACT THAT Vmax IS NOT"
3960 PRINT "ALTERED,  WHEREAS Km IS INCREASED BY"
3970 PRINT " A COMPETITIVE INHIBITOR."
3980 LOCATE 23,1
3990 INPUT"HIT RETURN TO CONTINUE.";S
4000 CLS
4010 PRINT "TOTALLY NONCOMPETITIVE INHIBITION":PRINT
4020 PRINT "E+S----------->ES, Km"
4030 PRINT "   <---------- ":PRINT
4040 PRINT "E+I----------->EI, Ki"
4050 PRINT "   <----------":PRINT
4060 PRINT "EI+S---------->EIS, Km"
4070 PRINT "    <---------":PRINT
4080 PRINT "ES+I---------->EIS, Ki"
4090 PRINT "    <--------- ":PRINT
4100 PRINT"SLOW STEP: ES--------->E+P, K"
4110 PRINT:PRINT
4120 PRINT "V=VmaxS/((1+Km/S)*(1+I/Ki))
4130 LOCATE 23,1
4140 INPUT"HIT RETURN TO CONTINUE.";S
4150 CLS
4160 PRINT "IN TOTALLY NONCOMP. INHIBITION , INVERSE THE LAST EQUATION TO GET THE PARAMETERS "
4170 LOCATE 4,1
4180 PRINT"1/V = Km  1  (1+[I]/Ki)+(1+[I]/Ki)/Vmax"
4190 PRINT"     Vmax S"
4200 LINE(45, 32)-( 89, 32)
4210 LOCATE 8,1
4220 PRINT "WHERE  [I]=INHIBITOR CONC."
4230 PRINT
4240 PRINT "       Ki =DISSOCIATION CONSTANT OF"
4250 PRINT "           THE ENZYME-INHIBITOR COMPLEX"
4260 LOCATE 23,1
4270 INPUT "HIT RETURN TO CONTINUE.";S
4280 CLS
4290 PRINT "PARTIALLY NONCOMPETITIVE INHIBITION"
4300 PRINT:PRINT
4310 PRINT "E+S----------->ES, Ks"
4320 PRINT "   <---------- ":PRINT
4330 PRINT "E+I----------->EI, Ki"
4340 PRINT "   <----------":PRINT
4350 PRINT "EI+S---------->EIS, Ks"
4360 PRINT "    <---------":PRINT
4370 PRINT "ES+I---------->EIS, Ki"
4380 PRINT "    <--------- :PRINT
4390 PRINT"SLOW STEP: ES--------->E+P, k"
4400 PRINT"          EIS--------->EI+P, ki"
4410 PRINT:PRINT
4420 PRINT "V=VmaxS/(1+Ks/S)/((1+I/Ki)/(1+(I/Ki)*(ki/k))"
4430 LOCATE 23,1
4440 INPUT "HIT RETURN TO CONTINUE.";S
4450 CLS
4460 LOCATE 11,3
4470 PRINT"1/V"
4480 LOCATE 22,15
4490 PRINT"1/S "
4500 LINE (40,50)-(40,160)
4510 LINE -(250,160)
4520 LOCATE 1,1
4530 INPUT"Km = ";K
4540 IF K<0 THEN 4800
4550 IF K=0 THEN 4450
4560 INPUT"Vmax ";V
4570 FOR X=.5 TO 30 STEP .5
4580 Z=1/X
4590 Y=(K*Z/V + 1/V)
4600 PZ=40+100*Z : PY=160-500*Y
4610 PSET(PZ,PY)
4620 NEXT
4630 LOCATE 12,23
4640 PRINT"NO [I] PRESENT"
4650 LOCATE 3,1
4660 INPUT"[I]= ";I
4670 INPUT"Ki= ";KI
4680 PRINT "TYPE 0 TO ERASE, A MINUS NUMBER TO QUIT."
4690 FOR X=.5 TO 30 STEP .5
4700 Z=1/X
4710 Y=(K*Z/V*(1+I/KI)+1/V*(1+I/KI))
4720 PZ=40+100*Z : PY=160-500*Y
4730 PSET(PZ,PY)
4740 NEXT
4750 LOCATE 10,23
4760 PRINT"COMP. [I] PRESENT"
4770 LOCATE 23,1
4780 PRINT"NOTE THE CHANGE OF SLOPE AND INTERCEPT"
4790 GOTO 4460
4800 CLS
4810 PRINT"IN NONCOMPETITIVE INHIBITION,  THE "
4820 PRINT"INTERCEPT AND SLOPE OF THE LINEWEAVER"
4830 PRINT"AND BURKE PLOT ARE INCREASED BY THE"
4840 PRINT"SAME FACTOR IN THE PRESENCE OF "
4850 PRINT"INHIBITOR."
4860 LOCATE 10,1
4870 PRINT"THIS REFLECTS THE FACT THAT Km IS"
4880 PRINT"UNALTERED,  WHEREAS Vmax IS DECREASED"
4890 PRINT"BY A NONCOMPETITIVE INHIBITOR  "
4900 LOCATE 23,1
4910 INPUT"HIT RETURN TO CONTINUE.";S
4920 CLS
4930 PRINT"PLEASE TYPE 1 IF IT IS A COMPETITIVE "
4940 PRINT"INHIBITOR.  NONCOMPETITIVE INHIBITOR "
4950 PRINT"TYPE 2.   "
4960 LOCATE 11,3
4970 PRINT"1/V"
4980 LOCATE 22,15
4990 PRINT"1/S "
5000 LINE (40,50)-(40,160)
5010 LINE -(250,160)
5020 LET K=5
5030 LET V=140
5040 FOR X=.5 TO 30
5050 Z=1/X
5060 Y=(K*Z/V + 1/V)
5070 PZ=40+100*Z : PY=160-500*Y
5080 PSET(PZ,PY)
5090 NEXT
5100 LOCATE 19,23
5110 PRINT"NO [I] PRESENT"
5120 LET I=4
5130 LET KI=2
5140 FOR X=.5 TO 30
5150 Z=1/X
5160 Y=(K*Z/V*(1+I/KI)+1/V*(1+I/KI))
5170 PZ=40+100*Z : PY=160-500*Y
5180 PSET(PZ,PY)
5190 NEXT
5200 LOCATE 10,23
5210 PRINT"[I] PRESENT"
5220 INPUT Q
5230 IF Q=2 THEN 5270
5240 CLS
5250 PRINT"PLEASE TRY AGAIN"
5260 GOTO 4930
5270 LOCATE 23,1
5280 INPUT"FINE.  HIT RETURN TO CONTINUE";S
5290 CLS
5300 PRINT"PLEASE TYPE 1 IF IT IS A COMPETITIVE "
5310 PRINT"INHIBITOR.  NONCOMPETITIVE INHIBITOR "
5320 PRINT"TYPE 2.   "
5330 LOCATE 11,3
5340 PRINT"1/V"
5350 LOCATE 22,15
5360 PRINT"1/S "
5370 LINE (40,50)-(40,160)
5380 LINE -(250,160)
5390 LET K=5
5400 LET V=140
5410 FOR X=.5 TO 30
5420 Z=1/X
5430 Y=(K*Z/V + 1/V)
5440 PZ=40+100*Z : PY=160-500*Y
5450 PSET(PZ,PY)
5460 NEXT
5470 LOCATE 19,23
5480 PRINT"NO [I] PRESENT"
5490 LET I=4
5500 LET KI=2
5510 FOR X=.5 TO 30
5520 Z=1/X
5530 Y=(K*Z/V*(1+I/KI)+1/V)
5540 PZ=40+100*Z : PY=160-500*Y
5550 PSET(PZ,PY)
5560 NEXT
5570 LOCATE 10,23
5580 PRINT"[I] PRESENT"
5590 INPUT Q
5600 IF Q=1 THEN 5640
5610 CLS
5620 PRINT"PLEASE TRY AGAIN"
5630 GOTO 5300
5640 LOCATE 23,1
5650 INPUT"FINE.  HIT RETURN TO CONTINUE";S
5660 CLS
5670 SCREEN 1,1:CLS:PRINT "ENZYME REACTORS"
5680 PRINT:PRINT
5690 PRINT "1.BATCH REACTOR":PRINT"      a. SINGLE USE OF ENZYME"
5700 PRINT "      b.REPEATED USE OF ENZYME":PRINT
5710 PRINT "2.CONTINUOUS REACTOR":PRINT"      a.STIRRED TANK REACTOR"
5720 PRINT "      b.TUBULAR REACTOR"
5730 PRINT:PRINT
5740 PRINT "FOR ENZYME RETENTION,":PRINT" ULTRAFILTRATION MEMBRANE REACTOR AND   HOLLOW FIBER MEMBRANE REACTOR CAN BE USED"
5750 LOCATE 23,1
5760 INPUT "HIT RETURN TO CONTINUE.";S
5770 CLS
5780 PRINT "THE KINETICS IS ":PRINT
5790 PRINT "S+E------------->ES ,Km"
5800 PRINT "   <------------":PRINT
5810 PRINT "ES-------------->P+E , k":PRINT:PRINT
5820 PRINT "1. BATCH REACTOR":PRINT
5830 PRINT "X(So/Km)-LN(1-X)=k*Eo*t/(V*Km)
5840 PRINT
5850 PRINT "WHERE X=(So-S)/So; FRACTIONAL CONVERSION"
5860 PRINT "      So=INITIAL SUBSTRATE CONC."
5870 PRINT "      Eo=INITIAL ENZYME CONC."
5880 PRINT "      V= REACTOR VOLUME"
5890 PRINT "      t= RETENTION TIME"
5900 LOCATE 23,1
5910 INPUT "HIT RETURN TO CONTINUE.";S
5920 CLS
5930 PRINT "2. PLUG FLOW REACTOR":PRINT:PRINT
5940 PRINT "X*So-Km*LN(1-X)=k*Eo*PI":PRINT
5950 PRINT "WHERE X=(So-S)/So; FRACTIONAL CONVERSION"
5960 PRINT "      PI=V/Q; RESIDENCE TIME DISTRIBUTION"
5970 PRINT "      Q=FLOW RATE"
5980 PRINT "      V=REACTOR VOLUME"
5990 LOCATE 23,1
6000 INPUT "HIT RETURN TO CONTINUE.";S
6010 CLS
6020 PRINT:PRINT" 3. CONTINUOUS STIRRED REACTOR":PRINT:PRINT
6030 PRINT "X*So+Km(X/(1-X))=k*Eo*PI":PRINT
6040 PRINT "WHERE X=(So-S)/So; FRACTIONAL CONVERSION"
6050 PRINT "      PI=V/Q; RESIDENCE TIME DISTRIBUTIN"
6060 PRINT "      Q=FLOW RATE"
6070 PRINT "      V=REACTOR VOLUME"
6080 PRINT:PRINT:PRINT"OPERATING VARIABLE IS So, Km, k AND Eo"
6090 LOCATE 23,1
6100 INPUT "HIT RETURN TO CONTINUE.";S
6110 CLS
6120 PRINT:PRINT "COMPARISON OF ENZYME REACTORS"
6130 PRINT :PRINT" 1.AT THE SAME RESIDENCE TIME,":PRINT"     X(PFR)>X(CSTR)"
6140 PRINT :PRINT " 2. YIELD(CSTR) > YIELD(BATCH) ":PRINT
6150 PRINT " 3. IN AMOUNT OF ENZYME REQUIRED "
6160 PRINT "    FOR A GIVEN X AT GIVEN RESI. TIME ":PRINT"    DISTRIBUTION"
6170 PRINT "     E(CSTR) >= E(PFR)"
6180 PRINT :PRINT " BUT BY INCREASING THE RATIO So/Km, THE  DIFFERENCE DECREASED"
6190 LOCATE 23,1
6200 INPUT "HIT RETURN TO CONTINUE.";S
6210 CLS
6220 PRINT "THAT'S THE END OF ENZYME PROGRAM."
