1 REM BATCH GROWTH WITH DEATH TERM, H. BUNGAY 1986
2 REM ORIG. BY D. STANZIONE, H. BUNGAY
3 REM MORE COMMENTS BY J. SAHLIN
4 REM Added Luedeking-Piret product formation, 10-90
5 DIM I(20),O(20),T0(20),T6(20)
6 KEY OFF
8 CLS
9 NN=1
10 xmax=320:ymax=180
12 SCREEN 1,1
13 LINE (20,20)-(20,ymax-20)
14 LINE -(xmax,ymax-20)
15 LOCATE 22,3:PRINT"0        T I M E";
17 NAM$="CONCENTRATION"
20 FOR I=1 TO LEN(NAM$)
21 LOCATE 4+I,2:PRINT MID$(NAM$,I,1)
22 NEXT I
27 REM PUT COEFF IN THIS REGION
30 KD=.05
35 MM=.3
36 KS=52
38 Y=.4
39 alpha=1.4
40 beta=2.1
41 Yps=5
43 LOCATE 1,1
44 INPUT"alpha = "; alpha
45 INPUT"beta = "; beta
55 REM T1 IS INTEGRATION STEP
56 T1=.25
57 REM T2 IS TOTAL TIME
58 T2=25
59 LOCATE 22,35:PRINT T2:REM T3 IS PRINT INTERVAL
60 T3=1
61 TX=(xmax-30)/T2 :REM SCALE FAC FOR ABSCISSA
62 TF1=1
63 TF2=1
54 TF3=.05
79 REM N IS THE NUMBER OF EQUATIONS. O(N) ARE INITIAL CONDITIONS
80 N=3
86 O(1)=2
87 O(3)=0
88 O(2)=120
96 REM DO NOT TOUCH LINES 98-620!!! THIS IS WHAT MAKES IT WORK!!!
98 T=INT(T2/T1+.5):T1=T2/T:T=INT(T3/T1+.5):T3=T*T1:T=0:T4=0
99 T8=1:GOTO 1000
100 IF(T-T4+T1/10)<0 THEN 125
105 REM THE LINE 110 HAS A ' BEFORE THE GOSUB.  THE ' SUPPRESSES THIS COMMAND.
107 REM IF NUMERICAL VALUES FOR THE DATA POINTS ARE DESIRED, REMOVE '.
110 T4=T4+T3:T5=INT(T/T1+.5):T=T5*T1:'GOSUB 2000
115 IF(T-T2+T1/10)<0 THEN 125
120 LINE(AX,ymax-20)-(AX,ymax-24)
121 GOTO 27
125 ON T8 GOTO 300,400,500,600
145 PRINT"** ERROR **":STOP
300 FOR T5=1 TO N
305 T0(T5)=T1*I(T5):T6(T5)=O(T5):O(T5)=O(T5)+T0(T5)/2
320 NEXT T5
330 T=T+T1/2:T8=2:GOTO 1000
400 FOR T5=1 TO N
410 T7=T1*I(T5):T0(T5)=T0(T5)+2*T7:O(T5)=T6(T5)+T7/2
420 NEXT T5
430 T8=3:GOTO 1000
500 FOR T5=1 TO N
510 T7=T1*I(T5):T0(T5)=T0(T5)+2*T7:O(T5)=T6(T5)+T7
520 NEXT T5
530 T8=4:T=T+T1/2:GOTO 1000
600 FOR T5=1 TO N
605 O(T5)=T6(T5)+(T0(T5)+T1*I(T5))/6
610 NEXT T5
620 T8=1:GOTO 1000
990 REM DIFFERENTIAL EQUATIONS IN SIMBAS NOTATION
1000 I(1)=MU *O(1) - KD*O(1)
1010 I(2)=-MU*O(1)/Y 
1011 IF O(2)<0 THEN O(2)=.00001
1015 REM GRAPH MAKER  MULTIPLY O(N) BY CONSTANT TO SHIFT CURVE
1020 MU=MM*O(2)/(KS+O(2))
1025 AX=20+TX*T
1027 PL=ymax-20-O(2)*TF2
1030 PSET (AX,PL),1
1035 PL=ymax-20-O(1)*TF1
1040 PSET (AX,PL),3
1050 I(3)=alpha*I(1)+beta*O(1)
1060 PL=ymax-20-O(3)*TF3
1070 PSET(AX,PL),2
1999 GOTO 100
2000 REM **DATA POINTS: SUPPRESSED AT LINE 110.  SEND TO PRINTER WITH LPRINT
2005 REM **COMMAND ON 2020.
2010 LOCATE NN,12
2030 NN=NN+1
2040 IF NN>12 THEN NN=1
2045 RETURN
